2008-05-23  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* share/extensions/*.py: Use gettext for (many) error messages.
	share/extensions/inkex.py: (errormsg): New function.

2007-06-24  Joel Holdsworth  <joelholdsworth@yahoo.com>
    
    * modified the windows RC files to add version info and manifest data

2007-03-16  Tim Dwyer  <Tim.Dwyer@infotech.monash.edu.au>

	* src/graphlayout/graphlayout.cpp: handle null bounding boxes

2007-03-01  Markus Schwarzenberg <Markus.Schwarzenberg@ipms.fraunhofer.de>

  Solaris 8 / gcc-3.2.3 fixes (selectively effecting only this special

  * src/display/nr-filter-gaussian.cpp:
    
    * include compatibility header "isnormal.h"
    * template calcTriggsSdikaInitialization<PC> needs to be
      specified explicitely for gcc 3.2.3
  
  * src/display/pixblock-transform.cpp, src/display/nr-filter.cpp, 
    src/display/nr-filter.cpp
    
    * include compatibility header "round.h"
    * using Inkscape::round
    
  * src/extension/internal/ps.cpp, src/print.cpp
   
    include <unistd.h> on SOLARIS_2_8 for open, unlink
    
  * src/libcola/gradient_projection.cpp
  
    include and use compatibility headers "isnan.h" "isinf.h"
    
  * removed obsolete src/libvpsc/isnan.h
  
  * added src/isinf.h
  
  * configure.ac: Added Detection of solaris2.8 --> CXXFLAGS += -DSOLARIS_2_8

2006-08-05  John Bintz  <jcoswell@coswellproductions.org>

  * node-context.cpp, nodepath.cpp:

    add checks to make sure given nodepath pointers are not 
    null before working with them

2006-08-01  MenTaLguY  <mental@rydia.net>

	* configure.ac: refactor pkg-config tests and add explicit cairo test

2006-07-29  John Bintz  <jcoswell@coswellproductions.org>

  * src/nodepath.cpp:
  
    Fix bug where deleting a node broke the symmetry of neighboring
    smooth nodes and failed to convert those nodes to cusp nodes

2006-07-29  MenTaLguY  <mental@rydia.net>

	* src/sp-object.cpp:

	  remove GObject signals from SPObject

	* src/desktop.cpp, src/desktop.h, src/sp-gradient.cpp,
	  src/sp-gradient.h, src/sp-pattern.cpp, src/sp-pattern.h,
	  src/sp-switch.cpp, src/sp-switch.h, src/widgets/desktop-widget.cpp,
	  src/widgets/desktop-widget.h, src/widgets/gradient-image.cpp,
	  src/widgets/gradient-image.h, src/widgets/gradient-toolbar.cpp,
	  src/widgets/gradient-toolbar.cpp:

	  switch to sigc++ SPObject signals

2006-07-27  MenTaLguY  <mental@rydia.net>

	* src/dialogs/sp-attribute-widget.cpp,
	  src/dialogs/sp-attribute-widget.h, src/sp-offset.cpp,
	  src/sp-offset.h, src/sp-shape.cpp, src/sp-shape.h,
	  src/sp-use-reference.cpp, src/sp-use-reference.h:

	  switch to sigc++ SPObject signals

2006-07-26  MenTaLguY  <mental@rydia.net>

	* src/dialogs/object-attributes.cpp:

	  switch to sigc++ "release"

2006-07-26  MenTaLguY  <mental@rydia.net>

	* src/style.cpp, src/style.h:

	  finish switching to sigc++ SPObject signals for SPStyle

2006-07-25  MenTaLguY  <mental@rydia.net>

	* src/widgets/gradient-vector.cpp, src/widgets/gradient-vector.h:

	  switch to sigc++ SPObject signals for SPGradientVectorSelector

2006-07-25  MenTaLguY  <mental@rydia.net>

	* autogen.sh, configure.ac, debian/control, tools-version.sh:

	  un-libtoolize the build process (yay!) -- we haven't actually
	  used libtool for ages

2006-07-25  MenTaLguY  <mental@rydia.net>

	* src/extension/plugin, src/extension/plugin/Makefile_insert,
	  src/extension/plugin/makefile.in, src/extension/plugin/.cvsignore,
	  src/Makefile.am, configure.ac:

	  remove vestigal plugin support

2006-07-24  MenTaLguY  <mental@rydia.net>

    * configure.ac: further work on LSB build configuration

2006-07-23  John Bintz  <jcoswell@coswellproductions.org>

  * src/verbs.cpp, src/event-context.cpp, src/node-context.cpp:

    forced redraw of canvas upon completion of zooming or upon
    starting rubber band selection events to work around event
    starvation issue at high zoom levels

2006-07-23  MenTaLguY  <mental@rydia.net>

  * src/widgets/paint-selector.cpp:

    Update pattern creation help text to reflect new menu layout.  We
    probably need some way to automatically generate
    "menu navigation strings" for a given verb.

2006-07-23  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* packaging/osx-app.sh, packaging/macosx/inkscape.ds_store
	  packaging/macosx/dmg_background.svg, packaging/macosx/osx-dmg.sh,
	  packaging/macosx/dmg_background.png, Makefile.am,
	  packaging/macosx/dmg_set_style.scpt:

	  Improve the disk image layout for Mac OS X releases.  This is 
	  based on Jean-Olivier Irisson's work and patches, submitted as
	  #1516212.

2006-07-23  John Bintz  <jcoswell@coswellproductions.org>

	* src/desktop.cpp, src/desktop.h:

	  added SPDesktop::updateNow()

	* src/event-context.cpp, src/select-context.cpp, src/node-context.cpp:

	  forced redraw of canvas upon completion of selection or panning
	  to work around event starvation issue at high zoom levels

2006-07-22  John Bintz  <jcoswell@coswellproductions.org>

	* src/desktop.cpp, src/desktop.h, src/document-undo.cpp,
	  src/document.h, src/document-private.h, src/document.cpp:

	  forced redraw of canvas upon document commit to work
	  around event starvation issue at high zoom levels

2006-07-21  MenTaLguY  <mental@rydia.net>

	* src/splivarot.cpp:
	
	  patch from John Bintz, adding pref to simplify multiple
	  paths separately

2006-07-21  MenTaLguY  <mental@rydia.net>

	* configure.ac: first shot at implementing --enable-lsb

2006-07-21  MenTaLguY  <mental@rydia.net>

	* src/style.cpp, src/style.h:

	  switch to using sigc++ signals

2006-07-21  MenTaLguY  <mental@rydia.net>

	* src/layer-manager.cpp, src/layer-manager.h:

	  switch to sigc++ signals and manually clean up signal connections
	  (although it may not be strictly necessary to do so here)

2006-07-21  MenTaLguY  <mental@rydia.net>

	* src/document-subset.cpp, src/object-hierarchy.cpp,
	  src/object-hierarchy.h, src/selection.cpp, src/selection.h,
	  src/ui/view/edit-widget.cpp, src/ui/view/edit-widget.h,
	  src/uri-references.cpp, src/uri-references.h:
	
	  switch to sigc++ signals for "modified" and "release"

2006-07-21  MenTaLguY  <mental@rydia.net>

	* src/document.cpp, src/sp-object.cpp, src/sp-object.h:

	  sp_object_invoke_release -> SPObject::releaseReferences,
	  plus the introduction of sigc++ signals for "release" and 
	  "modified" which will eventually replace the GObject signals

2006-07-20  MenTaLguY  <mental@rydia.net>

	* src/libnrtype/RasterFont.h, src/libnrtype/font-instance.h:

	  replace two uses of hash_map with standard STL map

2006-07-18  Bryce Harrington <bryce@bryceharrington.org>

	* src/document.h, src/document.cpp:  Refactoring from mental &
	  bryce to consolidate document update functionality from
	  sp_document_ensure_is_up_to_date() and
	  sp_document_idle_handler().  This is the first step in getting
	  updates of defs (and markers) fixed.

2006-07-18  Tim Dwyer  <Tim.Dwyer@infotech.monash.edu.au>

	* src/graphlayout/graphlayout.cpp, src/conn-avoid-ref.h:
	  We now use connector spacing to determine the minimum space required
	  between shape bounding boxes when graph layout with avoid overlap
	  constraints is applied.  This means that there should always be enough
	  room for connectors to route between shapes.  Also changed the default
	  connector spacing to a less extreme 3.

2006-07-17  Tim Dwyer  <Tim.Dwyer@infotech.monash.edu.au>

	* src/libcola/cola.h, src/libcola/connected_components.cpp,
	  src/graphlayout/graphlayout.cpp:
	  Disconnected graphs are now handled more gracefully,
	  connected components are arranged separated (in place) and
	  then overlaps between components are removed.

2006-07-13  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/Makefile_insert, src/Makefile.am, src/svg/Makefile_insert,
	  src/xml/Makefile_insert, src/libnr/Makefile_insert:
	  Add "$(srcdir)/" to some things so that "make check" works in 
	  the case that the build directory is somewhere other than the
	  source directory.

	* src/sp-conn-end-pair.cpp, src/connector-context.cpp,
	  src/document.cpp, src/libavoid/*:
	  Update libavoid with upstream fixes, optimisations and new features.

2006-07-13  Tim Dwyer  <Tim.Dwyer@infotech.monash.edu.au>

	* src/libvpsc/*,
	  src/graphlayout/graphlayout.cpp:
	  Toggle on connector toolbar can force connectors with 
	  end-markers (arrows) to point downwards

2006-07-13  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/libavoid/router.cpp: Fixed a bug in the libavoid function
	  Router::attachedConns().  Previously unused, but needed by Tim
	  for new Graph Layout code.

2006-07-13  Jon Phillips  <jon@rejon.org>

	* src/inkview: Added commandline option capability to inkview and 
	  got code ready to add a timer for an automatic slideshow capability.

2006-07-12 Tim Dwyer  <Tim.Dwyer@infotech.monash.edu.au>

	* src/libvpsc/*,
	  src/libcola/*,
	  src/graphlayout/graphlayout.cpp,
	  src/removeoverlaps/removeoverlaps.cpp:
	  Boost graph layout algorithms replaced by custom constraint layout
	  algorithm (implemented in libcola).  New layout supports constraints
	  such as downward pointing connectors (directed graph layout) or
	  non-overlapping shapes.
	  libvpsc contains updated code for quadratic program solver used by
	  libcola and removeoverlaps.  Fixes bug #1441411.

2006-07-02  Colin Marquardt  <colin@marquardt-home.de>

	* AUTHORS, src/ui/dialog/aboutbox.cpp: Add Niko, Hugo, Dale and
	  Gustav.

2006-06-30  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/connector-context.cpp, src/widgets/toolbox.cpp:
	  Add undo event descriptions for the connector context.

2006-06-27  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* packaging/macosx/ScriptExec/main.c:
	  Add some quotes to fix a problem for people on OS X with 
	  spaces in their home directory path.  Fixes bug #1512019.

2006-06-21  Colin Marquardt  <colin@marquardt-home.de>

	* share/templates/DVD_cover_regular_300dpi.svg,
	  share/templates/DVD_cover_slim_300dpi.svg,
	  share/templates/DVD_cover_superslim_300dpi.svg,
	  share/templates/DVD_cover_ultraslim_300dpi.svg:
	  DVD templates by Aleksandar Urosevic. Closes #1507164.

2006-06-19  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* packaging/macosx/Resources/script,
	  packaging/macosx/Resources/bin/inkscape:

	  Improve quoting of shell variables.

	* packaging/macosx/ScriptExec/ScriptExec.xcodeproj/project.pbxproj:

	  Xcode 2 project file for the OS X launcher.  This will build a
	  Universal version of the launcher by default.  The project files for
	  different versions are named differently, so this will be picked up and
	  used if the package builder has a sufficiently new version of Xcode.

	* packaging/macosx/ScriptExec/ScriptExec.xcode/sveinbjornt.pbxuser,
	  packaging/macosx/ScriptExec/ScriptExec.xcode/voisine.pbxuser:

	  Remove unnecessary user preference files.

	* Makefile.am:
	
	  Update the Xcode project files included when creating releases.

2006-06-13  Jon A. Cruz  <jon@joncruz.org>

	* TRANSLATORS, src/ui/dialog/aboutbox.cpp:

	  Applied patch #1505715.

2006-06-13  Jon A. Cruz  <jon@joncruz.org>

	* packaging/macosx/Resources/etc/fonts/fonts.conf:

	  Applied patch #1505765.

2006-06-09  Jon A. Cruz  <jon@joncruz.org>

	* src/object-snapper.cpp, src/selection.cpp, src/selection.h,
	  src/seltrans.cpp:

	  Applied patch #1503864.

2006-06-09  Jon A. Cruz  <jon@joncruz.org>

	* src/widgets/toolbox.cpp:

	  Handle case when function call fails.
	  Fixes bug #1501150.

2006-06-07  Jon A. Cruz  <jon@joncruz.org>

	* src/seltrans.cpp:

	  Work-around for seltrans not getting calls to grab() and ungrab() as
	  expected.
	  Fixes bug #1501156.

2006-06-07  Jon A. Cruz  <jon@joncruz.org>

	* src/widgets/toolbox.cpp:

	  Applied patch #1502407.
	  Fixes bug #1500049.

2006-06-07  Jon A. Cruz  <jon@joncruz.org>

	* packaging/macosx/ScriptExec/main.c, packaging/osx-app.sh:

	  Fixing OS X fc-cache problem.
	  Applied patch #1502063.

2006-06-07  Jon A. Cruz  <jon@joncruz.org>

	* src/sp-item-group.cpp, src/sp-path.cpp, src/sp-star.cpp,
	  src/sp-switch.cpp, src/ui/widget/ruler.cpp:

	  Applied patch #1501709.

2006-06-05  Jon A. Cruz  <jon@joncruz.org>

	* trace/siox.cpp, trace/siox.h, trace/trace.cpp,
	  src/ui/dialog/tracedialog.cpp:

	  Applied patch #1501375.

2006-06-05  Jon A. Cruz  <jon@joncruz.org>

	* trace/siox.cpp, trace/trace.cpp:

	  Applied patch #1501134.

2006-06-05  Jon A. Cruz  <jon@joncruz.org>

	* src/dialogs/layers-panel.cpp:

	  Allow action when no layer selected.
	  Fixes bugs #1494646.

2006-06-05  Jon A. Cruz  <jon@joncruz.org>

	* trace/siox.cpp:

	  Applied patch #1500659.

2006-06-05  Jon A. Cruz  <jon@joncruz.org>

	* src/dialogs/layers-panel.h, src/dialogs/layers-panel.cpp:

	  Blocked signal when changes are not from the layers UI.
	  Fixes bugs #1495406 and most of #1494646.

2006-06-02  Colin Marquardt  <colin@marquardt-home.de>

	* TRANSLATORS: Add Stefan Graubner.

2006-06-01  Jon A. Cruz  <jon@joncruz.org>

	* src/extension/internal/pdf-mini.h

	  Fix for delete[] mismatch and binary tweak from Ulf Erikson.

2006-06-01  Jon A. Cruz  <jon@joncruz.org>

	* src/dialogs/layers-panel.h, src/dialogs/layers-panel.cpp:

	  Added layer opacity slider.
	  Fixes RFE #1496569.

2006-05-31  Colin Marquardt  <colin@marquardt-home.de>

	* TRANSLATORS: Add vonHalenbach for tutorial translations.

2006-05-29  Jon A. Cruz  <jon@joncruz.org>

	* src/extension/internal/odf.cpp:
	Corrected deletes and uninitizlied variables.
	Fixes bug# 1489961.

2006-05-30 John Cliff <simarilius@yahoo.com>
	src/trace/potrace/inkscape-potrace.cpp
	Changed bitsPerSample from hardcoded to calculated for multi color traces
	to fix bugs 1188811 and 1484076

2006-05-29  Jon A. Cruz  <jon@joncruz.org>

	* src/xml/repr-io.cpp:
	Changed to strip leading BOM from input.
	Fixes bug# 1121666.

2006-05-29  Bryce <bryce@bryceharrington.org>
	* sp-shape.cpp:  Adding documentation

2006-05-29  Jon A. Cruz  <jon@joncruz.org>

	* src/desktop.cpp, src/layer-manager.cpp, src/dialogs/layers-panel.cpp:
	Workaround to avoid assertion upon file revert.

2006-05-28  Bryce <bryce@bryceharrington.org>
	* sp-marker.cpp:  Adding documentation

2006-05-28  MenTaLguY  <mental@rydia.net>

	* src/dialogs/clonetiler.cpp, src/dialogs/iconpreview.cpp,
	  src/dialogs/stroke-style.cpp, src/display/curve.cpp,
	  src/display/sp-canvas.cpp, src/dyna-draw-context.cpp,
	  src/extension/internal/gnome.cpp, src/extension/internal/pdf.cpp,
	  src/extension/internal/ps.cpp, src/extension/internal/win32.cpp,
	  src/file.cpp, src/inkview.cpp, src/libnr/nr-macros.h,
	  src/libnr/nr-object.cpp, src/libnr/nr-path.cpp,
	  src/libnr/nr-pixblock.cpp, src/libnr/nr-pixblock-pattern.cpp,
	  src/libnr/nr-svp.cpp, src/libnr/nr-svp-render.cpp,
	  src/libnrtype/FontFactory.cpp, src/libnrtype/Layout-TNG-Output.cpp,
	  src/libnrtype/nr-type-primitives.cpp, src/path-chemistry.cpp,
	  src/splivarot.cpp, src/sp-marker.cpp, src/ui/widget/icon-widget.cpp,
	  src/widgets/icon.cpp:

	  replace nr_new() with g_new(), and try to converge on using the
	  glib allocator a little more instead of the others (aside from
	  libgc)

2006-05-28  MenTaLguY  <mental@rydia.net>

	* share/icons/icons.svg:

	  correct vertical text flow icon to  correctly reflect lines stacking
	  right-to-left, as well as improving pixel alignment on both text flow
	  icons

2006-05-28  MenTaLguY  <mental@rydia.net>

	* src/widgets/toolbox.cpp:

	  add tooltips to text toolbar widgets

2006-05-28  Jon A. Cruz  <jon@joncruz.org>

	* src/layer-manager.cpp, src/layer-manager.h,
	  src/preferences-skeleton.h, src/ui/dialog/inkscape-preferences.cpp,
	  src/ui/dialog/inkscape-preferences.h,
	  src/widgets/layer-selector.cpp, src/dialogs/layers-panel.cpp:

	  Finished option to turn on or off deslecting when switching layers.
	  Fixes RFE #1495701.

2006-05-28  Jon A. Cruz  <jon@joncruz.org>

	* src/dialogs/layers-panel.h, src/dialogs/layers-panel.cpp:

	  Changed clicking on visibility and locked toggles to not switch
	  selected layer.
	  Fixes bug #1495856.

2006-05-28  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/sp-conn-end-pair.cpp: Detach connectors from empty groups
	  before trying to route connectors to them.  This is required
	  since empty groups have no physical position.  Fixes bug #1448811.

2006-05-27  Kees Cook  <kees@outflux.net>

	* src/extension/implementation/script.cpp: allow output extension
	  parameters to be prompted and used, closes bug #1495310.

2006-05-26  MenTaLguY  <mental@rydia.net>

	* src/dialogs/layers-panel.h, src/dialogs/layers-panel.cpp:

	  make button labels translatable, and use HButtonBox instead of HBox for
	  better appearance

2006-05-26  Jon A. Cruz  <jon@joncruz.org>

	* src/layer-manager.cpp, src/layer-manager.h,
	  src/dialogs/layer-properties.cpp, src/dialogs/layers-panel.cpp:

	  Prevent layer name duplication.
	  Fixes bug #1115407.

2006-05-26  Jon A. Cruz  <jon@joncruz.org>

	* src/widgets/desktop-widget.cpp:

	  Fixed resize handle in corner of main UI.
	  Fixes bug #1493995.

2006-05-26  Jon A. Cruz  <jon@joncruz.org>

	* src/layer-manager.cpp, src/layer-manager.h,
	  src/widgets/layer-selector.cpp:

	  Cleaned up propagation of status changes.
	  Fixes bug #1495333.

2006-05-26  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/path-prefix.h: Add missing CREATE_* directory locations
	  for building an OS X application bundle.  Fixes bug #1495284.

2006-05-25  Bryce Harrington <bryce@bryceharrington.org>

	* src/inkscape.cpp:  i18n on error messages (fix for bug 1490928) 

2006-05-23  Jon A. Cruz  <jon@joncruz.org>

	* src/dialogs/layers-panel.cpp, src/dialogs/swatches.cpp,
	  src/dialogs/swatches.h, src/preferences-skeleton.h,
	  src/ui/previewfillable.h, src/ui/previewholder.cpp,
	  src/ui/previewholder.h, src/ui/widget/panel.cpp,
	  src/ui/widget/panel.h, src/verbs.cpp,
	  src/widgets/desktop-widget.cpp:
	  Refactored panels.
	  Fixes RFE #1453153. Fixes RFE #1453152.
	

2006-05-23  MenTaLguY  <mental@rydia.net>

	* src/extension/internal/ps.cpp:

	  move %%EOF to end of output document

2006-05-22  Jon A. Cruz  <jon@joncruz.org>

	* src/dialogs/swatches.cpp, src/ui/widget/panel.cpp,
	  src/ui/widget/panel.h:
	  Removed panel menu unless requested. Fixes bug #1492597.

2006-05-22  MenTaLguY  <mental@rydia.net>

	* src/extension/internal/svg.cpp:

	  replace EXTREMELY inefficient (O(n^2), I think?) stacked C string
	  concatenations with appends to a std::vector, which is amortized O(1)

2006-05-21  Marco Scholten  <mscholtn@xs4all.nl>

	* src/ui/dialog/inkscape-preferences.cpp, 
	  src/ui/dialog/inkscape-preferences.h: 
	  Added 'Show close button on dialogs' option.

2006-05-21  MenTaLguY  <mental@rydia.net>

	* src/ui/view/view-widget.cpp:
	
	  request collection pass after destruction of a view widget

2006-05-21  MenTaLguY  <mental@rydia.net>

	* src/gc-core.h, src/gc.cpp:
	
	  add GC::request_early_collection() to force a collection from the idle
	  loop at opportune times

	* src/dialogs/filedialog.cpp:

	  call GC::request_early_collection() after switching preview images

2006-05-21  Jon A. Cruz  <jon@joncruz.org>

	* src/layer-manager.cpp, src/layer-manager.h,
	  src/dialogs/layers-panel.cpp, src/dialogs/layers-panel.h:
	  Adding notification when managed layers change.

2006-05-21  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/extension/internal/pdf.cpp: Compilation fix.  For versions
	  of glib older that 2.9.0, use g_date_set_time() instead of
	  g_date_set_time_t().

2006-05-20  MenTaLguY  <mental@rydia.net>

	* src/extensin/internal/ps.cpp:

	  add %%EOF trailer for DSC-compliance

2006-05-20  Colin Marquardt  <colin@marquardt-home.de>

	* share/extensions/lindenmayer.inx,
	  share/extensions/kochify_load.inx, 
	  share/extensions/kochify.inx:
	  Rename slightly, also makes for easier translation.

2006-05-20  Jon A. Cruz  <jon@joncruz.org>

	* src/widgets/icon.h, src/widgets/icon.cpp, src/dialogs/layers-panel.cpp:
	  Changled dialog from checkboxes to icons for visible and locked.

2006-05-20  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/libnrtype/FontInstance.cpp: patch from David Turner of the
	  FreeType Project.  Fixes a compilation problem and a possible
	  segmentation fault.

2006-05-19  Jon A. Cruz  <jon@joncruz.org>
	* src/preferences-skeleton.h, src/dialogs/layers-panel.h,
	  src/dialogs/layers-panel.cpp:
	  Selection and event handling cleanup. Added deeper display.

2006-05-18  Jon A. Cruz  <jon@joncruz.org>
	* src/layer-manager.cpp, src/dialogs/layers-panel.h,
	  src/dialogs/layers-panel.cpp:
	  Next round of layer dialog updates.

2006-05-17  Kees Cook  <kees@outflux.net>
	* src/dialogs/rdf.cpp: corrected localization on array, added comments.
	* src/ui/widget/licensor.cpp: Localized the license name.
	* configure.ac: added comment about why sigc++ was upgraded

2006-05-17  Jon A. Cruz  <jon@joncruz.org>
	* src/dialogs/layers-panel.cpp:
	  Flipped top/bottom in layers UI to reflect visible stacking.

2006-05-16  verbalshadow  <verbalshadow@gmail.com>

	* src/desktop-style.h, src/desktop-style.cpp:
	  Fixes calligraphy tool so drawing now uses the the correct opacity.

2006-05-17  Jon A. Cruz  <jon@joncruz.org>
	* src/dialogs/layers-panel.cpp, src/dialogs/layers-panel.h:
	  Switched icons to stock generic.

2006-05-17  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/dialogs/layers-panel.cpp: Compile fix from Mathieu Dimanche.

2006-05-16  Jon A. Cruz  <jon@joncruz.org>

	* src/document-subset.cpp:
	  Corrected ordering of children in subset.

2006-05-15  Jon A. Cruz  <jon@joncruz.org>
	* src/Makefile_insert, src/desktop.cpp, src/desktop.h,
	  src/layer-manager.cpp, src/menus-skeleton.h, src/verbs.cpp,
	  src/verbs.h, src/dialogs/layers-panel.cpp,
	  src/dialogs/layers-panel.h, src/dialogs/Makefile_insert:
	  Base implementation of a layers dialog.

2006-05-14  Colin Marquardt  <colin@marquardt-home.de>

	* src/ui/dialog/inkscape-preferences.cpp (initPageTools): 
	  Typofix ("conector").

2006-05-14  Jon A. Cruz  <jon@joncruz.org>

	* src/document-subset.cpp, src/layer-manager.h, src/layer-manager.cpp:
	  Corrected base structure and avoiding infinite loop.

2006-05-14  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/widgets/toolbox.cpp: Slightly increase size of the
	 connector toolbar buttons to match button sizes on other
	 toolbars.

2006-05-13  verbalshadow  <verbalshadow@gmail.com>

	* src/dyna-draw-context.cpp, src/desktop-style.cpp,
	  src/desktop-style.h:

	  Calligraphy tool now draws in the last used color or the
	  tool style depending on the Preference setting.
	  
2006-05-11  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/selection-chemistry.cpp, src/sp-conn-end-pair.cpp:

	  When moving/transforming connectors, only detach connectors
	  from objects that are not part of the selection.  Previously,
	  connectors moved as part of a selection would be detached from
	  all objects.  This has been requested several times via email.
	  The change also fixes bug #1383806.

	* src/ui/dialog/inkscape-preferences.cpp,
	  src/ui/dialog/inkscape-preferences.h, src/connector-context.cpp:

	  Add a preferences setting to the connector tool for setting
	  whether or not connectors attach to text objects.  This change
	  addresses feature request #1434292.
	  
2006-05-09  Carl Hetherington  <inkscape@carlh.net>

	* src/nodepath.cpp: fix silly bug with snapping node edits.
	
	* src/snapper.cpp, src/snapper.h, src/sp-namedview.cpp:
	  re-enable link between grid visibility and grid snap.

2006-05-08  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* conn-avoid-ref.cpp: Fix a crashbug that could occur in files
	  containing connectors if they were loaded from the file chooser
	  or from the recent file list.  Fixes bug #1458820.

2006-05-08  MenTaLguY  <mental@rydia.net>

	* src/display/curve.cpp:

	  always make local copy of path data so that we have control over memory
	  policy

2006-05-08  MenTaLguY  <mental@rydia.net>

	* src/display/curve.h, src/display/curve.cpp, src/dropper-context.cpp:

	  get rid of sp_curve_new_from_static_bpath() in a bid to simplify curve
	  memory management

2006-05-08  MenTaLguY  <mental@rydia.net>

	* src/display/canvas-bpath.cpp, src/display/curve.cpp, src/display/curve.h,
	  src/display/nr-arena-shape.cpp, src/draw-context.cpp,
	  src/extension/internal/odf.cpp, src/extension/internal/pov-out.cpp,
	  src/nodepath.cpp, src/object-snapper.cpp, src/path-chemistry.cpp,
	  src/sp-flowregion.cpp, src/splivarot.cpp, src/sp-offset.cpp,
	  src/sp-path.cpp, src/sp-shape.cpp, src/sp-spiral.cpp, src/sp-star.cpp,
	  src/sp-use-reference.cpp:

	  eliminate direct accesses to SPCurve::bpath

2006-05-08  MenTaLguY  <mental@rydia.net>

	* src/streams-zlib.cpp, src/streams-jar.cpp, src/splivarot.cpp,
	  src/extension/internal/bluredge.cpp:

	  use std::vector rather than dynamically-sized automatic arrays,
	  plus cleanups and minor fixes, and dead code removal

2006-05-08  MenTaLguY  <mental@rydia.net>

	* src/debug/demangle.cpp, src/debug/demangle.h, src/sp-object.cpp,
	  src/gc-anchored.cpp, src/debug/Makefile_insert:

	  use c++filt for symbol demangling if available

2006-05-08  MenTaLguY  <mental@rydia.net>

	* src/xml/repr-util.cpp:
	
	  comments explaining namespace mapping for the broken sodipodi namespace

2006-05-08  Carl Hetherington  <inkscape@carlh.net>

	* src/seltrans.cpp, src/snap.cpp, src/snap.h: fix ctrl-scaling
	when there is no snap.  More snapping cleanups.

2006-05-07  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* knot.h, knot.cpp, connector-context.cpp:
	  Fix glib-gobject-warnings for knots in the connector tool.

2006-05-07  Jon A. Cruz  <jon@joncruz.org>

	* src/document-subset.cpp:
	  Corrected two bugs, with the minor one hiding the more severe.

2006-05-06  MenTaLguY  <mental@rydia.net>

	* src/xml/repr-util.cpp, src/xml/repr.h:

	  add fixup for incorrect sodipodi namespace

2006-05-06  MenTaLguY  <mental@rydia.net>

	* doc/NewAppArchitecture/01-title.svg,
	  doc/NewAppArchitecture/04-current-main.svg,
	  doc/NewAppArchitecture/05-current-objects.svg,
	  doc/NewAppArchitecture/06-current-desktop-view.svg,
	  doc/NewAppArchitecture/07-current-problems.svg,
	  doc/NewAppArchitecture/08-inkscape-gtkmm.svg
	  doc/NewAppArchitecture/09-future-capabilities.svg,
	  doc/NewAppArchitecture/10-future-main.svg,
	  doc/NewAppArchitecture/11-future-ink-app.svg,
	  doc/NewAppArchitecture/12-future-run-modes.svg,
	  doc/NewAppArchitecture/13-future-ink-app-editor.svg,
	  doc/NewAppArchitecture/14-evolving.svg,
	  share/examples/art-nouveau-P3.svg,
	  share/examples/eastern-motive-P4G.svg,
	  share/examples/i18n.svg,
	  share/examples/markers.svg,
	  share/examples/tesselation-P3.svg,
	  share/examples/text-on-path.svg,
	  share/icons/David_icons.svg,
	  share/icons/icons.svg,
	  share/icons/legacy_icons.svg,
	  share/screens/about.svg,
	  share/templates/business_card_85x54mm.svg,
	  share/templates/default.cs.svg,
	  share/templates/default.lt.svg,
	  share/templates/default.pl.svg,
	  share/tutorials/gpl-2.svg,
	  share/tutorials/tutorial-advanced.es.svg,
	  share/tutorials/tutorial-advanced.fr.svg,
	  share/tutorials/tutorial-advanced.ja.svg,
	  share/tutorials/tutorial-advanced.sl.svg,
	  share/tutorials/tutorial-advanced.svg,
	  share/tutorials/tutorial-basic.ca.svg,
	  share/tutorials/tutorial-basic.de.svg,
	  share/tutorials/tutorial-basic.es.svg,
	  share/tutorials/tutorial-basic.fr.svg,
	  share/tutorials/tutorial-basic.ja.svg,
	  share/tutorials/tutorial-basic.nn.svg,
	  share/tutorials/tutorial-basic.sl.svg,
	  share/tutorials/tutorial-basic.svg,
	  share/tutorials/tutorial-calligraphy.es.svg,
	  share/tutorials/tutorial-calligraphy.fr.svg,
	  share/tutorials/tutorial-calligraphy.sl.svg,
	  share/tutorials/tutorial-calligraphy.svg,
	  share/tutorials/tutorial-elements.es.svg,
	  share/tutorials/tutorial-elements.fr.svg,
	  share/tutorials/tutorial-elements.sl.svg,
	  share/tutorials/tutorial-elements.svg,
	  share/tutorials/tutorial-shapes.ca.svg,
	  share/tutorials/tutorial-shapes.es.svg,
	  share/tutorials/tutorial-shapes.fr.svg,
	  share/tutorials/tutorial-shapes.ja.svg,
	  share/tutorials/tutorial-shapes.sl.svg,
	  share/tutorials/tutorial-shapes.svg,
	  share/tutorials/tutorial-tips.es.svg,
	  share/tutorials/tutorial-tips.fr.svg,
	  share/tutorials/tutorial-tips.sl.svg,
	  share/tutorials/tutorial-tips.svg,
	  share/tutorials/tutorial-tracing.de.svg,
	  share/tutorials/tutorial-tracing.es.svg,
	  share/tutorials/tutorial-tracing.fr.svg,
	  share/tutorials/tutorial-tracing.sl.svg,
	  share/tutorials/tutorial-tracing.svg,
	  src/extension/dxf2svg/dxf2svg.cpp,
	  src/menus-skeleton.h,
	  src/preferences-skeleton.h:

	  get the CORRECT sodipodi namespace in there

2006-05-06  MenTaLguY  <mental@rydia.net>

	* src/xml/repr-util.cpp:

	  fix for #1483198 ("infectious namespaces")

2006-05-01  Jon A. Cruz  <jon@joncruz.org>

	* src/verbs.h, src/verbs.cpp, src/verbs-test.h:
	  Fixed problem with std::map use making last verb inaccessible.

2006-05-05  Carl Hetherington  <inkscape@carlh.net>

	* src/draw-context.cpp, src/line-snapper.h, src/snap.cpp,
	src/snapper.cpp, src/line-snapper.cpp, src/snap.h,
	src/context-fns.cpp, src/object-snapper.h, src/seltrans.cpp,
	src/nodepath.cpp, src/snapper.h, src/object-snapper.cpp: various
	snapping fixes and cleanups.

06-05-04  Carl Hetherington  <inkscape@carlh.net>

	* src/guide-snapper.h, src/line-snapper.h, src/snap.cpp,
	src/snap.h, src/object-snapper.h, src/sp-namedview.cpp,
	src/grid-snapper.h: clean up knutux's fix for the snapper crash.

2006-05-03  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* po/pt_BR.po: Fix some "Unmatched closing </b>" warnings.

	* src/jabber_whiteboard/pedrodom.cpp: Compile fix for Mac OS.
	
2006-05-03  Carl Hetherington  <inkscape@carlh.net>

	* src/arc-context.cpp, src/connector-context.cpp,
	src/context-fns.cpp, src/desktop.cpp, src/draw-context.cpp,
	src/nodepath.cpp, src/object-edit.cpp, src/pencil-context.cpp,
	src/rect-context.cpp, src/selection-chemistry.cpp,
	src/seltrans.cpp, src/snap.cpp, src/snap.h, src/sp-namedview.cpp,
	src/sp-namedview.h, src/spiral-context.cpp, src/star-context.cpp,
	src/ui/dialog/document-properties.cpp: Give SPNamedView a
	SnapManager instance and use it for all management of snapping
	settings.

	* src/snap.cpp, src/snap.h: remove the unused namedview_dim_snap_list()

2006-05-01  Jon A. Cruz  <jon@joncruz.org>

	* src/Makefile.am, src/Makefile_insert, src/attributes-test.h,
	  src/color-profile-test.h, src/mod360-test.cpp, src/mod360-test.h,
	  src/round-test.cpp, src/round-test.h, src/sp-gradient-test.cpp,
	  src/sp-gradient-test.h, src/sp-style-elem-test.cpp,
	  src/sp-style-elem-test.h, src/style-test.h, src/test-helpers.h:
	  Replaced four more tests with CxxTest versions.

2006-05-01  MenTaLguY  <mental@rydia.net>

	* src/display/nr-arena-item.cpp:

	  use GC allocator for bitmap cache and transform

2006-05-01  Marco Scholten  <mscholtn@xs4all.nl>

	* src/dialogs/inkscape-preferences.cpp: Moved 'compass like
    display of angles' from 'windows' to 'steps'.

2006-04-30  MenTaLguY  <mental@rydia.net>

	* src/libnr/nr-object.cpp:

	  log finalization of NRObjects

2006-04-29  Jon Phillips  <jon@rejon.org>

	* src/dialogs/rdf.cpp: Updated cc licenses to 2.5 by default.

	* src/ui/dialog/document-metadata.cpp: Made metadata window
	resizable so that one can see the licenses and enter long entries.

2006-04-29  MenTaLguY  <mental@rydia.net>

	* src/display/nr-arena-group.cpp, src/display/nr-arena-item.cpp,
	  src/display/nr-arena-item.h, src/display/nr-arena-shape.cpp:

	  rationalize function names and remove spurious soft_ptr

2006-04-29  MenTaLguY  <mental@rydia.net>

	* src/document.cpp:
	
	  use proper unref function on SPRoot to avoid appearance of leak

2006-04-29  MenTaLguY  <mental@rydia.net>

	* src/gc-anchored.cpp, src/xml/simple-node.cpp, src/sp-object.cpp:

	  switch everyone to simpler debug event API

2006-04-29  MenTaLguY  <mental@rydia.net>

	* src/Makefile_insert, src/gc-finalized.cpp, src/gc-finalized.h:

	  add finalizer logging

2006-04-29  MenTaLguY  <mental@rydia.net>

	* src/debug/simple-event.h: simplify the SimpleEvent API more

2006-04-29  MenTaLguY  <mental@rydia.net>

	* src/debug/simple-event.h: make Debug::SimpleEvent more convenient

	* src/debug/event.h, src/debug/logger.cpp: add FINALIZERS category

2006-04-29  MenTaLguY  <mental@rydia.net>

	* src/debug/logger.cpp:
	
	finish interrupted refactoring of log filter configuration

2006-04-29  MenTaLguY  <mental@rydia.net>

	* src/doc/Makefile.am, src/doc/refcounting.txt:
	
	  some developer documentation about refcounting

2006-04-29  MenTaLguY  <mental@rydia.net>

	* src/ui/view/view.cpp:

	  Wait a minute -- UI::View::View and SPDocument are both managed
	  by the collector -- the view doesn't need to ref the document!

2006-04-29  MenTaLguY  <mental@rydia.net>

	* src/ui/view/view.cpp: add missing unref

2006-04-29  MenTaLguY  <mental@rydia.net>

	* src/gc-anchored.cpp, src/gc-anchored.h:

	  added refcount logging to GC::Anchored

	* src/util/Makefile_insert, src/util/format.h:

	  shared string printf

2006-04-28  MenTaLguY  <mental@rydia.net>

    * src/sp-object.cpp: make refcount logging a little more useful
	  by including the relevent class name

2006-04-28  Jon A. Cruz  <jon@joncruz.org>

	* src/Makefile_insert, src/Makefile.am, src/dir-util-test.h,
	  src/dir-util-test.cpp, src/extract-uri-test.h,
	  src/extract-uri-test.cpp:
	  Replaced two tests with CxxTest versions.

2006-04-28  Jon A. Cruz  <jon@joncruz.org>

	* src/Makefile_insert, src/MultiPrinter.h, src/verbs.h,
	  src/verbs-test.h:
	  Adding unit test for verbs.

2006-04-27  verbalshadow <verbalshadow@gmail.com>
	
	* src/io/resource.h, src/io/resource.cpp, 
	  src/dialogs/swatches.cpp, src/helper/stock-items.cpp:
	  Added CREATE v0.1 support for gradients/swatches/patterns
	  Support for Linux & Win32. Mac support waiting final support
	  Directory info.

2006-04-26  Jon A. Cruz  <jon@joncruz.org>

	* src/Makefile.am, src/MultiPrinter.h, src/PylogFormatter.h,
	  src/TRPIFormatter.h, src/selfname.tpl, src/libnr/Makefile_insert,
	  src/svg/Makefile_insert, src/xml/Makefile_insert:
	  Adding multiple test output formats.

2006-04-23  verbalshadow  <verbalshadow@gmail.com>

    * path-prefix.h:
	  Added beginnings of CREATE support in path-prefix.h

2006-04-23  verbalshadow  <verbalshadow@gmail.com>

    * src/object-ui.cpp, src/object-ui.h:
	  moved to src/ui/context-menu.cpp, src/ui/context-menu.h
	  to make it easier to find

2006-04-20  MenTaLguY  <mental@rydia.net>

    * src/dyna-draw-context.cpp, src/dyna-draw-context.h:
	  remove unused timer code

2006-04-19 Andrius R. <knutux@gmail.com>
	* src\display\nr-arena-item.cpp, src\display\canvas-arena.cpp,
	  src\display\nr-arena-shape.cpp, src\display\sp-canvas.h,
	  src\display\nr-arena.cpp, src\display\nr-arena-shape.h,
	  src\display\nr-arena-glyphs.cpp, src\display\nr-gradient-gpl.cpp,
	  src\display\sp-canvas.cpp, src\display\sp-ctrlline.cpp,
	  src\livarot\ShapeSweep.cpp, src\livarot\Shape.h, src\livarot\Shape.cpp,
	  src\livarot\Path.h, src\livarot\PathConversion.cpp,
	  src\livarot\ShapeMisc.cpp, src\livarot\Path.cpp, src\libnr\nr-pixblock.h,
	  src\libnr\nr-pixblock.cpp

	  Rendering optimisation, which gives best results for zoomed in drawings
	  with complex (multi-node) paths. Optimisation focus - eliminating cubicTo
	  and LineTo nodes outside of visible area, so no unneeded calculations is
	  needed and less memory is consumed (this avoids crashes which were
	  occurring previously if zooming into a complex drawing)

2006-04-18 njh <njh@njhurst.com>
	* share/extensions/measure.inx, share/extensions/measure.py, share/extensions/Makefile.am

	  Added the measure extension that marks lengths onto paths.

2006-04-17  MenTaLguY  <mental@rydia.net>

	* src/application/editor.cpp, src/arc-context.cpp, src/conn-avoid-ref.cpp,
	  src/connector-context.cpp, src/desktop-events.cpp, src/desktop-handles.h,
	  src/dialogs/clonetiler.cpp, src/dialogs/export.cpp,
	  src/dialogs/fill-style.cpp, src/dialogs/find.cpp,
	  src/dialogs/iconpreview.cpp, src/dialogs/item-properties.cpp,
	  src/dialogs/layer-properties.cpp, src/dialogs/object-properties.cpp,
	  src/dialogs/stroke-style.cpp, src/dialogs/swatches.cpp,
	  src/dialogs/text-edit.cpp, src/dialogs/tiledialog.cpp,
	  src/dialogs/xml-tree.cpp, src/draw-anchor.cpp, src/draw-context.cpp,
	  src/dropper-context.cpp, src/dyna-draw-context.cpp,
	  src/event-context.cpp, src/extension/implementation/script.cpp,
	  src/file.cpp, src/gradient-context.cpp, src/gradient-drag.cpp,
	  src/helper/stock-items.cpp, src/inkscape.cpp, src/interface.cpp,
	  src/jabber_whiteboard/callbacks.cpp,
	  src/jabber_whiteboard/chat-handler.cpp,
	  src/jabber_whiteboard/message-processors.cpp,
	  src/jabber_whiteboard/message-queue.cpp,
	  src/jabber_whiteboard/session-manager.cpp, src/knot.cpp,
	  src/node-context.cpp, src/nodepath.cpp, src/object-ui.cpp,
	  src/path-chemistry.cpp, src/pencil-context.cpp, src/pen-context.cpp,
	  src/rect-context.cpp, src/rubberband.cpp, src/satisfied-guide-cns.cpp,
	  src/selcue.cpp, src/select-context.cpp, src/selection-chemistry.cpp,
	  src/selection.cpp, src/seltrans.cpp, src/sp-flowtext.cpp,
	  src/spiral-context.cpp, src/splivarot.cpp, src/sp-namedview.cpp,
	  src/sp-text.cpp, src/star-context.cpp, src/text-chemistry.cpp,
	  src/text-context.cpp, src/tools-switch.cpp,
	  src/trace/potrace/inkscape-potrace.cpp, src/trace/trace.cpp,
	  src/ui/dialog/align-and-distribute.cpp, src/ui/dialog/dialog.cpp,
	  src/ui/dialog/document-metadata.cpp,
	  src/ui/dialog/document-properties.cpp,
	  src/ui/dialog/inkscape-preferences.cpp,
	  src/ui/dialog/session-player.cpp, src/ui/dialog/transformation.cpp,
	  src/ui/widget/color-picker.cpp, src/ui/widget/page-sizer.cpp,
	  src/ui/widget/registered-widget.cpp, src/ui/widget/ruler.cpp,
	  src/ui/widget/selected-style.cpp, src/ui/widget/tolerance-slider.cpp,
	  src/verbs.cpp, src/widgets/gradient-toolbar.cpp,
	  src/widgets/layer-selector.cpp, src/widgets/select-toolbar.cpp,
	  src/widgets/sp-xmlview-content.cpp, src/widgets/toolbox.cpp:

	  Get rid of the SP_DT_* macros which do nothing more than provide
	  additional, confusing, names for other functions.  If shorter names
	  are desired, the actual functions should be renamed -- or better, made
	  into member functions.

2006-04-09  Jon A. Cruz  <jon@joncruz.org>

	* share/icons/icons.svg: Fixed jumping eye (layer visibility).

2006-04-07  Jon A. Cruz  <jon@joncruz.org>

	* po/eu.po: Fix a "Unmatched closing </b>" warnings.

2006-04-07  Jon A. Cruz  <jon@joncruz.org>

	* src/widgets/paint-selector.cpp, src/widgets/gradient-toolbar.cpp,
	  src/widgets/select-toolbar.cpp, src/widgets/toolbox.cpp,
	  src/dialogs/clonetiler.cpp, src/dialogs/object-properties.cpp:

	  Shrunk a few icon sizes.

2006-04-07  Jon A. Cruz  <jon@joncruz.org>

	* src/widgets/desktop-widget.cpp, src/widgets/icon.cpp,
	  src/widgets/layer-selector.cpp:

	  Added implementation of smaller icon size.

2006-04-06  Jon A. Cruz  <jon@joncruz.org>

	* src/color-profile.cpp, src/sp-image.cpp:

	  Simple debugging #ifdefs added.

2006-04-06  Jon A. Cruz  <jon@joncruz.org>

	* src/interface.cpp, src/dialogs/clonetiler.cpp,
	  src/dialogs/object-properties.cpp, src/dialogs/stroke-style.cpp,
	  src/dialogs/text-edit.cpp, src/dialogs/tiledialog.cpp,
	  src/dialogs/xml-tree.cpp, src/ui/dialog/align-and-distribute.cpp,
	  src/ui/widget/labelled.cpp, src/widgets/button.cpp,
	  src/widgets/button.h, src/widgets/desktop-widget.cpp,
	  src/widgets/gradient-toolbar.cpp, src/widgets/icon.cpp,
	  src/widgets/icon.h, src/widgets/layer-selector.cpp,
	  src/widgets/paint-selector.cpp, src/widgets/select-toolbar.cpp,
	  src/widgets/toolbox.cpp, src/widgets/toolbox.h, src/icon-size.h:

	  Decoupling from direct use of GtkIconSize to allow for smaller
	  custom ones.

2006-04-06  Jon A. Cruz  <jon@joncruz.org>

	* src/Makefile_insert, src/Makefile.am, src/color-profile.cpp
	  src/color-profile.h, src/color-profile-fns.h,
	  src/color-profile-test.h, src/sp-image.cpp:

	  Adding rendering-intent to <color-profile>.

2006-04-05  MenTaLguY  <mental@rydia.net>

	* configure.ac, share/keyboards/.cvsignore, share/keyboards/Makefile.am,
	  share/keyboards/README, share/keys/.cvsignore, share/keys/Makefile.am,
	  share/keys/Makefile.in, share/Makefile.am:

	  share/keyboards -> share/keys

	* share/keys/Makefile.am, share/keys/default.xml, src/Makefile_insert,
	  src/shortcuts.cpp, src/shortcuts-default-xml.cpp:

	  first shot at configurable keymaps

2006-04-05  MenTaLguY  <mental@rydia.net>

	* src/io/Makefile_insert, src/io/resource.cpp, src/io/resource.h:

	  introduce uniform resource path API to replace copy-and-pasted hacks

2006-04-05  Jon A. Cruz  <jon@joncruz.org>

	* src/svg/svg-color-test.h, src/svg/svg-color.cpp:

	  Tuned icc-color() parsing.

2006-04-02  Jon A. Cruz  <jon@joncruz.org>

	* src/color-profile.h, src/color-profile.cpp,
	  src/color-profile-fns.h, src/sp-image.h, src/sp-image.cpp:

	  Initial support of color-profile on <image> elements.

2006-04-02  Jon A. Cruz  <jon@joncruz.org>

	* src/color-profile.h, src/color-profile.cpp,
	  src/color-profile-fns.h, src/Makefile_insert, src/attributes.cpp,
	  src/attributes.h, src/sp-object-repr.cpp:

	  Adding support for <color-profile> element.

2006-04-02  Jon A. Cruz  <jon@joncruz.org>

	* src/knot.h: Fixed warning messages.

2006-04-01  Jon A. Cruz  <jon@joncruz.org>

	* src/ui/widget/selected-style.cpp:

	  Safety check for null pointer.
	
2006-04-01  Jon A. Cruz  <jon@joncruz.org>

	* configure.ac, src/interface.cpp, src/dialogs/swatches.cpp:

	  Introducing optional LittleCms use.
	
2006-03-31  MenTaLguY  <mental@rydia.net>

    * src/dyna-draw-context.cpp, src/dyna-draw-context.cpp:

	  merge ::dragging and ::dynahand

2006-03-31  MenTaLguY  <mental@rydia.net>

    * src/dyna-draw-context.h: add documentation

2006-03-29  Andrius R. <knutux@gmail.com>

	* src/enums.h, src/selection-chemistry.cpp,
	  src/selection.h, src/selection.cpp,
	  src/ui/dialog/inkscape-preferences.cpp,
	  src/ui/dialog/inkscape-preferences.h:

	  patch #1450307 - option for select all to work in layer with it's sub-layers

2006-03-29  Andrius R. <knutux@gmail.com>

	* po/lt.po: Translated and added new language - Lithuanian.

2006-03-28  Jon A. Cruz  <jon@joncruz.org>

	* src/interface.cpp, src/dialogs/swatches.cpp:

	  Fixing name of temporary non-standard tag attributes.
	
2006-03-28  MenTaLguY  <mental@rydia.net>

    * src/layer-manager.cpp, src/layer-manager.h: draft of layer manager

2006-03-28  Jon A. Cruz  <jon@joncruz.org>

	* src/interface.cpp, src/dialogs/eek-color-def.h,
	  src/dialogs/eek-preview.h, src/dialogs/eek-preview.cpp,
	  src/dialogs/swatches.h, src/dialogs/swatches.cpp:

	  Changed objects to only get liked to "linkable" colors.
	
2006-03-28  Jon A. Cruz  <jon@joncruz.org>

	* src/interface.cpp, src/dialogs/swatches.cpp:

	  Objects now change when linked colors change.
	
2006-03-28  Jon A. Cruz  <jon@joncruz.org>

	* src/dialogs/eek-color-def.h, src/dialogs/eek-color-def.cpp,
	  src/dialogs/eek-preview.h, src/dialogs/eek-preview.cpp,
	  src/dialogs/swatches.h, src/dialogs/swatches.cpp:

	  Experimenting with linked colors.
	
2006-03-26  Aaron C. Spike  <aaron@ekips.org>

	* inkscape.pod, src/main.cpp:

	  Added --export-area-canvas (-C). Area specifying options
	  (--export-area, --export-area-canvas and --export-area-drawing)
	  can now be used in combination with --export-id.

2006-03-23  Jon A. Cruz  <jon@joncruz.org>

	* src/dialogs/eek-color-def.cpp, src/dialogs/eek-color-def.h,
	  src/dialogs/Makefile_insert, src/dialogs/swatches.h,
	  src/dialogs/swatches.cpp:

	  Bringing in new color class.
	
2006-03-23  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* packaging/macosx/Resources/bin/inkscape: Fix a packaging
	  problem on Mac OSX where Inkscape wouldn't open if one of the
	  parent directories containing the app bundle contained a '#' in
	  its name.  Fixes bug #1443072.

2006-03-15  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* share/icons/Makefile.am: Update a makefile after the icon file
	  renaming.

2005-03-14  MenTaLguY  <mental@rydia.net>

	* src/layer-fns.h, src/dialogs/layer-properties.cpp,
	  src/dialogs/layer-properties.h, src/layer-fns.cpp:

	  merged patch #1447043 from Andrius "knutux" R. to create sub-layers

2006-03-14  MenTaLguY  <mental@rydia.net>

	* src/Makefile_insert, src/display/nr-arena-item.cpp,
	  src/display/nr-arena-item.cpp, src/gc-finalized.h, src/gc-managed.h,
	  src/gc-soft-ptr.h, src/selection.h, src/selection.cpp:

	  Replace GC::Managed<>::clearOnceInaccessible with GC::soft_ptr<>

2006-03-14  MenTaLguY  <mental@rydia.net>

	* src/debug/event.h, src/debug/gc-heap.h, src/debug/heap.h,
	  src/debug/logger.cpp, src/debug/simple-event.h,
	  src/debug/sysv-heap.h, src/jabber_whiteboard/deserializer.cpp,
	  src/jabber_whiteboard/message-utilities.cpp,
	  src/jabber_whiteboard/message-utilities.h,
	  src/jabber_whiteboard/node-tracker-observer.h,
	  src/jabber_whiteboard/serializer.cpp,
	  src/jabber_whiteboard/serializer.h,
	  src/sp-object.cpp, src/util/share.cpp, src/util/share.h,
	  src/xml/attribute-record.h, src/xml/comment-node.h,
	  src/xml/composite-node-observer.cpp, src/xml/composite-node-observer.h,
	  src/xml/event.cpp, src/xml/event.h, src/xml/log-builder.cpp,
	  src/xml/log-builder.h, src/xml/node-observer.h, src/xml/repr-io.cpp,
	  src/xml/simple-node.cpp, src/xml/simple-node.h,
	  src/xml/simple-session.cpp, src/xml/simple-session.h,
	  src/xml/text-node.h:

	  shared_ptr -> ptr_shared

2006-03-13  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/svg/svg-color.cpp (sp_svg_write_color): More readable colour
	  names when possible: e.g. `red', `#cfc'.

2006-03-10  Jon A. Cruz  <jon@joncruz.org>

	* src/interface.cpp:

	  Shift-drop now sets stroke on target objects.
	
2006-03-11  MenTaLguY  <mental@rydia.net>

	* src/sp-object.cpp: experiment to verify that we can safely release
	  before removing object from document tree

2006-03-10  Jon A. Cruz  <jon@joncruz.org>

	* src/dialogs/swatches.cpp:

	  Changed color dragging to have a color preview.
	
2006-03-09  Jon A. Cruz  <jon@joncruz.org>

	* src/interface.cpp:

	  Initial cut of color drag-n-drop to items on canvas.
	
2006-03-09  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/path-chemistry.cpp (sp_selected_path_reverse):
	  Fix when multiple paths are selected.
	  Also fix a small memory leak.

2006-03-06  MenTaLguY  <mental@rydia.net>

	* src/document-subset.h, src/document-subset.cpp:
	  add DocumentSubset::_clear

2006-03-05  MenTaLguY  <mental@rydia.net>

	* src/document-subset.h, src/document-subset.cpp:
	  remove unneeded document parameter from constructor

2006-03-05  MenTaLguY  <mental@rydia.net>

	* src/document-subset.cpp:

	  Wire up new SPObject signal to DocumentSubset, so order changes
	  will be reflected in the subset.

2006-03-05  MenTaLguY  <mental@rydia.net>

	* src/sp-object.h, src/sp-object.cpp:

	  Add signal for notification of object position changes.

2006-03-05  MenTaLguY  <mental@rydia.net>

	* src/Makefile_insert, src/document-subset.cpp, src/document-subset.h:

	  Add DocumentSubset as groundwork for layers.

2006-03-04  Jon A. Cruz  <jon@joncruz.org>
	* src/ui/widget/selected-style.h, src/ui/widget/selected-style.cpp:

	  Style minibar now only accepts color drag-n-drop when not N/A.
	  Final tweak for completing RFE #1429027.
	
2006-02-28  Jon A. Cruz  <jon@joncruz.org>
	* src/ui/widget/selected-style.h, src/ui/widget/selected-style.cpp:

	  Made the style minibar a target for color drag-n-drop.
	
2006-03-01  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/conn-avoid-ref.cpp, src/libavoid/connector.h,
	  src/libavoid/shape.cpp, src/libavoid/graph.cpp, src/libavoid/shape.h,
	  src/libavoid/graph.h, src/libavoid/router.cpp, src/libavoid/router.h,
	  src/libavoid/connector.cpp, src/libavoid/debug.h:

	  Some speed improvements and interface cleanups to libavoid.

2006-02-28  Jon A. Cruz  <jon@joncruz.org>
	* src/dialogs/swatches.cpp:

	  Fixed drag-n-drop out of color to match GTK+ standard.
	
2006-02-27  Jon A. Cruz  <jon@joncruz.org>
	* src/dialogs/swatches.cpp, src/ui/previewfillable.h,
	  src/ui/previewholder.h, src/ui/previewholder.cpp:

	  Finished cleanup of embedded swatches when switching palettes.
	
2006-02-26  Jon A. Cruz  <jon@joncruz.org>
	* src/dialogs/swatches.cpp, src/ui/previewholder.h,
	  src/ui/previewholder.cpp:

	  Changing embedded swatches resizing.
	
2006-02-26  Jon A. Cruz  <jon@joncruz.org>
	* src/text-context.cpp:

	  Allow Private Use Area characters. Fixes bug #1439016.
	
2006-02-18  Jon A. Cruz  <jon@joncruz.org>
	* src/dialogs/swatches.cpp, src/dialogs/iconpreview.cpp,
	  src/ui/widget/panel.cpp, src/ui/widget/panel.h:

	  Refactoring panel containment. Purged ugly 'X'.
	
2006-02-18  Jon A. Cruz  <jon@joncruz.org>
	* src/widgets/desktop-widget.cpp, src/dialogs/swatches.cpp,
	  src/dialogs/swatches.h, src/ui/widget/panel.cpp,
	  src/ui/widget/panel.h, src/ui/previewholder.cpp,
	  src/ui/previewholder.h:

	  Adding spacer to get swatches scrollbar enough room to move.
	  Tuning up API for better embedding.

2006-02-18  Jon A. Cruz  <jon@joncruz.org>
	* src/widgets/desktop-widget.cpp, src/dialogs/swatches.cpp,
	  src/dialogs/swatches.h, src/ui/previewholder.cpp, 
	  src/ui/previewfillable.h, src/ui/previewholder.h:

	  Removed horizontal scroll bar from swatches when embedded.

2006-02-15  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	*  src/document.cpp, src/document.h, src/sp-conn-end-pair.cpp, 
	   src/connector-context.cpp, src/conn-avoid-ref.cpp:

	Keep a seperate connector router for each document.
	   
	*  src/libavoid/Makefile_insert, src/libavoid/connector.cpp,
	   src/libavoid/connector.h, src/libavoid/debug.h,
	   src/libavoid/geometry.cpp, src/libavoid/geometry.h,
	   src/libavoid/geomtypes.h, src/libavoid/graph.cpp,
	   src/libavoid/graph.h, src/libavoid/incremental.cpp,
	   src/libavoid/incremental.h, src/libavoid/libavoid.h,
	   src/libavoid/makepath.cpp, src/libavoid/makepath.h,
	   src/libavoid/polyutil.cpp, src/libavoid/polyutil.h,
	   src/libavoid/router.cpp, src/libavoid/router.h,
	   src/libavoid/shape.cpp, src/libavoid/shape.h,
	   src/libavoid/static.cpp, src/libavoid/static.h,
	   src/libavoid/timer.cpp, src/libavoid/timer.h,
	   src/libavoid/vertices.cpp, src/libavoid/vertices.h,
	   src/libavoid/visibility.cpp, src/libavoid/visibility.h:
	   
	Upstream changes to libavoid that allow multiple connector 
	router instances, as well a few other minor bugfixes.

2006-02-14  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/display/sp-canvas.cpp, display/sp-canvas.h, connector-context.cpp:
	
	Revert a previous change that generated enter events for canvas items
	other than the current one when mouse buttons were depressed.  These 
	events are now only generated in the connector context, where they are
	required.

2006-02-13  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/graphlayout/graphlayout.cpp, src/conn-avoid-ref.cpp,
	  src/conn-avoid-ref.h, src/libavoid/connector.cpp,
	  src/libavoid/connector.h:
	  
	Change the behaviour and naming of some connector querying code
	after feedback from Tim Dwyer in implementing graph drawing
	functionality.

2006-02-11  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/sp-conn-end-pair.cpp, src/conn-avoid-ref.cpp:
	  Fix two bugs from my commit yesterday.

2006-02-10  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/sp-conn-end-pair.cpp, src/sp-conn-end-pair.h,
	  src/conn-avoid-ref.cpp, src/conn-avoid-ref.h,
	  src/libavoid/connector.cpp, src/libavoid/connector.h,
	  src/libavoid/visibility.cpp:

	Add some code to allow querying of items and connectors to find
	out what is attached to them.  This will allow graph layout
	algorithms (currently being worked on by Tim Dwyer) to determine 
	a graph structure from the diagram.

2006-02-07  MenTaLguY  <mental@rydia.net>

	* src/widgets/icon.cpp: get rid of icon prerender time messages

2006-02-07  MenTaLguY  <mental@rydia.net>

	* src/debug/gc-heap.h, src/debug/logger.cpp, src/debug/sysv-heap.h,
	  src/jabber_whiteboard/deserializer.cpp, src/sp-object.cpp,
	  src/util/share.h, src/xml/simple-node.cpp:

	  share_static -> share_static_string

2006-02-07  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/jabber_whiteboard/message-utilities.h,
	  src/jabber_whiteboard/serializer.cpp,
	  src/jabber_whiteboard/deserializer.cpp,
	  src/jabber_whiteboard/message-utilities.cpp,
	  src/ui/dialog/whiteboard-connect.cpp:
	
	Some fixes to allow the codebase to compile with Inkboard support
	after the recent Util::shared_ptr<> and Dialog::present() changes.

2006-02-05  Marco Scholten  <mscholtn@xs4all.nl>

	* src/verbs.cpp: updated to make double clicking a tool button
	  open the new preferences dialog.
	* src/ui/dialog/inkscape-preferences.cpp: updated to enable opening
	  the dialog on the correct page.
	* src/ui/dialog/dialog.cpp: added virtual void present() so that
	  InkscapePreferences::present() will be called from 
	  DialogManager::showDialog()

2006-02-05  MenTaLguY  <mental@rydia.net>

	* src/debug/event.h, src/debug/gc-heap.h, src/debug/heap.h,
	  src/debug/logger.cpp, src/debug/simple-event.h, src/debug/sysv-heap.h,
	  src/jabber_whiteboard/deserializer.cpp,
	  src/jabber_whiteboard/message-utilities.cpp,
	  src/jabber_whiteboard/message-utilities.h,
	  src/jabber_whiteboard/node-tracker-observer.h,
	  src/jabber_whiteboard/node-utilities.cpp,
	  src/jabber_whiteboard/serializer.cpp,
	  src/jabber_whiteboard/serializer.h,
	  src/sp-object.cpp, src/util/Makefile_insert, src/util/share.cpp,
	  src/util/shared-c-string-ptr.cpp, src/util/shared-c-string-ptr.h,
	  src/util/share.h, src/xml/attribute-record.h, src/xml/comment-node.h,
	  src/xml/composite-node-observer.cpp, src/xml/composite-node-observer.h,
	  src/xml/event.cpp, src/xml/event.h, src/xml/log-builder.cpp,
	  src/xml/log-builder.h, src/xml/node-observer.h, src/xml/repr.cpp,
	  src/xml/repr-io.cpp, src/xml/simple-node.cpp, src/xml/simple-node.h,
	  src/xml/simple-session.cpp, src/xml/simple-session.h,
	  src/xml/text-node.h:

	  replace Util::SharedCStringPtr with the nicer and more general
	  Util::shared_ptr<>

2006-02-03  Jon Phillips  <jon@rejon.org>

	* src/verbs.cpp: Added "..." to "Trace Bitmap" text. Yes, what a
	simple and dumb thing to add for consistency.

2006-01-24  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/libavoid/connector.cpp, src/libavoid/connector.h, 
	  src/libavoid/shape.cpp, src/libavoid/graph.cpp,
	  src/libavoid/incremental.cpp, src/libavoid/incremental.h,
	  src/libavoid/static.cpp, src/libavoid/visibility.cpp, 
	  src/libavoid/makepath.cpp:

	Some minor upstream libavoid fixes.  

2006-01-23  Carl Hetherington  <inkscape@carlh.net>

	* src/selection.cpp: fix a typo in one of my previous commits.
	Closes #1401357.

	* src/xml/repr-io.cpp: catch failures in fopen of XML files.
	Closes #1374551.

2006-01-20  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/widgets/toolbox.cpp, src/widgets/desktop-widget.cpp,
	  src/conn-avoid-ref.cpp, src/conn-avoid-ref.h, src/sp-namedview.cpp,
	  src/sp-namedview.h, src/attributes.cpp, src/attributes.h,
	  src/attributes-test.cpp:

	Added a "Spacing" control to the connector toolbar which allows
	the user to adjust the amount of space left around avoided shapes
	for the purpose of determining auto-routing connector paths.

2006-01-17  Marco Scholten  <mscholtn@xs4all.nl>

	* /src/ui/dialog/inkscape-preferences.cpp:
	  Added style swatches,
	  Changed Gtk::Requisition Gtk::Widget::size_request() to 	
	  void Gtk::Widget::size_request(const Requisition& requisition)	
	* /src/ui/dialog/preferences-widget.cpp & .h:
	  Added DialogPage::set_tip()

2006-01-17  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* packaging/osx-app.sh, packaging/macosx/Resources/etc/fonts/fonts.conf:
	  Use a modified fonts.conf file for Mac OS X that includes the 
	  standard user font directory ~/Library/Fonts.

2006-01-16  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/svg/Makefile_insert: Updated to reflect a previous header
	  file renaming.

2006-01-12  Marco Scholten  <mscholtn@xs4all.nl>

	* /src/ui/dialog/inkscape-preferences.cpp & .h:
	  Converted preferences dialog to gtkmm
	* src/ui/widget/preferences-widget.cpp & .h:
	  New files.
	* src/verbs.cpp: updated to start new dialog.

2006-01-11  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/sp-item-group.cpp, src/sp-path.cpp, src/sp-star.cpp,
	  src/extension/internal/svg.cpp, src/ui/widget/ruler.cpp:
	  Fix some compilation problems on Mac OS X after recent
	  includes cleanup.

2006-01-05  Jon A. Cruz  <jon@joncruz.org>

	* src/widgets/desktop-widget.cpp:
	  Corrected resize behavior of canvas/swatches split.

2006-01-06  Mathieu Dimanche  <mdimanche@free.fr>

	* src/util/units.cpp: forcin 'C' locale for reading units.txt file
	   Fixes bug #1391348.

2006-01-05  MenTaLguY  <mental@rydia.net>

	* src/libnr/nr-maybe.h: fix constness/local reference issues

2006-01-04  MenTaLguY  <mental@rydia.net>

	* src/Makefile_insert, src/shortcuts-default-xml.cpp,
	  src/shortcuts.cpp, src/shortcuts.xml:

	  Moved default shortcuts XML file into a string constant (for now);
	  replaced hard-coded structure with code to read XML file.

2006-01-04  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/extension/internal/ps.cpp (setup): Clarify the meaning of
	  `Print destination', mentioning the new possibility of leaving
	  as empty.
	* (PrintPS::begin) If print destination is an empty string, then
	  don't pass `-P %s' to lpr: just let lpr use its default.
	* (PrintPS::init) Change default print destination from `lp' to empty
	  string.

2006-01-04  Jon A. Cruz  <jon@joncruz.org>

	* src/widgets/desktop-widget.cpp:
	  Adding split pane for swatches.

2006-01-03  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/libavoid/visibility.cpp: Add operator!= for the EdgePair class.
	  This is needed to compile on Tru64 UNIX.  Fixes bug #1386755.

2005-12-30  Josh Andler  <scislac@users.sf.net>

	* src/ui/widget/selected-style.cpp, src/ui/widget/selected-style.h
	  Added "invert" function to right-click menu of style selector.

2005-12-22  Jon A. Cruz  <jon@joncruz.org>

	* share/palettes/Tango-Palette.gpl:
	  Updated to newer version from the Tango project.

2005-12-21  Jon A. Cruz  <jon@joncruz.org>

	* src/interface.cpp, src/preferences-skeleton.h,
	  src/widgets/desktop-widget.h, src/widgets/desktop-widget.cpp:
	  Adding panels/swatches to main UI.

2005-12-23  Tim Dwyer  <tdwyer@mail.csse.monash.edu.au>

	* src/removeoverlap/*.{cpp,h}: Bug fix in removeoverlap algorithm that
	  should finally get timestamps working properly.  Specifically, heap
	  timestamps are now refreshed before a merge.

2005-12-19  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/sp-conn-end.cpp, src/connector-context.cpp: Have connectors
	  draw to the correct position on shape bounding boxes.  Previously
	  the point where connectors were drawn was on straight line between
	  the two endpoints.  These points now lie on the line between the 
	  second last point on the polyline and the center of the shape.
	  
	* src/display/curve.cpp, src/display/curve.hpp: Added a couple of 
	  functions that return the second and second-last points in a curve.

	* src/removeoverlap/generate-constraints.cpp: Moved the 
	  #include "isnan.h" to be the final include.  This fixes a
	  compilation error on OS X.

2005-12-16  Carl Hetherington  <inkscape@carlh.net>

	* src/conn-avoid-ref.cpp, sp-conn-end-pair.cpp, sp-conn-end.cpp,
	sp-item.cpp, sp-shape.cpp, dialogs/clonetiler.cpp,
	dialogs/stroke-style.cpp, dialogs/tiledialog.cpp,
	dialogs/unclump.cpp, display/nr-arena-shape.cpp,
	display/nr-arena-shape.h, widgets/icon.cpp: more NRRect removal.

	* src/desktop.cpp, src/desktop.h, src/dyna-draw-context.cpp,
	src/selection-chemistry.cpp, src/sp-namedview.cpp, src/verbs.cpp,
	src/display/sp-canvas.cpp, src/display/sp-canvas.h,
	src/ui/view/edit-widget.cpp, src/ui/widget/zoom-status.cpp,
	src/widgets/desktop-widget.cpp: more NRRect removals and cleanups.

	* src/grid-snapper.cpp: snap only to visible grid lines (patch
	from mtou).

2005-12-15  Carl Hetherington  <inkscape@carlh.net>

	* src/conn-avoid-ref.cpp, src/gradient-chemistry.cpp,
	src/sp-conn-end.cpp, src/sp-item.{cpp,h}: NR::Rect version of
	sp_item_invoke_bbox (SPItem::invokeBbox).  Use it in some places.

2005-12-14  Carl Hetherington  <inkscape@carlh.net>

	* src/dyna-draw-context.cpp, src/gradient-context.cpp,
	src/selection.h, src/sp-flowtext.cpp, src/sp-item.cpp,
	src/sp-item.h, src/sp-shape.cpp, src/sp-text.cpp,
	src/dialogs/layer-properties.cpp,
	src/extension/internal/bluredge.cpp,
	src/extension/internal/grid.cpp, src/ui/dialog/transformation.cpp,
	src/widgets/desktop-widget.cpp: remove NRMatrix version of
	sp_item_i2d_affine().  Some include file adjustments.

	* src/arc-context.cpp: some very minor cleanups.

	* src/svg/svg-length.{cpp,h}, src/helper/units.cpp: use INCH
	rather than IN to avoid breaking the compile on some systems.

2005-12-13  Carl Hetherington  <inkscape@carlh.net>

	* src/arc-context.cpp, src/connector-context.cpp,
	src/context-fns.cpp, src/desktop-affine.cpp, src/desktop-affine.h,
	src/desktop-events.cpp, src/desktop.cpp, src/desktop.h,
	src/draw-anchor.cpp src/dropper-context.cpp,
	src/dyna-draw-context.cpp, src/event-context.cpp
	src/gradient-context.cpp, src/knot.cpp, src/node-context.cpp,
	src/object-snapper.cpp src/pen-context.cpp,
	src/pencil-context.cpp, src/rect-context.cpp
	src/select-context.cpp, src/selection-chemistry.cpp,
	src/sp-item.cpp, src/sp-item.h src/spiral-context.cpp,
	src/star-context.cpp, src/text-context.cpp src/zoom-context.cpp,
	src/ui/widget/ruler.cpp: make desktop's transforms private
	members.

	* src/document.cpp, src/object-edit.cpp, src/sp-ellipse.cpp,
	src/sp-ellipse.h, src/sp-gradient.cpp, src/sp-image.cpp,
	src/sp-image.h, src/sp-line.cpp, src/sp-line.h,
	src/sp-linear-gradient.h, src/sp-marker.cpp, src/sp-marker.h,
	src/sp-pattern.cpp, src/sp-pattern.h, src/sp-radial-gradient.h,
	src/sp-rect.cpp, src/sp-rect.h, src/sp-root.cpp, src/sp-root.h,
	src/sp-star.cpp, src/sp-symbol.h, src/sp-text.cpp,
	src/sp-textpath.h, src/sp-tspan.cpp, src/sp-use.cpp, src/sp-use.h,
	src/text-tag-attributes.h, src/helper/units.cpp,
	src/helper/units.h, src/libnrtype/Layout-TNG-Compute.cpp,
	src/libnrtype/Layout-TNG-Input.cpp,
	src/libnrtype/Layout-TNG-OutIter.cpp,
	src/libnrtype/Layout-TNG-Output.cpp, src/libnrtype/Layout-TNG.h,
	src/libnrtype/TextWrapper.cpp, src/svg/svg-length.cpp,
	src/svg/svg.h: partial C++-ificiation of SPSVGLength.  Rename it
	to SVGLength.

2005-12-13  Mathieu Dimanche <mdimanche@free.fr>

	* src/snapped-point.{cpp,h} : new files.

	* src/Makefile_insert : Added the new files

	* src/arc-context.cpp, src/connector-context.cpp,
	src/context-fns.cpp, src/draw-context.cpp, src/nodepath.cpp,
	src/object-edit.cpp, src/pencil-context.cpp,
	src/selection-chemistry.cpp, src/seltrans.cpp, src/snap.cpp,
	src/spiral-context.cpp, src/star-context.cpp,
	src/line-snapper.cpp, src/line-snapper.h, src/object-snapper.cpp,
	src/object-snapper.h src/snapper.cpp, src/snapper.h,
	src/event-context.cpp, src/rect-context.cpp,
	src/select-context.cpp : Use SnappedPoint class

	* src/color-rgba.h : Added rgba32 unsigned int handling and
	"inverse" members (NEED TO BE TESTED)

2005-12-12  MenTaLguY  <mental@rydia.net>

	* src/widgets/desktop-widget.cpp: moved some widgets into statusbar
	  widget for more aesthetic appearance

2005-12-12  Carl Hetherington <inkscape@carlh.net>

	* src/arc-context.cpp: minor cleanups.  Use SnapManager more.  Use
	Inkscape::setup_for_drag_start.

	* src/connector-context.cpp, src/draw-context.cpp,
	src/object-edit.cpp, src/pencil-context.cpp, src/rect-context.cpp,
	src/spiral-context.cpp, src/star-context.cpp: use SnapManager.

	* src/rect-context.cpp, src/spiral-context.cpp,
	src/star-context.cpp: use Inkscape::setup_for_drag_start().

	* src/snapper.{cpp,h}: simplify snap point types code.

	* src/context-fns.{cpp,h}: add setup_for_drag_start().

	* src/dyna-draw-context.cpp: remove unused and erroneous snapping code.

	* src/pen-context.cpp: remove unused variable.

	* src/draw-context.cpp: use SnapManager.

	* src/nodepath.cpp: const fixes.  Use SnapManager.

	* src/selection-chemistry.cpp, src/seltrans.cpp: some cleanups.
	Use new snap API.

	* src/snap.{cpp,h}: remove some dead code.

	* src/sp-item.{cpp,h}, src/node-context.cpp, src/draw-context.cpp:
	remove an unnecessary parameter from sp_item_dt2i_affine().

2005-12-09  Carl Hetherington <inkscape@carlh.net>

	* src/object-snapper.cpp: make node snapping work again.

	* src/star-context.cpp: use SnapManager.  Some other minor cleanups.

	* src/arc-context.cpp, src/connector-context.cpp,
	src/dyna-draw-context.cpp, src/pen-context.cpp,
	src/pencil-context.cpp, src/rect-context.cpp,
	src/selection-chemistry.cpp, src/spiral-context.cpp,
	src/star-context.cpp, src/text-context.cpp: use
	Inkscape::have_viable_layer.

	* src/context-fns.{cpp,h}: new files.

	* src/arc-context.cpp, src/context-fns.{cpp,h},
	src/rect-context.cpp: abstract common code into context-fns and
	clean it up a bit.

2005-12-08  Carl Hetherington <inkscape@carlh.net>

	* src/grid-snapper.cpp, src/guide-snapper.cpp, src/line-snapper.h:
	coding style.  Change how lines are defined.

	* src/grid-snapper.h, src/guide-snapper.h: coding style.

	* src/line-snapper.cpp, src/object-snapper.{cpp,h}: Coding style.
	Various cleanups.  Small API changes.

	* src/snap.cpp: changes to Snapper API.  Added work-in-progress SnapManager.

	* src/snapper.{cpp,h}: API cleanups.

	* src/sp-namedview.{cpp,h}: added getSnappers().

	* src/seltrans.cpp: Cleanup and fix moveTo().  Go back to snapping
	to snap points rather than the convex hull, at least for a bit.

2005-12-07  Carl Hetherington <inkscape@carlh.net>

	* src/libnr/nr-convex-hull.h: remove unnecessary includes.

	* src/line-snapper.{cpp,h}, src/object-snapper.{cpp,h},
	src/attributes.{cpp,h}, src/desktop.cpp, src/dyna-draw-context.cpp
	src/arc-context.cpp, src/grid-snapper.h, src/nodepath.cpp,
	src/rect-context.cpp, src/selection-chemistry.cpp,
	src/seltrans.cpp, src/snap.{cpp,h}, src/snapper.{cpp,h},
	src/sp-namedview.{cpp,h}, src/spiral-context.cpp,
	src/star-context.cpp, src/dialogs/desktop-properties.{cpp,h},
	src/Makefile_insert: first cut of object snapping.

	* src/grid-snapper.cpp, src/guide-snapper.{cpp,h}: use Inkscape namespace.

2005-12-06  Carl Hetherington <inkscape@carlh.net>

	* src/libnr/nr-maybe.h: add missing public: to class IsNot.

	* src/splivarot.{cpp,h}: declare some more functions.  Fix
	get_nearest_position_on_Path to not crash if you call it with an
	Item that isn't Shape or Text.

	* src/node-context.cpp: adapt for changes in splivarot.{cpp,h}.

	* src/nodepath.cpp: remove declaration of a function now declared
	in splivarot.h.

2005-12-05  Carl Hetherington <inkscape@carlh.net>

	* src/desktop.cpp, src/tools-switch.cpp,
	src/dialogs/clonetiler.cpp, src/dialogs/display-settings.cpp:
	re-jig #includes slightly.

	* src/seltrans.{cpp,h}, src/selcue.{cpp,h}: C++-ification and cleanup.

	* src/select-context.{cpp,h}, src/seltrans-handles.h: adapt for
	changes to SelTrans.

	* src/event-context.{cpp,h}: adapt for changes to SelCue.

	* src/rect-context.cpp, src/gradient-context.cpp: remove unnecessary include.

	* src/connector-context.h, src/draw-context.h: add a forward
	declaration.

	* src/dropper-context.{cpp,h}: remove an unused variable and its
	associated includes.

	* src/main.cpp: fix comment for renamed SPSelCue.

	* src/dialogs/display-settings.cpp: adapt for slightly re-jigged SelCue.

2005-12-04  Ted Gould  <ted@gould.cx>

	* po/POTFILES.in:

	Adding the .inx files as [type: gettext/xml] so that they will get
	translated.  Good stuff.

	* share/extensions/addnodes.inx, share/extensions/ai_input.inx,
	share/extensions/ai_output.inx, share/extensions/bluredge.inx,
	share/extensions/dia.inx, share/extensions/dots.inx,
	share/extensions/dropshadow.inx, share/extensions/dxf_input.inx,
	share/extensions/dxf_output.inx, share/extensions/embedimage.inx,
	share/extensions/eps_input.inx, share/extensions/epsi_output.inx,
	share/extensions/ffmet.inx, share/extensions/ffms.inx,
	share/extensions/ffset.inx, share/extensions/ffss.inx,
	share/extensions/gimpgrad.inx, share/extensions/grid.inx,
	share/extensions/handles.inx, share/extensions/interp.inx,
	share/extensions/kochify.inx, share/extensions/kochify_load.inx,
	share/extensions/lindenmayer.inx, share/extensions/motion.inx,
	share/extensions/pdf_output.inx, share/extensions/ps_input.inx,
	share/extensions/radiusrand.inx, share/extensions/randompnt.inx,
	share/extensions/randompos.inx, share/extensions/rtree.inx,
	share/extensions/sk_input.inx, share/extensions/straightseg.inx,
	share/extensions/summersnight.inx, share/extensions/svgz_input.inx,
	share/extensions/svgz_output.inx, share/extensions/txt2svg.inx,
	share/extensions/wavy.inx, share/extensions/whirl.inx,
	share/extensions/wmf_input.inx:

	Marking the user visible strings as translatable.

	* src/extension/dependency.cpp, src/extension/extension.cpp,
	src/extension/init.cpp, src/extension/input.cpp, src/extension/output.cpp,
	src/extension/parameter.cpp:

	Changed to handle translated .inx files.  They will find the data, and
	mark the right strings as translated.

	* src/extension/effect.cpp, src/extension/effect.h, src/interface.cpp:

	Changed menu handling to be push instead of pull

2005-12-02  Carl Hetherington <inkscape@carlh.net>

	* src/dropper-context.cpp: coding style.
	* src/sp-namedview.cpp, src/sp-namedview.h, src/desktop.cpp: some
	C++-ification of SPNamedView.

2005-12-01  MenTaLguY  <mental@rydia.net>

	* src/widgets/desktop-widget.cpp: shuffle status bar around again;
	  add a grippie so we don't have to care about the corner of the window
	  getting covered up

2005-12-01  MenTaLguY  <mental@rydia.net>

	* src/widgets/icon.cpp: refactored a bit around the icon prerendering
	  code and added a timer; also kick off the task immediately rather
	  than waiting for the first expose event

2005-12-01  MenTaLguY  <mental@rydia.net>

	* src/widgets/desktop-widget.cpp:

	  moved zoom selector away from the right edge so it won't get covered
	  by window manager decorations

2005-12-01  MenTaLguY  <mental@rydia.net>

	* src/help.cpp, src/ui/dialog/aboutbox.h, src/ui/dialog/aboutbox.cpp:

	  Moved creation of the splash widget into the about dialog code,
	  and tweaked the appearance of the dialog in a lot of subtle ways
	  -- we now use an AspectFrame to constrain the aspect ratio of the
	  splash view, and also finally get the correct initial size for the
	  dialog while still allowing it to be arbitrarily resized.

2005-12-01  Carl Hetherington <inkscape@carlh.net>

	* src/sp-namedview.cpp: coding style.

2005-12-01  Jon A. Cruz  <jon@joncruz.org>

	* src/widgets/icon.cpp: added idle calback pre-render.

2005-11-30  MenTaLguY  <mental@rydia.net>

	* src/ui/dialog/aboutbox.cpp: make 'close' button default widget,
	  and rename "About" tab to "_Splash"

2005-11-30  Carl Hetherington <inkscape@carlh.net>

	* src/svg/svg-path.cpp: add missing #include of assert.h for
	assert()
	* src/dialogs/xml-tree.cpp: fix uninitialised variable
	warnings, move some declarations to first use, coding style fixes.
	* src/snap.cpp, src/snap.h, src/sp-namedview.cpp: split
	snap.{cpp,h} up into snapper.{cpp,h}, grid-snapper.{cpp,h},
	guide-snapper.{cpp,h}.  Refactor and simplify.  Add another
	namedview_free_snap().
	* src/geom.cpp, src/geom.h: cosmetic renaming.
	* src/pen-context.cpp: a few minor cleanups to
	pen_handle_button_press().  Other snapping cleanups.
	* src/draw-context.cpp, src/draw-context.h: split
	spdc_endpoint_snap_internal() into two functions.
	* src/pencil-context.cpp: snapping cleanups.
	* src/ui/widget/unit-menu.cpp: remove definition of a variable
	that's just been made static.
	
2005-11-26  MenTaLguY <mental@rydia.net>

	* src/ui/dialog/aboutbox.cpp, src/ui/dialog/aboutbox.h:
	  clean up and simplify About dialog; fix memory management (mostly)

2005-11-25  Robert Crosbie <swingincelt@gmail.com>

	* replaced sp_repr_ref with direct cal to Inkscape::GC::anchor
	* replaced sp_repr_unref with direct call to Inkscape::GC::release
	* replaced sp_repr_set_attr with direct call to repr->setAttribute

2005-11-24  MenTaLguY  <mental@rydia.net>

	* src/shortcuts.cpp, src/interface.cpp: prune back shortcuts API in
	  preparation for configurable key bindings work

2005-11-24  MenTaLguY  <mental@rydia.net>

	* src/sp-item.cpp: remedy erroneous initialization of doubles with NULL

2005-11-24  MenTaLguY  <mental@rydia.net>

	* src/seltrans.cpp: prune dead wood (sp_sel_trans_handle_click)

2005-11-24  MenTaLguY  <mental@rydia.net>

	* src/display/canvas-arena.cpp, src/display/canvas-bpath.cpp,
	  src/display/canvas-grid.cpp, src/display/guideline.cpp,
	  src/display/sodipodi-ctrl.cpp, src/display/sodipodi-ctrlrect.cpp,
	  src/display/sp-canvas-util.cpp, src/display/sp-canvas-util.h,
	  src/display/sp-ctrlline.cpp, src/display/sp-ctrlquadr.cpp:
	  
	  cosmetic renaming

2005-11-23  Robert Crosbie <swingincelt@gmail.com>

	* replaced sp_repr_change_order with direct cal to repr->changeOrder
	* replaced sp_repr_add_child with direct call to repr->addChild
	* replaced sp_repr_remove_child with direct call to repr->removeChild

2005-11-23  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/ui/dialog/align-and-distribute.h, src/ui/dialog/align-and-distribute.cpp:
	  Add new action ActionRemoveOverlaps, and add new button & two spin buttons
	  to the Align & Distribute dialog box, to remove overlaps between objects.
	* configure.ac: New directory src/removeoverlap.
	* src/Makefile.am: Build new library removeoverlap/libremoveoverlap.a.
	* src/Makefile_insert: Link against new library removeoverlap/libremoveoverlap.a.

2005-11-23  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* packaging/osx-app.sh, packaging/macosx/Resources/bin/inkscape:
	  Include some missing modules required by gnome-vfs and set shell
	  variables to point to these modules within the OS X app bundle.
	  Fixes bug #1363390.

2005-11-21  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* packaging/osx-app.sh: Fix a typo resulting from last change.

2005-11-18  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* packaging/osx-app.sh: Add libXinerama.1.dylib to the app bundle 
	  since users of OS X 10.3.x will not have this file.

2005-11-12  Jon Phillips <jon@rejon.org>

	* po/it.po po/sr.po po/sr@Latn.po: Fixed these po files so that 
	Inkscape builds okay.


2005-11-12  Ralf Stephan <ralf@ark.in-berlin.de>

	* src/ui/view/edit-widget.h, src/ui/view/edit-widget.cpp:
	  new-gui: made complete statusbar widget, equals old-gui now
	* src/widgets/layer-selector.h, src/ui/widget/selected-style.h:
	  classes have now a constructor with default parameter
	* src/ui/widget/zoom-status.cpp: smaller font

2005-11-12  MenTaLguY  <mental@rydia.net>

	* src/display/canvas-arena.cpp, src/display/canvas-bpath.cpp,
	  src/display/canvas-grid.cpp, src/display/guideline.cpp,
	  src/display/sodipodi-ctrl.cpp, src/display/sodipodi-ctrlrect.cpp,
	  src/display/sp-canvas-util.cpp, src/display/sp-canvas-util.h,
	  src/display/sp-canvas.cpp, src/display/sp-canvas.h,
	  src/display/sp-ctrlline.cpp, src/display/sp-ctrlquadr.cpp:

	  Refactor canvas buffer code a little.   Hint: if you have two flags
	  and an invariant that one will be false if the other is true and
	  vice-versa, you can represent them with a single flag.  Fixed
	  cut-and-paste madness between sp_canvas_buf_ensure_buf and
	  sp_canvas_clear_buf also.  Finally, renamed sp_canvas_buf_ensure_buf
	  to sp_canvas_prepare_buf.

2005-11-09  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/sp-item.cpp: Call updateRepr before emitting the transformed
	  signal in sp_item_write_transform.  This fixes bug #1303423.

	* packaging/osx-app.sh: Fixes to allow building app bundles on both
	  OS X 10.4 and earlier versions of the OS without altering the script.
	  Also, add a note that Inkscape needs to be configured with
	  --enable-osxapp when building the OS X package.

	* po/nl.po: Fix an "Unmatched closing </b>" warning.

2005-11-08  Ralf Stephan <ralf@ark.in-berlin.de>

	merged with branch CXXIFICATION_VIEW_AND_WIDGET
	* src/arc-context.cpp, src/dyna-draw-context.cpp, src/event-context.cpp,
	  src/file.cpp, gradient-context.cpp, src/inkscape.cpp, src/interface.cpp,
	  src/rect-context.cpp, src/select-context.cpp, src/seltrans.cpp,
	  src/sp-namedview.cpp, src/spiral-context.cpp, src/star-context.cpp,
	  src/verbs.cpp, dialogs/dialog-events.cpp, src/dialogs/layer-properties.cpp,
	  src/ui/dialog/dialog.cpp, src/widgets/desktop-widget.cpp,
	  src/widgets/desktop-widget.h:
	  move gtk code into desktop-widget.cpp, called via desktop
	* src/ui/view/Makefile_insert: added files edit-widget-interface.h,
	  edit-widget.cpp, edit-widget.h
	  the EditWidget is the Gtkmm version of the SPDesktopWidget
	* src/ui/widget/Makefile_insert: added files ruler.cpp, ruler.h,
	  svg-canvas.cpp, svg-canvas.h, zoom-status.cpp, zoom-status.h
	  these are widgets part of the EditWidget
	* src/file.cpp, src/inkscape.cpp, src/ui/dialog/dialog.cpp, 
	  src/ui/dialog/dialog.h, src/application/application.h, 
	  src/application/application.cpp:
	  divide code /wrt Application::getNewGui(): if true, it's called by the 
	  Gtkmm application and the inkscape object is meaningless
	* src/application/app-prototype.h:
	  replace UI specific return value of getWindow() with void*
	* src/application/editor.cpp, src/application/editor.h:
	  made Editor a singleton, collect global UI code here that (for Gtk+)
	  lives in inkscape.cpp and elsewhere
	* src/desktop-events.cpp, src/desktop.cpp, src/event-context.cpp,
	  src/nodepath.cpp, src/seltrans.cpp:
	  simplify calls to desktop->set_coordinate_status
	* src/desktop-handles.cpp, src/desktop-handles.h, 
	  src/extension/internal/ps.cpp, src/widgets/gradient-toolbar.cpp, 
	  src/widgets/toolbox.cpp:
	  widget is no longer available through desktop
	* src/Makefile_insert: added files preferences.h preferences.cpp
	  src/inkscape.h, src/inkscape.cpp, src/application/editor.cpp:
	  move preferences handling into preferences.cpp/h
	* src/desktop.cpp, src/desktop.h:
	  use EditWidgetInterface, more cosmetics
	* src/desktop.cpp, src/inkview.cpp, src/slideshow.cpp, src/svg-view-widget.cpp,
	  src/svg-view.cpp, src/svg-view.h, src/ui/view/view.cpp, src/ui/view/view.h:
	  streamline setDoc()/setDocument() logic
	* src/inkview.cpp: include empty func bodies to make linker happy

2005-11-08 ------------0.43

2005-11-06  Ted Gould  <ted@gould.cx>

	* 0.43pre2

2005-11-01  Jon A. Cruz  <jon@joncruz.org>

	* src/io/base64stream.h, src/io/base64stream.cpp:
	  Applied modified patch 1341198.

2005-10-31  Jon A. Cruz  <jon@joncruz.org>

	* src/verbs.cpp:
	  Applied patch from RFE 1247694.

2005-10-26  Jon A. Cruz  <jon@joncruz.org>

	* share/screens/about.svg:
	  Trimmed bad lines. Fixed bug 1310742.

2005-10-24  Ted Gould  <ted@gould.cx>

	* 0.43pre1

2005-10-22  Jon A. Cruz  <jon@joncruz.org>

	* Makefile.mingw, src/io/sys.cpp:
	  Patch 1334818.

2005-10-22  Jon A. Cruz  <jon@joncruz.org>

	* src/main.cpp, src/io/sys.cpp:
	  Updating Win32 parameter filename handling.

2005-10-22  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/connector-context.cpp: Correct two typos.  Fixes bug #1333915.

2005-10-21  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/connector-context.cpp: Fix a bug where undoing creation of 
	  new connectors revealed intermediate steps.

	* src/libavoid/connector.cpp, src/libavoid/connector.h,
	  src/libavoid/makepath.cpp, src/libavoid/static.cpp:
	  Applied a couple of libavoid fixes.  One of which addresses
	  a possible crash bug.

2005-10-19  Ted Gould  <ted@gould.cx>

	* 0.43pre0

2005-10-19  Jon A. Cruz  <jon@joncruz.org>

	* inkscape32-16.ico: patch 1323419

2005-10-17  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/conn-avoid-ref.cpp: Don't pass avoided objects to libavoid
	  if they have the 'cloned' flag set.  Fixes bug #1328401.

2005-10-17  Jon A. Cruz  <jon@joncruz.org>

	* src/main.cpp, src/io/sys.h, src/io/sys.cpp:
	  Switched command-line name conversion from filename to locale.
	  Fixes bug #1250124.

2005-10-16  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/sp-conn-end.cpp: Don't update the repr for the curve while 
	  manually rerouting connector endpoints.  This speeds up undo/redo
	  and allows responsive rerouting with the xml editor window open.
	  Fixes bug #1315489.

	* po/ca.po: Fix unclosed <b> found in translations.
	
2005-10-15  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/isnan.h: Update to allow compilation on OSX 10.4.

	* src/connector-context.cpp, src/connector-context.h,
	  src/tools-switch.cpp: Allow double-clicking on connectors
	  in the selector tool to swap to the connector tool.

2005-10-14  Jon A. Cruz  <jon@joncruz.org>

	* share/palettes/Makefile.am, share/palettes/Tango-Palette.gpl:
	  Adding the Tango palette.

2005-10-13  MenTaLguY  <mental@rydia.net>

	* share/screens/about.svg: New copy for about dialog; did some
	  vector clean-up and re-enabled the coffee stains.

2005-10-10  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/sp-conn-end-pair.cpp, src/sp-conn-end-pair.h:
	  Reroute connector lines if the object itself is moved or
	  transformed.  Previously a routed line would not unroute if it
	  was moved away from the blocking objects.  Fixes bug #1303493.

2005-10-07  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* packaging/macosx/Resources/script, src/path-prefix.h:
	  Don't assume the OSX app bundle will be named "Inkscape.app".
	  This caused things like tool icons to disappear if the app
	  bundle was renamed, e.g., to "Inscape-0.42.2.app".
	  Fixes bug #1289648.

2005-10-06  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/sp-conn-end-pair.cpp: Fix a bug where connectors could
	  sometimes be given strange routes if there was a transform on
	  either of the objects that the connector was attached to.

	* src/conn-avoid-ref.cpp, src/sp-conn-end.cpp: Add a call to
	  sp_document_ensure_up_to_date before checking bounding boxes
	  in response to a transform signal.  This is because some
	  objects (e.g., text) will not give the correct bbox until its
	  update function has been called and its internal representation
	  has been updated.  This fixes bug #1303523.

	* src/dialogs/display-settings.cpp, src/dialogs/display-settings.h:
	  Restore the Connector tool preferences tab.  Use same ordering
	  for tools as on the toolbar.  Add the standard selection cue
	  option to the connector tool preferences.  Fixes bug #1303360.

2005-10-05  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* packaging/osx-app.sh: Include locale files in the OSX package and
	  a couple of minor updates for building packages on OSX 10.4.x.

	* packaging/macosx/Resources/bin/inkscape: Fix a problem in setting
	  LANG to the current OSX language before launching Inkscape.
	  With this fix, the Inkscape app bundle will obey the user's
	  language setting in the system preferences on OSX.

2005-09-30  Ralf Stephan <ralf@ark.in-berlin.de>

	* src/desktop.*, src/widget/desktop-widget.cpp:
	make empty destructor, fixes #1291009

2005-09-29  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* Info.plist.in: Associate .svgz files with Inkscape on OSX.
	  Fixes bug #1307083.

2005-09-27  MenTaLguY  <mental@rydia.net>

	* src/gc-anchored.h: emphasize initial refcount

	* src/desktop.h, src/svg-view-widget.cpp, src/ui/view/view-widget.cpp,
	  src/ui/view/view.cpp, src/ui/view/view.h,
	  src/widgets/desktop-widget.cpp:

	  Move _whole_ UI::View::View hierarchy over to the garbage collector
	  and fix anchor imbalances; you can't do this piecemeal.

2005-09-23  Ben Fowler  <bpfowler@users.sourceforge.net>

	* autogen.sh: Cleanup error message.

2005-09-20  Carl Hetherington <inkscape@carlh.net>

	* src/file.cpp, src/file.h, src/help.cpp: don't replace empty
	desktops with help files / tutorials.  Fixes 1249067.

2005-09-17  Ralf Stephan <ralf@ark.in-berlin.de>

	* src/jabber_whiteboard/typedefs.h:
	  gcc4 needs more const correctness, fixes #1294298

2005-09-17  Ralf Stephan <ralf@ark.in-berlin.de>

	* src/desktop.h, src/desktop.cpp, src/interface.cpp, 
	  src/dialogs/layer-properties.cpp, src/ui/view/view.cpp,
	  src/widgets/desktop-widget.cpp:
	  correcting old and new oversights, fixes #1290982
	  
2005-09-15  Peter Moulder <pmoulder@mail.csse.monash.edu.au>

	* src/xml/repr-util.cpp (sp_repr_set_double): Split into two
	  functions (sp_repr_set_svg_double, sp_repr_set_css_double)
	  according to whether or not an exponent is allowed.  Update callers.
	  (sp_repr_set_double_default): Remove this unused function.

2005-09-15  Carl Hetherington <inkscape@carlh.net>

	* src/object-edit.cpp: fix idiotic bug introduced in previous commit.

2005-09-14  Carl Hetherington <inkscape@carlh.net>

	* src/knot.cpp, src/knotholder.cpp: coding style.

2005-09-13  Ralf Stephan <ralf@ark.in-berlin.de>

	* src/desktop.h, src/desktop.cpp, src/svg-view.h, src/svg-view.cpp,
	  src/ui/view/view.h, src/ui/view/view.cpp, src/ui/view/edit.h:
	    View::setDocument() did not call same function in subclass
	* src/widgets/select-toolbar.cpp:   removed usage of SP_DT_WIDGET
	* src/desktop.cpp:   removed last sp_desktop_* function names

2005-09-13  Carl Hetherington <inkscape@carlh.net>

	* src/object-edit.cpp: Add some comments.  Minor refactoring.
	Snap points when editing rectangles; partial fix for bug 1282399.

	* packaging/win32/inkscape.nsi: Correct spelling of associations
	and associated; fix for bug 1283916.

2005-09-12  Jon A. Cruz  <jon@joncruz.org>

	* src/dialogs/iconpreview.cpp, src/dialogs/iconpreview.h,
	  src/widgets/icon.cpp:
	  Icon preview now toggles between selection or whole document.
	  Fixes REF #1281883.

2005-09-12  Ralf Stephan <ralf@ark.in-berlin.de>

	* src/widgets/ruler.cpp:   fixed precision problem (bug #1242995)

2005-09-12  Peter Moulder  <pmoulder@bowman.csse.monash.edu.au>

	* src/libnrtype/Layout-TNG-Compute.cpp (Calculator::_measureUnbrokenSpan):
	  Fix line breaking for [supposedly] non-breaking whitespace characters.

2005-09-11  Ralf Stephan <ralf@ark.in-berlin.de>

	* po/nl.po:   replaced all instances of "verkleint" with "verkleind"
	  (bug #1277695)

2005-09-10  Jon A. Cruz  <jon@joncruz.org>

	* src/preferences-skeleton.h, src/dialogs/iconpreview.cpp:
	  Made icon preview sizes configurable. Fixes REF #1281885.

2005-09-08  Carl Hetherington <inkscape@carlh.net>

	* src/object-edit.cpp: Coding style in SPRect portion.  Add
	Emacs/vim mode blocks.

2005-09-08  Ralf Stephan <ralf@ark.in-berlin.de>

	* src/desktop.cpp, src/ui/view/view.cpp:
	  removed placement new signal construction
	* src/desktop.cpp:   selection is no longer anchored
	* src/desktop.cpp, src/desktop.h:   further cleanup
	* src/main.cpp:   minor changes in doxygen main page

2005-09-08  MenTaLguY  <mental@rydia.net>

	* src/xml/document.h, src/xml/session.h, src/xml/simple-session.cpp,
	  src/xml/simple-session.h:

	  Add Session and Document createElementNode, createCommentNode,
	  and createTextNode methods

2005-09-06  Ralf Stephan <ralf@ark.in-berlin.de>

	* src/desktop-handles.h, src/desktop-handles.cpp:
	    added macros SP_DT_MSGSTACK/NAMEDVIEW/WIDGET, moved last
		macros from desktop.h
	* src/desktop.h src/desktop.cpp, src/sp-namedview.h, 
	  src/sp-namedview.cpp:
	    moved default_metric and default_unit into namedview
	* src/desktop.h src/desktop.cpp, src/widgets/desktop-widget.h,
	  src/widgets/desktop-widget.cpp:
	    moved window member into desktop widget
	* src/dialogs/clonetiler.cpp, src/dialogs/color-picker.cpp,
	  src/dialogs/desktop-properties.cpp, src/dialogs/dialog-events.cpp ,
	  src/dialogs/display-settings.cpp, src/dialogs/export.cpp,
	  src/dialogs/stroke-style.cpp, src/dialogs/swatches.cpp,
	  src/dialogs/transformation.cpp, src/dropper-context.cpp,
	  src/extension/internal/ps.cpp, src/gradient-context.cpp,
	  src/jabber_whiteboard/callbacks.cpp,
	  src/jabber_whiteboard/chat-handler.cpp,
	  src/jabber_whiteboard/message-processors.cpp,
	  src/jabber_whiteboard/message-queue.cpp,
	  src/jabber_whiteboard/session-manager.cpp,
	  src/path-chemistry.cpp, src/satisfied-guide-cns.cpp,
	  src/sp-text.cpp, src/text-chemistry.cpp,
	  src/trace/potrace/inkscape-potrace.cpp,
	  src/trace/trace.cpp, src/ui/dialog/align-and-distribute.cpp:
	    removed dependency on desktop.h
	* src/arc-context.cpp, src/desktop-events.cpp, src/inkscape.cpp,
	  src/interface.cpp, src/nodepath.cpp, src/rect-context.cpp,
	  src/select-context.cpp, src/seltrans.cpp, src/spiral-context.cpp,
	  src/star-context.cpp, src/text-context.cpp, src/ui/dialog/dialog.cpp,
	  src/widgets/select-toolbar.cpp, src/widgets/toolbox.cpp:
	    minor adaptation due to the above changes
	* src/ui/dialog/session-player.cpp:   didn't #include config.h
	
2005-09-06  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* doc/keys.html, doc/keys.xml, share/screens/keys.svg,
	  src/shortcuts.cpp:
	  Add keyboard shortcuts for the connector tool -- Ctrl+F2 and 'o'.

2005-09-05  Ralf Stephan <ralf@ark.in-berlin.de>

	* src/document.cpp, src/draw-anchor.cpp, src/knotholder.cpp,
	  src/main.cpp, src/object-ui.cpp, src/selcue.cpp,
	  src/sp-marker.cpp, src/sp-root.cpp, src/sp-shape.cpp,
	  src/sp-star.cpp, src/sp-symbol.cpp, src/sp-tspan.cpp,
	  src/dialogs/docker.cpp, src/dialogs/extensions.cpp,
	  src/dialogs/text-edit.cpp, src/dialogs/tiledialog.cpp,
	  src/extension/system.cpp, src/widgets/gradient-vector.cpp,
	  src/jabber_whiteboard/session-file-player.cpp,
	  src/widgets/paint-selector.cpp, src/widgets/sp-widget.cpp,
	  src/widgets/spw-utilities.cpp, src/extension/implementation/script.cpp,
	  src/ui/dialog/transformation.cpp, src/seltrans.h,
	  src/widgets/sp-widget.h:
	    removed dependency on desktop.h
	* src/select-context.cpp, src/tools-switch.cpp, 
	  src/dialogs/display-settings.cpp, src/dialogs/fill-style.cpp,
	  src/dialogs/object-properties.cpp, src/dialogs/clonetiler.cpp:
	    added dependencies because of above changes
	
2005-09-04  Kees Cook  <kees@outflux.net>

	* TRANSLATORS, Makefile.am, src/verbs.cpp, src/help.cpp,
	  src/ui/dialog/aboutbox.h, src/ui/dialog/aboutbox.cpp,
	  src/menus-skeleton.h, src/ui/dialog/Makefile_insert:
	  Implemented AboutDialog following the Gnome style.
	* packaging/win32/inkscape.nsi: added quotes around execution name.

2005-09-04  Ralf Stephan <ralf@ark.in-berlin.de>

	* src/desktop.cpp, src/dropper-context.cpp, src/forward.h,
	  src/interface.cpp, src/main.cpp, src/sp-anchor.cpp,
	  src/sp-text.cpp, src/splivarot.cpp, src/svg-view-widget.cpp,
	  src/svg-view-widget.h, src/svg-view.h, src/extension/effect.h,
	  src/extension/implementation/plugin-link.h, 
	  src/jabber_whiteboard/session-manager.cpp,
	  src/ui/dialog/dialog.cpp, src/ui/view/edit.h, 
	  src/ui/view/view-widget.cpp, src/ui/view/view-widget.h,
	  src/ui/view/view.cpp, src/ui/view/view.h:
	    minor edits to completely remove SPView identifier, and some
		dependencies

2005-09-04  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/sp-conn-end-pair.cpp: Fix a crash bug when undoing connectors
	  on Linux x86 where we were calling a signal destructor.

	* src/io/sys.cpp: Build fix - conditionally include <glib/gstdio.h>
	  if using glib 2.6.0 or greater, since it is not available in earlier
	  versions.

2005-09-04  Ralf Stephan <ralf@ark.in-berlin.de>

	* src/svg-view-widget.h, src/svg-view-widget.cpp, src/Makefile_insert:
	    separated SPSVGViewWidget from SPSVGView
	* src/desktop.h, src/svg-view.h, src/ui/view/edit.h,
	  src/ui/view/view-widget.h, src/ui/view/view.h,
	  src/widgets/desktop-widget.h, src/desktop.cpp,
	  src/svg-view.cpp, src/ui/view/view-widget.cpp,
	  src/ui/view/view.cpp, src/widgets/desktop-widget.cpp:
	    moved SPDesktop from GObject to C++/sigc++
	* src/forward.h: 
	    removed SP_DESKTOP*, SP_SVG_VIEW* macros and dependencies
	* src/widgets/layer-selector.h, src/widgets/layer-selector.cpp:
	    changed to sigc++ but disabled call
	* src/desktop-events.cpp:  removed desktop_enter_notify()
	* src/sp-anchor.cpp:  removed handling of mouse over/out
	* src/helper/action.h, src/sp-use.cpp:  added missing dependency
	* src/arc-context.cpp, src/desktop-affine.cpp, src/desktop-events.cpp,
	  src/desktop-handles.cpp, src/dyna-draw-context.cpp,
	  src/event-context.cpp, src/file.cpp, src/gradient-context.cpp,
	  src/gradient-drag.cpp, src/help.cpp, src/inkscape.cpp,
	  src/inkview.cpp, src/interface.cpp, src/knot.cpp,
	  src/knotholder.cpp, src/node-context.cpp, src/nodepath.cpp,
	  src/object-ui.cpp, src/path-chemistry.cpp, src/rect-context.cpp,
	  src/rubberband.cpp, src/satisfied-guide-cns.cpp,
	  src/select-context.cpp, src/selection-chemistry.cpp,
	  src/seltrans.cpp, src/shortcuts.cpp, src/slideshow.cpp,
	  src/sp-anchor.cpp, src/sp-flowtext.cpp, src/sp-namedview.cpp,
	  src/sp-text.cpp, src/spiral-context.cpp, src/splivarot.cpp,
	  src/star-context.cpp, src/text-context.cpp, src/text-editing.cpp,
	  src/tools-switch.cpp, src/verbs.cpp, src/zoom-context.cpp,
	  src/dialogs/clonetiler.cpp, src/dialogs/desktop-properties.cpp,
	  src/dialogs/dialog-events.cpp, src/dialogs/export.cpp,
	  src/dialogs/filedialog.cpp, src/dialogs/iconpreview.cpp,
	  src/dialogs/layer-properties.cpp, src/dialogs/stroke-style.cpp,
	  src/dialogs/transformation.cpp, src/dialogs/xml-tree.cpp,
	  src/extension/effect.cpp, src/extension/implementation/script.cpp,
	  src/extension/internal/grid.cpp, src/extension/internal/ps.cpp,
	  src/helper/window.cpp, src/ui/dialog/dialog.cpp,
	  src/ui/widget/imageicon.cpp, src/widgets/gradient-toolbar.cpp,
	  src/widgets/layer-selector.cpp, src/widgets/select-toolbar.cpp,
	  src/widgets/toolbox.cpp:
	    minor adaptations due to the above changes
	* src/desktop-events.h:  removed dependencies 
	* src/selection.cpp:  improved doxygen documentation
	
2005-09-04  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/connector-context.cpp: Fix a bug where a data structure was
	  not being freed, triggering an assertion failure and Inkscape to
	  crash sometimes when the connector tool context was switched.

2005-09-03  Aaron Spike <aaron@ekips.org>

	* src/node-context.cpp, src/livarot.cpp: Fixing a problem where node
	  adding and curve dragging operate on fills. A special thank you to
	  Simon Budig of GIMP fame for working with me and giving very 
	  thorough explanations of his curve dragging code.

2005-09-03  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/libavoid/connector.cpp, src/libavoid/connector.h: Autoroute
	  connectors while they are being drawn in the connector context.

	* src/sp-conn-end.cpp: Fix a bug where connectors attached to shapes
	  were not always getting updated.  Their path was sometimes thought
	  to be valid even when it was not.

2005-09-02  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/sp-conn-end.cpp: Fix a bug where connectors not attached to
	  shapes were not updating correctly if an object was dropped on
	  their path.

2005-09-01  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/sp-conn-end.cpp, src/sp-conn-end.h, src/sp-conn-end-pair.cpp,
	  src/sp-conn-end-pair.h, src/sp-path.cpp, src/libavoid/graph.cpp,
	  src/libavoid/incremental.cpp:

	Connectors now automagically reroute as a result of any 'avoided'
	object being placed on their path.  They also update to better
	paths when blocking shapes are removed.
	 
	* src/connector-context.cpp: Update TODO list.  Only show endpoints
	  and allow manipulation of paths marked as connectors.

	* src/libavoid/connector.cpp, src/libavoid/connector.h: Connectors
	  with invalid paths can now notify other code via a callback,
	  rather than just setting a boolean flag.

	* src/conn-avoid-ref.cpp: Fix an obscure crash bug in the connector
	  routing code where we were still using a freed data structure.

2005-08-31  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/conn-avoid-ref.cpp, src/conn-avoid-ref.h: Use the correct
	  coordinate system when passing shape geometry to libavoid.
	  Add a small amount of buffer space around objects.
	
	* src/attributes-test.cpp, src/attributes.cpp, src/attributes.h,
	  src/path.cpp: Add code to handle the "inkscape:connector-type"
	  attribute.

	* src/sp-conn-end-pair.cpp, src/sp-conn-end-pair.h: Store information
	  about type paths, to determine whether they are connectors.  Keep
	  a reference to the libavoid representation if necessary.  Add code
	  to call libavoid to get a path for a connector.
	
	* src/sp-conn-end.cpp: Call the connector routing code when connector
	  ends are moved.  Move connector endpoints rather than stretching
	  when adjusting to draw to shape edge.
	  
	* src/libavoid/connector.cpp, src/libavoid/connector.h: Make the
	  connector references aware of their own initialisation state.

	* src/connector-context.cpp:  Update TODO list.  Update for other
	  changes.  Fix a bug where multi-segment connectors had a solid
	  black fill while being dragged.

	* src/display/curve.cpp, src/display/curve.h: Add a function to 
	  simply move the two endpoints of a curve.

2005-08-30  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/conn-avoid-ref.cpp, src/libavoid/connector.cpp,
	  src/libavoid/graph.cpp, src/libavoid/makepath.cpp,
	  src/libavoid/shape.cpp, src/libavoid/vertices.cpp,
	  src/libavoid/vertices.h, src/libavoid/visibility.cpp:

	Use a better system for unique IDs within libavoid.  This properly
	addresses a hack in SPAvoidRef that was unsafe on amd64 machines.

	* configure.ac: Add the src/libavoid subdir.
	
2005-08-29  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/attributes.cpp, src/connector-context.cpp, src/sp-item.cpp:
	  Use "inkscape:connector-avoid" instead of "inkscape:avoid".

2005-08-29  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/libavoid/timer.cpp: Remove some code assuming a fixed size for
	  timer types.

2005-08-29  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/connector-context.cpp: Fix a problem where the context didn't
	  notice the current selection when it was entered.  Also, fix a 
	  problem where connectors disappeared for a moment when an endpoint
	  was clicked (for rerouting), but before the mouse was moved.

2005-08-29	David Yip		<yipdw@rose-hulman.edu>

	* src/ui/dialog/whiteboard-connect.{cpp,h},
	  src/ui/dialog/whiteboard-sharewithchat.{cpp,h}:
	  Improved widget layout (switched to Gtk::Table)

	* src/jabber_whiteboard/session-manager.cpp:
	  Fixed crash that occurred when connecting via SSL to a Jabber
	  server that does not support SSL
	  
2005-08-28  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/Makefile_insert, src/attributes-test.cpp, src/attributes.cpp,
	  src/attributes.h, src/conn-avoid-ref.cpp, src/conn-avoid-ref.h,
	  src/forward.h, src/sp-item.cpp, src/sp-item.h:
	 
	  Add code that handles the "inkscape:avoid" attribute, used to mark
	  whether an item should be avoided for the purposes of routing
	  connectors.  This code also calls libavoid when an 'avoided'
	  item is moved/transformed.
	
	* src/connector-context.cpp, src/connector-context.h,
	  src/widgets/toolbox.cpp:
	  
	  Add a couple of buttons to the connector context's toolbar to
	  allow selected objects to be marked as avoided or ignored for the
	  purpose of connector routing.
	  
	* src/libavoid/debug.h, src/libavoid/geomtypes.h, 
	  src/libavoid/polyutil.cpp, src/libavoid/polyutil.h,
	  src/libavoid/shape.cpp:
	
	  Misc fixes: turn off debugging output, put types in the Avoid
	  namespace, and add an assertion for a special case that can
	  cause problems.

2005-08-28  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* share/icons/icons.svg: Add a couple of icons for the connector
	  context toolbar.

2005-08-27  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/Makefile.am, src/Makefile_insert, src/libavoid/*:
	  Add libavoid code, the library that does all the path planning
	  work for autorouting connectors.

2005-08-27  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/Makefile_insert: Remove a reference to the previously moved
	  src/desktop-widget.h.  This wasn't breaking the build, but was
	  stopping me from generating tags files.
	  
2005-08-25  Ralf Stephan <ralf@ark.in-berlin.de>

	* src/ui/view/edit.h, src/ui/view/view.h, src/ui/view/view.cpp,
	  src/ui/view/view-widget.h, src/ui/view/view-widget.cpp,
	  src/widgets/desktop-widget.h, src/svg-view.h, src/desktop.cpp:
	    separated SPViewWidget from SPView
	* src/connector-context.cpp, src/dyna-draw-context.cpp,
	  src/file.cpp, src/gradient-context.cpp, src/knot.cpp,
	  src/node-context.cpp, src/nodepath.cpp, src/path-chemistry.cpp,
	  src/pen-context.cpp, src/pencil-context.cpp, src/rect-context.cpp,
	  src/selection-chemistry.cpp, src/spiral-context.cpp,
	  src/splivarot.cpp, src/star-context.cpp, src/text-chemistry.cpp,
	  src/text-context.cpp, src/verbs.cpp, src/dialogs/display-settings.cpp,
	  src/dialogs/layer-properties.cpp, src/dialogs/find.cpp,
	  src/dialogs/clonetiler.cpp, src/trace/trace.cpp,
	  src/trace/potrace/inkscape-potrace.cpp:
	    all these files relied on a dependency in view.h to include
	  code for MessageStack and/or MessageContext which is now removed
	* dialogs/desktop-properties.cpp:   improved doxygen documentation
	
2005-08-25  Ralf Stephan <ralf@ark.in-berlin.de>

	* src/desktop.cpp, src/widgets/desktop-widget.h, 
	  src/widgets/desktop-widget.cpp: 
	  abstracted out all Gtk+ calls from SPDesktop into SPDesktopWidget
	* src/Doxyfile, src/main.cpp, src/desktop.cpp:
	  improved doxygen documentation
	  
2005-08-25  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/connector-context.cpp, src/connector-context.h:
	  Change the connector context to use Inkscape's standard selection
	  mechanism.  Show connector endpoint handles for single connectors
	  in the selection.  This is the proposed interaction changes as
	  discussed on the mailing list.  See the post there for a greater
	  description of the change.

2005-08-24  Ralf Stephan <ralf@ark.in-berlin.de>

	* src/widgets/desktop-widget.h, src/widgets/desktop-widget.cpp:
	  separated SPDesktopWidget from SPDesktop
	* src/desktop-widget.h:   removed
	* src/toolbox.cpp, src/toolbox.h, src/select-toolbar.cpp,
	  src/select-toolbar.h, src/gradient-toolbar.cpp, 
	  src/gradient-toolbar.h:   moved into src/widgets
	* src/desktop.h, src/desktop.cpp, src/desktop-events.cpp,
	  src/verbs.cpp, src/Makefile_insert, src/widgets/Makefile_insert,
	  src/arc-context.cpp, src/dyna-draw-context.cpp,
	  src/gradient-context.cpp, src/rect-context.cpp,
	  src/select-context.cpp, src/spiral-context.cpp,
	  src/star-context.cpp, src/interface.cpp, src/seltrans.cpp:
	  adapted following SPDesktopWidget separation
	
2005-08-24	David Yip	<yipdw@rose-hulman.edu>

	* src/jabber_whiteboard/session-manager.{cpp.h},
	  src/jabber_whiteboard/callbacks.cpp,
	  src/ui/dialog/whiteboard-connect.{cpp,h}:
	  added support for XMPP over SSL to Inkboard

2005-08-22  Ralf Stephan <ralf@ark.in-berlin.de>

	* src/dialogs/desktop-properties.cpp, src/dialogs/display-settings.cpp:
	  both dialogs are now unresizable (bug #1237865)
	* src/main.cpp: enhanced doxygen main page

2005-08-21  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* packaging/osx-app.sh: Added a command line option which allows
	  the executable and bundled dylibs to be stripped, significantly
	  reducing the package size.

2005-08-20  Ralf Stephan <ralf@ark.in-berlin.de>

	* src/desktop-style.cpp: fixed bug 1247989: nonstroked objects are
	  no longer counted in stroke_average_width()
	* src/Doxyfile: added 3 more files
	* src/main.cpp: introduced doc hierarchy on doxygen main page
	* src/desktop-style.cpp:  improved doxygen documentation
	  
2005-08-20  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/connector-context.cpp, src/connector-context.h:
	  Rework connector context to extend SPEventContext instead of
	  SPDrawContext, and remove most of the borrowed draw context
	  code.

2005-08-20  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/menus-skeleton.h: correct the verb for "Select All In All Layers"
	  since it was just showing a verb error in the menu.

2005-08-19  Kees Cook  <kees@outflux.net>

	* autogen.sh, tools-version.sh, distro: report Ubuntu correctly, detect
	  and reject unsafe automake versions (1.9.0 -> 1.9.6).

2005-08-19  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/dialogs/display-settings.cpp:
	  Align the "Oversample bitmaps" option in the preferences
	  dialog with all the other options.

2005-08-18  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* src/Makefile_insert: Added connector-context.{cpp,h}

	* src/connector-context.cpp, src/connector-context.h: New code for
	  the connector context.  Handles the interaction of creating and
	  modifying connectors.

	* src/sp-conn-end.cpp, src/sp-conn-end.h: Added sp_conn_adjust_path
	  for adjusting the path of connectors to the edge of shapes, and
	  sp_conn_end_detach to detach a connector endpoint from a shape.
	  Also, when there is only a single shape attached to a connector
	  and it is moved, then reroute the connector leaving its unattached
	  endpoint where it is, rather than just moving the whole thing with
	  the shape.

	* src/preferences-skeleton.h, src/toolbox.cpp, src/tools-switch.cpp,
	  src/tools-switch.h, src/verbs.cpp, src/verbs.h,
	  src/dialogs/display-settings.cpp, src/dialogs/display-settings.h:

	  Enable the connector context.  Give it a preferences tab, toolbox,
	  icon, etc.  Also, correct some vim modelines.
	  
	* src/display/sp-canvas.cpp: Allow enter and leave events to be generated
	  for canvas items when mouse buttons are depressed.

	* src/pixmaps/cursor-connector.xpm: A cursor for connector context.

2005-08-18  Jon A. Cruz  <jon@joncruz.org>

	* src/knot.cpp: Corrected type conflict for crash bugs.

2005-08-18  Ralf Stephan <ralf@ark.in-berlin.de>

	* src/Doxyfile: added 4 more files
	* src/extension/implementation/plugin-link.h,
	  src/extension/internal/gimpgrad.cpp:  improved doxygen documentation
	  
2005-08-16  Ralf Stephan <ralf@ark.in-berlin.de>

	* src/desktop.h, src/desktop.cpp: replaced gboolean with bool
	* src/display/curve.cpp: made is_moveto() inline
	* src/knot.cpp, src/extension/extension.cpp, src/helper/action.cpp:
	  added editor footer
	* src/desktop.h, src/desktop.cpp, src/knot.cpp, src/sp-gradient.cpp,
	  src/display/curve.cpp, src/extension/extension.cpp,
	  src/extension/implementation/plugin.h, 
	  src/extension/implementation/plugin.cpp,
	  src/extension/internal/gimpgrad.cpp, src/helper/action.cpp:
	  improved doxygen documentation

2005-08-14  MenTaLguY  <mental@rydia.net>

	* src/widgets/layer-selector.cpp: quick fix for crash bug when
	  deleting unnamed layer [bug 1255843]

2005-08-14  Michael Wybrow  <mjwybrow@users.sourceforge.net>
	
	* packaging/macosx/ScriptExec/main.c: Allow the user to ignore the
	  automatic fixing of the fontconfig problem and fix the problem
	  manually.  Don't pop up the dialog again in this case when they
	  relaunch Inkscape.

2005-08-13  Ralf Stephan <ralf@ark.in-berlin.de>

	* src/menus-skeleton.h: fixed cvs bug where, in the default menus.xml, 
	  given submenus didn't have correct names, so translation on 
	  non-English systems was missed.
	
2005-08-13  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* packaging/macosx/Resources/script, packaging/macosx/ScriptExec/main.c:

	Fix for the fontconfig cache problem on OS X 10.4.  The first time 
	Inkscape is launched on 10.4 machines, after checking X11 is available,
	a dialog is brought up informing users of the fontconfig problem.  The
	dialog has a button to run fc-cache as root.  If chosen, an OS X
	authentication dialog in launched and fc-cache is run following the
	authentication.  A file is stored in ~/.inkscape to mark that fc-cache
	has been run.
	
2005-08-11  Ralf Stephan <ralf@ark.in-berlin.de>

	* src/sp-gradient.cpp,src/sp-gradient-fns.h,src/event-context.h,
	  src/event-context.cpp:  replaced gboolean with bool
	* src/document-undo.cpp:  added editor footer
	* src/sp-gradient.cpp, src/desktop.cpp, src/document.h,
	  src/document.cpp, src/document-undo.cpp, src/event-context.h,
	  src/event-context.cpp, src/selection.h:
	  improved doxygen documentation

2005-08-10	David Yip	<yipdw@rose-hulman.edu>

	* src/Makefile_insert: added composite-undo-stack-observer.{cpp,h}

	* src/document.{cpp.h},
	  src/document-undo.cpp, src/document-private.h: 
	  added hooks for undo stack observer

	* src/jabber_whiteboard/Makefile_insert: added new classes

	* src/jabber_whiteboard/callbacks.cpp: moved document initialization actions
	  here (not the best idea, admittedly...)

	* src/jabber_whiteboard/connection-establishment.cpp,
	  src/jabber_whiteboard/session-manager.*,
	  src/jabber_whiteboard/chat-handler.cpp: updated to work with new listeners

	* src/jabber_whiteboard/message-contexts.cpp,
	  src/jabber_whiteboard/message-handler.*,
	  src/jabber_whiteboard/message-tags.*,
	  src/jabber_whiteboard/defines.h: new message types (TODO: trim out dead
	  types)

	* src/jabber_whiteboard/message-queue.*,
	* src/jabber_whiteboard/message-node.h: made MessageNode capable of
	  representing more message types, as required by callbacks.cpp
	  and new commit model

	* src/jabber_whiteboard/message-utilities.*: new utilities, although
	  this entire class should be going bye-bye soon (its main tasks have been
	  taken over by SerializerNodeObserver)

	* src/jabber_whiteboard/node-tracker.*: removal of node-level locks

	* src/jabber_whiteboard/node-utilities.*: removal of unnecessary methods;
	  this class should also be removed soon

	* src/jabber_whiteboard/session-file-selector.cpp: miscellaneous tweaks

	* src/jabber_whiteboard/typedefs.h: new type definitions to handle the new
	  commit model (TODO: prune unnecessary types)

	* src/xml/event.cpp: small hack to get Inkboard working (shouldn't be
	  there, but I'm still learning my way around XML::Node and
	  XML::Session...help welcome)

	* src/undo-stack-observer.h: interface for classes that watch undo, redo,
	  and undo log commit events

	* src/composite-undo-stack-observer.*: similar to CompositeNodeObserver;
	  combines multiple undo stack observers

	* src/jabber_whiteboard/serializer-node-observer.*: XML::Event serializer

	* src/jabber_whiteboard/deserializer.*: XML::Event deserializer

	* src/jabber_whiteboard/tracker-action-observer.*: simple observer to
	  watch for added and removed nodes in undo/redo actions (put aside for
	  now)

	* src/jabber_whiteboard/undo-stack-observer.*: Inkboard's undo stack
	  observer implementation

2005-08-10  Ralf Stephan <ralf@ark.in-berlin.de>

	* src/main.cpp: introduced doxygen doc main page with links

2005-08-09  Ralf Stephan <ralf@ark.in-berlin.de>

	* src/Doxyfile: added 5 more files
	* src/display/curve.h, src/display/curve.cpp, src/knot.cpp,
	  src/dialogs/export.cpp: replaced gboolean with bool
	* src/display/curve.cpp: removed sp_curve_finish() as it is nowhere 
	  called, made sp_curve_ensure_space() static
	* src/sp-object.cpp, src/sp-item.cpp, src/libnr/n-art-bpath.h,
	  src/libnr/nr-path-code.h, src/ui/view/view.cpp, src/dialogs/export.cpp,
	  src/display/bezier-utils.cpp, src/display/curve.h,
	  src/display/curve.cpp, src/knot.h, src/knot.cpp:
	  improved doxygen documentation

2005-08-08  MenTaLguY  <mental@rydia.net>

	* README.txt, README: make autotools happy

2005-08-06  MenTaLguY  <mental@rydia.net>

	* Makefile.am, HACKING, HACKING_de, HACKING_fr, HACKING_it,
	  HACKING.txt, HACKING.de.txt, HACKING.fr.txt, HACKING.it.txt,
	  README, README_ca, README_de, README_fr, README_it,
	  README.txt, README.ca.txt, README.de.txt, README.fr.txt, README.it.txt:

	  saner filenames

2005-08-06  MenTaLguY  <mental@rydia.net>

	* src/xml/Makefile_insert, src/xml/log-builder.cpp,
	  src/xml/log-builder.h, src/xml/simple-session.cpp,
	  src/xml/simple-session.h:

	  Implement XML::LogBuilder class and use it from XML::SimpleSession.

2005-08-06  MenTaLguY  <mental@rydia.net>

	* src/xml/event.h, src/xml/event.cpp, src/xml/event-fns.h:
	  rejigger the way XML event logs are handled, based on NodeObservers

2005-08-06  MenTaLguY  <mental@rydia.net>

	* src/xml/simple-session.cpp: minor formatting cleanups

2005-08-06  Ted Gould <ted@gould.cx>

	* src/interface.cpp, src/verbs.cpp, src/verbs.h:

	Adding in a hash table for Verb ID lookups.  This makes searching for them
	in the dynamic menus much faster.

2005-08-06  Ralf Stephan <ralf@ark.in-berlin.de>

	* src/sp-offset.cpp: 
	  removed a dependency, made refresh_offset_source() static
	* src/svg-view.cpp, src/svg-view.h, src/sp-spiral.cpp, src/sp-spiral.h: 
	  replaced gboolean with bool
	* src/sp-offset.cpp, src/sp-root.cpp, src/sp-stop.h, src/sp-spiral.h,
	  src/sp-spiral.cpp, src/svg-view.h, src/svg-view.cpp, src/style.cpp:
	  improved doxygen documentation
	
2005-08-05  MenTaLguY  <mental@rydia.net>

	* inkscape.spec.in: include translated manpages

2005-08-05  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* po/nl.po: fix a typo: close a bold tag.

2005-08-03	David Yip	<yipdw@rose-hulman.edu>

	* src/jabber_whiteboard/typedefs.h:
	  fixed incorrect template specialization syntax,
	  removed duplicate definitions (oops...)

	* src/gc-alloc.h:
	  removed explicit keyword from allocator constructors, as it is
	  necessary to allow implicit conversion for rebinding.  Some
	  containers in the libstdc++ in GCC 3.4.x require this, such as anything
	  using the standard library's red-black tree implementation --
	  std::set, std::map, std::multimap

2005-08-03  Ralf Stephan <ralf@ark.in-berlin.de>

	* src/pen-context.cpp: made sp_pen_context_root_handler static
	* src/snap.h: removed getSnapToBBox() declaration
	* src/sp-stop.h: removed three dependencies
	* src/Doxyfile: added further 3 files
	* src/object-hierarchy.cpp, src/pen-context.h, src/pen-context.cpp,
	  src/pencil-context.h, src/pencil-context.cpp, src/snap.h, 
	  src/snap.cpp, src/sp-stop.h, src/sp-gradient.h, src/sp-gradient.cpp,
	  src/sp-linear-gradient.h, src/sp-radial-gradient.h:
	  improved doxygen documentation

2005-08-03	David Yip	<yipdw@rose-hulman.edu>

	* src/jabber_whiteboard/Makefile_insert,
	  src/jabber_whiteboard/message-handler.cpp,
	  src/jabber_whiteboard/empty.cpp:
	  fixing some build issues (Apple's ar doesn't like creating
	  archives with an empty member list, so empty.cpp is a null
	  placeholder to be used as the sole member in the jabber_whiteboard
	  archive in the event that a user does not wish to enable
	  Inkboard)

2005-08-02  Bryce Harrington <bryce@bryceharrington.org>

	* src/ui/dialog/*.*:  Update copyrights

	* doc/WISHLIST:  s/Sodipodi/Inkscape/

	* src/desktop.cpp:  Rename SPView to Inkscape::UI::View::View

	* changing include file syntax from "" to <> where appropriate

	* Changing copyrights to be consistent

2005-08-03	David Yip	<yipdw@rose-hulman.edu>

	* src/menus-skeleton.h:
	  added WITH_INKBOARD ifdef to prevent Inkboard options from being
	  compiled into the menu skeleton if the Inkboard code is not enabled

2005-08-03  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	*  src/display/curve.cpp: Correctly free an array with "delete []".

2005-08-02	David Yip	<yipdw@rose-hulman.edu>

	* src/jabber/whiteboard/node-tracker.cpp:
	  removed unnecessary anchoring of XML::Nodes in XMLNodeTracker

2005-08-02	David Yip	<yipdw@rose-hulman.edu>

	* src/jabber_whiteboard/typedefs.h:
	  moved back to GC::Alloc from traceable_allocator

	* src/jabber_whiteboard/node-tracker.cpp:
	  fixed anchor-release problem with XML::Nodes in XMLNodeTracker

2005-08-01  MenTaLguY  <mental@rydia.net>

	* src/gc.cpp, src/gc-core.h: Hans says it's okay to use
	  GC_malloc_atomic_uncollectable

2005-08-01  MenTaLguY  <mental@rydia.net>

	* src/gc-alloc.h: fix improper allocation size

2005-08-01	David Yip	<yipdw@rose-hulman.edu>

	* src/jabber_whiteboard/message-handler.cpp: removed some
	  debug output

	* src/dialogs/whiteboard-sharewithchat.cpp: removed some excess
	  debugging code

	* src/jabber_whiteboard/session-manager.cpp: removed 
	  redundant if (x == NULL) tests surrounding delete

2005-08-01	David Yip	<yipdw@rose-hulman.edu>

	* src/ui/icons.cpp, src/ui/stock-items.cpp, src/ui/stock.cpp, 
	  src/ui/stock.h:
	  added Inkboard UI stock items

	* src/dialogs/whiteboard*:
	  old C/Gtk Inkboard dialogs for collecting user input necessary
	  to establish Jabber connections and Inkboard sessions (they're
	  still used in some parts of the Inkboard code)

	* src/Makefile.am, src/Makefile_insert, src/desktop.cpp, 
	  src/desktop.h, src/document.cpp, src/file.cpp, src/file.h,
	  src/menus-skeleton.h, src/verbs.cpp, src/verbs.h:
	  added necessary UI code to access Inkboard functions

	* src/jabber_whiteboard/Makefile_insert,
	  src/jabber_whiteboard/buddy-list-manager.*,
	  src/jabber_whiteboard/callbacks.*,
	  src/jabber_whiteboard/chat-handler.*,
	  src/jabber_whiteboard/connection-establishment.*,
	  src/jabber_whiteboard/defines.h,
	  src/jabber_whiteboard/error*,
	  src/jabber_whiteboard/internal-constants.*,
	  src/jabber_whiteboard/invitation-confirm-dialog.*,
	  src/jabber_whiteboard/jabber-handlers.*,
	  src/jabber_whiteboard/makefile*,
	  src/jabber_whiteboard/message-*,
	  src/jabber_whiteboard/node-*,
	  src/jabber_whiteboard/received-message-helpers.cpp,
	  src/jabber_whiteboard/player-functors.*,
	  src/jabber_whiteboard/session-*,
	  src/jabber_whiteboard/tracker-node.h,
	  src/jabber_whiteboard/typedefs.h:
	  Initial commit of Inkboard code
	* src/ui/dialog/session-player*,
	  src/ui/dialog/whiteboard*:
	  C++/Gtkmm replacements for some old C/Gtk dialogs
	* configure.ac:
	  added Inkboard configure checks
	* src/ui/view/edit.cpp,
	  src/ui/view/edit.h,
	  src/ui/view/view.cpp:
	  added Inkboard code stubs to new Gtkmm code
	* share/ui/menus-bars.xml:
	  added Inkboard code stubs to menu UI XML

2005-08-01  Ralf Stephan <ralf@ark.in-berlin.de>

	* src/sp-object.cpp: improved doxygen documentation

2005-07-31  Ralf Stephan <ralf@ark.in-berlin.de>

	* src/nodepath.cpp: removed three dependencies

2005-07-31  MenTaLguY  <mental@rydia.net>

	* src/sp-object.cpp, src/sp-object.h, src/sp-use.cpp:
	  adopt more consistent refcounting policy

	* src/sp-object.h: make second parameter to sp_object_ref and
	  sp_object_unref optional

2005-07-30  Ralf Stephan <ralf@ark.in-berlin.de>

	* src/draw-anchor.cpp, src/nodepath.h: reduced dependencies
	* src/nodepath.cpp: removed duplicate dependency, added two from 
	  nodepath.h, made triangle_area() inline
	* src/node-context.cpp: added dependency removed from nodepath.h
	* src/Doxyfile: added 2 further files to the scanned list
	* src/nodepath.h: moved function docs into nodepath.cpp
	* src/color.cpp: made file work with src/Doxyfile
	* src/color.cpp, src/draw-anchor.cpp, src/geom.cpp, src/nodepath.cpp:
	  improved doxygen documentation
	* src/event-context.cpp: added a \todo
	* src/geom.cpp: added editor footer

2005-07-30  Ted Gould  <ted@gould.cx>

	* src/Makefile_insert, src/inkscape.cpp, src/inkscape.h,
	src/interface.cpp, src/selection.cpp, src/verbs.cpp, src/verbs.h,
	src/extension/effect.cpp, src/extension/effect.h, src/menus-skeleton.h:

	Doing two things.  One, making menus configurable by an external xml file
	and the second is enabling sensitivity in the verbs.  These are both in
	pretty basic states right now, but workable.

2005-07-29  MenTaLguY  <mental@rydia.net>

	* src/shortcuts.cpp: made Ctrl+Shift+G the "primary" ungroup shortcut

2005-07-28  Carl Hetherington  <inkscape@carlh.net>

	* src/arc-context.cpp: CodingStyle.  Replace gboolean with bool.

	* src/desktop-events.cpp: CodingStyle: whitespace.  Add editor
	variables block.  gboolean exorcism.  Declaration-to-first-use fixes.
	

2005-07-27  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/style.h (SP_SCALE24_MAX): Change from 0xffffff to 0xff0000,
	  and add documentation for choice of value.
	  (SP_SCALE24_TO_FLOAT) Return a double instead of a float.
	  (SP_SCALE24_FROM_FLOAT) Change rounding behaviour.
	  These changes are intended to combat float rounding bugs on x86.

	* src/style.cpp (sp_style_merge_from_style_string): Use libcroco
	  to parse style="..." attribute strings, to improve CSS parsing.

2005-07-27  Ralf Stephan <ralf@ark.in-berlin.de>

	* src/Doxyfile: added 10 further files to the scanned list
	* src/gc-anchored.h, src/gc-managed.h, src/object-hierarchy.h, 
	  src/pencil-context.h, src/selection.h, src/sp-object.h, src/sp-spiral.h, 
	  src/svg-view.h, src/verbs.h, src/livarot/float-line.h, src/util/list.h, 
	  src/widgets/paint-selector.h, src/xml/repr.h: 
	  made file work with src/Doxyfile
	* src/livarot/int-line.h, src/livarot/float-line.h: 
	  moved part of documentation into *.cpp file
	* src/gc-anchored.h, src/knot-holder-entity.h, src/nodepath.h, 
	  src/pen-context.h, src/pencil-context.h, src/selection.h, 
	  src/sp-gradient.h, src/sp-gradient.cpp, src/sp-item.h, src/sp-object.h, 
	  src/sp-spiral.h, src/style.h, src/svg-view.h, src/extension/extension.h, 
	  src/libnr/nr-matrix.h, src/livarot/int-line.h, src/livarot/int-line.cpp, 
	  src/livarot/float-line.h, src/livarot/float-line.cpp, 
	  src/livarot/sweep-event.h, src/livarot/sweep-event-queue.h, 
	  src/util/list.h, src/widgets/paint-selector.h, src/xml/repr.h, 
	  src/xml/repr.cpp: documentation improvements
	* src/sp-item.h: added editor footer

2005-07-26  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/svg/stringstream.h, src/svg/stringstream.cpp:
	  Trim trailing zeros from after the decimal point when writing
	  float or double to Inkscape::SVGOStringStream.
	* src/style-test.cpp: Update expected output accordingly.
	* src/svg/stringstream-test.h: New unit test.
	* src/Makefile.am, src/svg/Makefile_insert: Add the new unit test.
	* src/svg/Makefile_insert:
	  Don't link unused ftos.cpp, but do link new file stringstream.cpp.

2005-07-26  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* share/icons/icons.svg: Add icon for connector context.

2005-07-25  Ralf Stephan <ralf@ark.in-berlin.de>

	* src/libnr/nr-pixblock.h:  interface cleanup of NRPixBlock: size and mode
	  are now named enums, empty is now bool, changes to function interfaces 
	  because of that, changed C macros to C++ inline functions, changed clean 
	  flag in some function interfaces from int to bool.
	* src/libnr/nr-pixblock.cpp:  adaptations due to changes in nr-pixblock.h,
	  added assert to ...setup_extern() which remains a bit ... risky,
	* src/display/sp-canvas.cpp: 
	  made sp_canvas_item_construct() static, inlined two other functions
	* src/svg-view.cpp: piped emit_resized through C++ façade (incomplete)
	* src/ui/view/view.h: removed legacyMessageContext() member
	* src/Doxyfile: added files, and options to collect todo and bugs
	* src/display/curve.cpp: moved member docs into curve.h
	* src/event-context.cpp: long line cosmetics, moved a function for clarity
	* src/sp-offset.h, src/sp-spiral.cpp, src/svg-view.cpp, 
	  src/libnr/nr-types.h: added editor footer
	* src/color-rgba.h, src/draw-anchor.h, src/event-context.*, src/knot-*.h, 
	  src/message-*.h, src/modifier-fns.h, src/nodepath.h, 
	  src/pencil-context.cpp, src/pen-context.*, src/snap.*, src/sp-gradient.h, 
	  src/sp-gradient-fns.h, src/sp-item.cpp, src/sp-item-notify-moveto.h, 
	  src/sp-linear-gradient*, src/sp-offset.*, src/sp-radial-gradient*, 
	  src/sp-spiral.cpp, src/style.cpp, src/svg-view.cpp, src/verbs.cpp, 
	  src/dialogs/export.cpp, src/display/bezier-utils.cpp, 
	  src/display/curve.*, src/diplay/sp-canvas.*, 
	  src/extension/implementation/plugin*, src/extension/internal/gimpgrad.h, 
	  src/libnr/nr-matrix.h, src/libnr/nr-matrix-scale-ops.h, 
	  src/libnr/nr-matrix-translate-ops.h, src/libnr/nr-pixblock.*, 
	  src/libnr/nr-point.h, src/libnr/nr-rotate.h, src/libnr/nr-rotate-fns.h, 
	  src/libnr/nr-scale-matrix-ops.h, src/libnr/nr-types.h, 
	  src/livarot/int-line.h, src/ui/view/view.*:
	  
	  made file work with src/Doxygen, doxygen documentation improvements

2005-07-24  Ted Gould  <ted@gould.cx>

	* 0.42 Release

2005-07-21  Ted Gould  <ted@gould.cx>

	* 0.42pre3

2005-05-21  Kees Cook  <kees@outflux.net>

	* share/icons/*xpm, src/ui/dialog/transformation.cpp,
	  src/ui/widget/labelled.cpp, src/ui/widget/labelled.h:
	  Hooked up Gtkmmified Icon manager correctly.  (bug 1217367)
	* Makefile.mingw, Makefile.mingw.common: patch 1241293 for build fixes

2005-07-12  Ted Gould  <ted@gould.cx>

	* 0.42pre2

2005-07-11  MenTaLguY  <mental@rydia.net>

	* src/debug/logger.cpp: wrap stack vector in method to avoid
	  potential static initialization issues

	* src/sp-object.cpp: add refcount logging

2005-07-09  MenTaLguY  <mental@rydia.net>

	* src/document-undo.cpp, src/inkscape.cpp, src/debug/event.h,
	  src/debug/logger.cpp, src/debug/logger.h, src/debug/simple-event.h,
	  src/xml/composite-node-observer.cpp, src/xml/event.cpp,
	  src/xml/simple-node.cpp:

	  Categorize debugging events and add the ability to filter them
	  via setting the INKSCAPE_DEBUG_FILTER environment variable to
	  a comma-separated list of debug event categories.

2005-07-06  Ben Fowler  <bpfowler@users.sourceforge.net>

	* src/interface.cpp: Spackle for Bug 1217361 "freeze on quitting 
	with transform dialog"

2005-07-06  Ben Fowler  <bpfowler@users.sourceforge.net>

	* src/interface.cpp: Whitespace changes only

2005-07-06  Michael Wybrow  <mjwybrow@users.sourceforge.net>

	* Info.plist.in, packaging/osx-app.sh, packaging/macosx/*:

	Changes and new files required to build an Inkscape dmg on Mac OS X.

2005-07-05  Ted Gould  <ted@gould.cx>

	* 0.42pre1

2005-07-04  MenTaLguY  <mental@rydia.net>

	* src/sp-metadata.cpp: strip id= attributes under rdf:RDF elements

2005-07-04  MenTaLguY  <mental@rydia.net>

	* src/sp-object.cpp, src/xml/node-fns.h, src/xml/node-fns.cpp:
	  don't force id= attributes on anything except elements in the SVG,
	  Sodipodi, or Inkscape namespaces.

2005-07-04  MenTaLguY  <mental@rydia.net>

	* src/verbs.cpp: redo cryve's fix to use defaultLabel() rather than
	  label()

2005-07-04  Bryce Harrington <bryce@bryceharrington.org>

	* src/livarot/float-line.cpp:  Patch from Ralf Stephan
	<ralf@ark.in-berlin.de> to suppress two warnings.
	
2005-06-28  Ted Gould  <ted@gould.cx>

	* src/verbs.h:

	Changing from gnu::hash_map to std::map.  The only reason this was a
	hash_map before is because I was stealing code that I didn't understand,
	and a std::map works as well.  This fixes bug #1172199 for Tru64.

2005-06-28  Ted Gould  <ted@gould.cx>

	* src/extension/dependency.cpp:

	Fix for #1169396 -- setting the default type for a dependency to file,
	this seems to be the only way that the print function could end up using
	undefined memory, and then passing it on the gettext.

2005-06-28  Ted Gould  <ted@gould.cx>

	* src/extension/implementation/script.cpp,
	src/extension/implementation/script.h:

	Adding support for information coming back on STDERR from scripts.  This
	fixes bug #1220959 and RFE #1178941

2005-07-04  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/sp-stop.h, sp-gradient.cpp, widgets/gradient-vector.cpp:
	  Implement currentColor as possible value for stop-color, as per spec.

2005-07-02  Kees Cook  <kees@outflux.net>

	* src/dialog/rdf.cpp: Added FreeArt license, RFE #1230981.

2005-06-30  Bryce Harrington <bryce@bryceharrington.org>

	* inkscape.nsi:  Fix for bug #1230744 'wrong installer language'
	by theadib.

	* src/swatches.cpp: Fix for bug #1217973.  The KDE swatches file
	consists of 3 column numbers (missing 4th column), and also lacks
	an ending newline.  In this situation, the name variable returned
	from trim() could be null, thus causing a segfault when used as an
	input to Glib::ustring.

	* src/sp-image.cpp: Patch for bug #1210100 by bpfowler to help
	narrow in on the cause of the bug.

	* README:  Requested change for bug #1174991.  Directions for
	installation of perl libs
	
2005-07-01  Ben Fowler  <bpfowler@users.sourceforge.net>

	* src/desktop.cpp src/svg-view.cpp src/dialogs/display-settings.cpp 
	src/dialogs/export.cpp src/dialogs/find.cpp 
	src/extension/internal/ps.cpp: Replaced calls to gtk_widget_set_usize 
	with GTK2 version.

2005-06-30  Bryce Harrington <bryce@bryceharrington.org>

	* inkscape.pod, src/main.cpp: Applying Makzu's patch to implement
	  --vacuum-defs

2005-06-28  Ted Gould  <ted@gould.cx>

	* 0.42pre0

2005-06-23  MenTaLguY  <mental@rydia.net>

	* src/extension/implementation/script.cpp:
	  support for ruby scripts (interpreter="ruby")

2005-06-20  Ted Gould  <ted@gould.cx>

	* src/desktop.cpp, src/desktop.h, src/document-private.h,
	src/document.cpp, src/document.h, src/extension/effect.h,
	src/extension/implementation/script.cpp:

	Adding in a signal to show that the document is being reconstructed from
	another document.  This is used by the scripting extensions implementation
	to say to the desktops that they need to save their object references
	as strings instead of pointers -- and then recreate them when the
	reconstruction is complete.

	* src/extension/prefdialog.cpp: Making "OK" have focus.

	* src/verbs.cpp, src/verbs.h: Some prototype code to start making verbs
	sensitive or not.  Not tied in to anything currently.

2005-06-20  MenTaLguY  <mental@rydia.net>

	* src/xml/repr-io.cpp: whoops... don't emit xmlns:xml

2005-06-18  Richard Hughes  <cyreve@users.sourceforge.net>

	* src/text-context.cpp, src/text-context.h, src/libnrtype/Layout-TNG.h:
	  implement double- and triple-clicking of text for selecting the
	  current word and line respectively

2005-06-16  MenTaLguY  <mental@rydia.net>

	* src/interface.cpp: removed "Go to root" context menu item

	* src/widgets/layer-selector.cpp: hide "(root)" unless it is the current
	  layer

2005-06-11  Aaron Spike  <aaron@ekips.org>

	* confiugre.ac,
	  packaging/autopackage/default.apspec.in:

	  Adding the autopackage specfile

2005-06-10  Richard Hughes  <cyreve@users.sourceforge.net>

	* src/text-context.cpp:
	  use ctrl-left/right for moving cursor by word in text mode,
	  and ctrl-a for select all text

2005-06-09  Bryce Harrington <bryce@bryceharrington.org>

	* src/ui/dialogs/align-and-distribute.cpp,
	  src/ui/dialogs/align-and-distribute.h,
	  src/verbs.cpp:
	  Hooking up Aubanel's new align and distribute dialog

2005-06-09  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/text-context.cpp (sp_text_context_root_handler):
	  Greater conformance to ISO 14755 for unicode entry.  We now
	  implement all of the ``Basic method'' portion of that spec
	  except for non-latin hexadecimal digits (first 6 letters of
	  other alphabets).  (Instead, we do the same as for all other
	  shortcuts, viz. force a group0 (latin) interpretation of the
	  keypress.)

2005-06-07  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/pen-context.cpp (spdc_endpoint_snap): Pen tool: do snapping
	  (i.e. namedview_free_snap_all_types) even for initial point.

	* src/Makefile.am (INCLUDES), src/extension/script/Makefile_insert
	(extension_script_libscript_a_CXXFLAGS):

	  Put PERL_CFLAGS PYTHON_CFLAGS into global INCLUDES rather than
	  using a libscript_a_CXXFLAGS var (which involved creating .o files
	  specific to that lib).

2005-06-06  Ted Gould  <ted@gould.cx>

	* src/extensions/effect.cpp:

	Adding in the code so that effects can be undoable.

	* src/extensions/implementation/script.[cpp,h]

	Adding in the code so that a new window is not displayed when an
	effect is executed.  Now it is in the same window (much nicer).

	* src/extensions/internal/latex*.[cpp,h]

	Patches from the mailing list to add LaTeX output.

2005-06-04  MenTaLguY  <mental@rydia.net>

	* src/extensions/init.cpp:

	  That tears it.  Showing the error dialog on startup goes.  I've
	  had to respond to one too many bloody bug reports.  If we released
	  0.42 with this too we'll drive away users permanently.  As it was,
	  a lot of people were assuming 0.41 was broken when they saw this
	  and reverted to 0.40.

2005-05-31  MenTaLguY  <mental@rydia.net>

	* src/preferences-skeleton.h: disable extension error dialog on startup
	  -- I'm sick of hearing that Inkscape is broken because people see
	  this dialog on startup.  It makes us look bad.
	  
	  We're not going to repeat this for 0.42 -- find a better approach.

2005-05-28  MenTaLguY  <mental@rydia.net>

	* src/document.cpp, src/sp-ellipse.cpp, src/sp-flowdiv.cpp,
	  src/sp-flowtext.cpp, src/sp-object.cpp, src/sp-object.h,
	  src/sp-path.cpp, src/sp-rect.cpp, src/sp-root.cpp, src/sp-root.h,
	  src/sp-shape.cpp, src/version.cpp, src/version.h:

	  propagate SVG version upwards, and move SPVersion into Inkscape
	  namespace

2005-05-24  Simarilius	<Simarilius@yahoo.com>

	* src/verbs.cpp, src/dialogs/tiledialog.cpp, src/dialogs/tiledialog.h,
	src/ui/dialogs/dialog-manager.cpp
	
	Converted the tiledialog over to the inkscape:ui:dialog class and hooked
	it into dialog manager

2005-05-24  Ted Gould  <ted@gould.cx>

	* src/extension/dependency.cpp, src/extension/extension.cpp,
	src/extension/extension.h, src/extension/init.cpp,
	src/extension/implementation/script.cpp:

	Applying patch 1199856 which allows Inkscape to have multiple directories
	for extensions.  Currently those are /share/inkscape/extensions and
	~/.inkscape/extensions.  The patch was written by Aaron Spike.

2005-05-23  Ted Gould  <ted@gould.cx>

	* share/extensions/<alot>

	Adding in Aaron Spike's extensions so that they come with the standard
	build.  Lot's of useful stuff that is worth having for most users.

2005-05-19  MenTaLguY  <mental@rydia.net>

	* src/verbs.cpp, src/ui/dialog/align-and-distribute.h,
	  src/ui/dialog/dialog-manager.cpp, src/ui/dialog/dialog-manager.h,
	  src/ui/dialog/document-preferences.h, src/ui/dialog/export.h,
	  src/ui/dialog/extension-editor.h, src/ui/dialog/fill-and-stroke.h,
	  src/ui/dialog/find.h, src/ui/dialog/inkscape-preferences.h,
	  src/ui/dialog/layer-editor.h, src/ui/dialog/messages.h,
	  src/ui/dialog/text-properties.h, src/ui/dialog/transformation.h,
	  src/ui/dialog/xml-editor.h, src/ui/view/edit.cpp:

	  refactoring of the dialog manager code, introducing factory
	  functions and a method specifically for showing a dialog

2005-05-19  MenTaLguY  <mental@rydia.net>

	* src/widgets/layer-selector.cpp, src/widgets/layer-selector.h:

	  fix layer property undo crash bugs (#1192708 and #1171704)

2005-05-19  MenTaLguY  <mental@rydia.net>

	* src/debug/Makefile_insert, src/debug/sysv-heap.cpp,
	  src/debug/sysv-heap.h, src/gc.cpp, src/debug/gc-heap.h,
	  src/debug/heap.cpp:

	  moved GC Heap statistics stuff into libdebug to ease circular
	  dependencies

2005-05-17  MenTaLguY  <mental@rydia.net>

	* src/ui/dialog/memory.cpp:

	  reduce magnitude of memory jitter somewhat by avoiding some vector
	  resizing and copying

2005-05-16  MenTaLguY  <mental@rydia.net>

	* src/gc.cpp, src/debug/heap.cpp, src/debug/heap.h:

	  revised Debug::Heap API slightly

	* src/ui/dialog/memory.cpp, src/ui/dialog/memory.h:

	  thousands separators and other niceties.  'apply' now forces a
	  garbage collection and immediate update.

2005-05-16  MenTaLguY  <mental@rydia.net>

	* src/ui/dialog/memory.cpp: re-use existing rows, though it doesn't
	  seem to help memory jitter much

2005-05-15  MenTaLguY  <mental@rydia.net>

	* src/debug/heap.cpp: fix bounds error

	* src/ui/dialog/memory.cpp, src/ui/dialog/memory.h:
	
	flesh out basic memory info dialog

2005-05-15  MenTaLguY  <mental@rydia.net>

	* configure.ac: cleaned up tests

	* src/debug/heap.cpp: fixed feature macro names

2005-05-15  MenTaLguY  <mental@rydia.net>

	* configure.ac: added tests for mallinfo and malloc.h

	* src/gc.cpp, src/debug/heap.cpp, src/debug/heap.h:

	  fix up Debug::Heap API slightly

2005-05-14  MenTaLguY  <mental@rydia.net>

	* src/interface.cpp, src/verbs.cpp, src/verbs.h,
	  src/ui/dialog/Makefile_insert, src/ui/dialog/dialog-manager.cpp,
	  src/ui/dialog/dialog-manager.h, src/ui/dialog/memory.cpp,
	  src/ui/dialog/memory.h:
	  
	  added skeletal memory statistics dialog

2005-05-12  Juerg Billeter  <j@bitron.ch>

	* configure.ac: Have pkgconfig explicitly require gdkmm-2.4 & glibmm-2.4
	(used directly by Inkscape), rather than relying on transitive
	dependencies.  It's said that this is required in some cases with
	pkgconfig 0.17 and later.

2005-05-08  Bryce Harrington <bryce@bryceharrington.org>

	* ChangeLog configure.ac src/Makefile_insert src/desktop-widget.h
	  src/desktop.h src/dropper-context.cpp src/file.cpp
	  src/shortcuts.cpp src/sp-text.cpp src/splivarot.cpp
	  src/svg-view.h src/text-context.cpp src/verbs.cpp
	  src/extension/implementation/plugin-link.h
	  src/extension/internal/grid.cpp src/helper/action.h
	  src/helper/window.cpp src/ui/dialog/dialog.cpp
	  src/ui/dialog/messages.cpp src/ui/view/view.cpp
	  src/ui/view/view.h:	

	  Moving view.* into src/ui/view/
	
2005-05-09  MenTaLguY  <mental@rydia.net>

	* src/gc-alloc.h: const-correctness fix

2005-05-08  Bryce Harrington <bryce@bryceharrington.org>

	* configure.ac:  Defaulting with-gnome-vfs to on if library is
	  present. 
	
	* po/POTFILES.in : Fixed error causing compile failure

	* src/Makefile_insert src/arc-context.cpp src/desktop-events.cpp
	   src/desktop.cpp src/desktop.h src/dyna-draw-context.cpp
	   src/gradient-context.cpp src/gradient-toolbar.cpp
	   src/interface.cpp src/make.dep src/make.files
	   src/rect-context.cpp src/select-context.cpp
	   src/select-toolbar.cpp src/seltrans.cpp src/spiral-context.cpp
	   src/star-context.cpp src/toolbox.cpp src/verbs.cpp src/view.cpp
	   src/view.h src/application/application.cpp
	   src/application/application.h src/application/editor.cpp
	   src/application/editor.h src/ui/dialog/align-and-distribute.cpp
	   src/ui/dialog/align-and-distribute.h
	   src/ui/dialog/dialog-manager.cpp src/ui/dialog/dialog-manager.h
	   src/ui/dialog/dialog.cpp src/ui/dialog/dialog.h
	   src/ui/dialog/document-preferences.cpp
	   src/ui/dialog/document-preferences.h src/ui/dialog/export.cpp
	   src/ui/dialog/export.h src/ui/dialog/extension-editor.cpp
	   src/ui/dialog/extension-editor.h
	   src/ui/dialog/fill-and-stroke.cpp
	   src/ui/dialog/fill-and-stroke.h src/ui/dialog/find.cpp
	   src/ui/dialog/find.h src/ui/dialog/inkscape-preferences.cpp
	   src/ui/dialog/inkscape-preferences.h
	   src/ui/dialog/layer-editor.cpp src/ui/dialog/layer-editor.h
	   src/ui/dialog/messages.h src/ui/dialog/text-properties.cpp
	   src/ui/dialog/text-properties.h
	   src/ui/dialog/transformation.cpp src/ui/dialog/transformation.h
	   src/ui/dialog/tree-editor.h src/ui/dialog/xml-editor.cpp
	   src/ui/dialog/xml-editor.h src/ui/view/Makefile_insert
	   src/ui/view/edit.cpp src/ui/view/edit.h :

	   Renaming sp-desktop-widget.h to desktop-widget.h for
	   consistency with other desktop files.  Beginning migration of
	   desktop-* and view* files into ui/view/ subdir.  Incorporating
	   DialogManager into existing SPDesktop code.  Making SPView
	   derive from GObject.  Changing Messages dialog to run via
	   DialogManager.  Removing getName() and getDesc() routines from
	   Dialogs.  
	
2005-05-08  MenTaLguY  <mental@rydia.net>

	* src/Makefile_insert: change link order since the GC code now
	  depends on the debugging stuff

	* src/debug/Makefile_insert, src/debug/heap.cpp, src/debug/heap.h:

	  added heap statistics stuff

	* src/gc.cpp: register the GC heap with the heap statistics facility

2005-05-07  MenTaLguY  <mental@rydia.net>

	* src/gc-anchored.h, src/gc-core.h, src/gc-finalized.h,
	  src/gc-managed.h, src/gc.cpp:

	  hide the global Ops structure from the outside world, and expose
	  some additional libgc API.

2005-05-07  Ted Gould  <ted@gould.cx>

	* src/extension/parameter.cpp: bug fix for empty string parameter

	* share/extensions/dropshadow.inx,
	src/extension/implementation/script.cpp:

	Adding in an "interpreter" attribute for "command" that will prepend
	the command with the interpreter.  Right now only "perl" and "python"
	work, and they only prepend "perl" and "python", but more will be
	added later.

2005-05-07  MenTaLguY  <mental@rydia.net>

	* src/xml/composite-node-observer.cpp: bug fixes

	* src/xml/simple-node.cpp, src/xml/simple-node.h: switch to using
	  CompositeNodeObserver, which has saner add/remove semantics

	* src/util/list-container-test.cpp: add another test, just to be sure

	* src/dialogs/xml-tree.cpp: remove need for is_interactive flag on
	  attribute changes (the flag is effectively disabled by the other
	  changes)

2005-05-05  MenTaLguY  <mental@rydia.net>

	* src/debug/event.h, src/debug/logger.cpp:

	  PropertyPair is now its own class
	
	* src/xml/simple-node.cpp: add logging of XML node mutation

	* src/xml/Makefile_insert, src/xml/composite-node-observer.cpp,
	  src/xml/composite-node-observer.h:

	  added CompositeNodeObserver class, which will eventually replace
	  the existing notifier lists

2005-05-05  MenTaLguY  <mental@rydia.net>

	* src/inkscape.cpp: try to cleanly terminate log in case of crashes

2005-05-05  MenTaLguY  <mental@rydia.net>

	* src/document-undo.cpp, src/debug/Makefile_insert, src/debug/logger.cpp,
	  src/debug/simple-event.h, src/xml/event.cpp:

	  add debug logging for undo+redo+transactions

2005-05-05  MenTaLguY  <mental@rydia.net>

	* src/inkscape.cpp, src/main.cpp: initialize and shutdown debug log
	  from more reliable place

	* src/debug/logger.cpp: clean up log via std::atexit()

2005-05-04  MenTaLguY  <mental@rydia.net>

	* configure.ac, src/Makefile.am, src/Makefile_insert,
	  src/debug/Makefile_insert, src/debug/makefile.in:

	  added src/debug/ subdir

	* src/gc-alloc.h: no default management type for now

	* src/debug/event-tracker.h, src/debug/event.h, src/debug/logger.cpp,
	  src/debug/logger.h: simple XML logging facility

	* src/util/Makefile_insert: fixed cut-and-paste error

2005-04-29  Jon A. Cruz  <jon@joncruz.org>
	* src/dialogs/swatches.cpp, src/dialogs/eek-preview.h,
	  src/dialogs/eek-preview.cpp:

	Added property to swatch to block taking focus.

2005-04-28  Jon A. Cruz  <jon@joncruz.org>
	* src/dialogs/Makefile_insert, src/dialogs/eek-preview.cpp,
	  src/dialogs/eek-preview.h, src/dialogs/swatches.cpp,
	  src/dialogs/swatches.h, src/ui/previewholder.cpp,
	  src/ui/previewable.h, src/ui/widget/panel.cpp:

	  Adding new widget for color swatch usage.

2005-04-24  Bryce Harrington <bryce@bryceharrington.org>

	* src/Makefile.am src/Makefile_insert,
	  src/application/Makefile_insert, src/application/editor.cpp,
	  src/application/editor.h, src/extension/internal/svg.cpp,
	  src/ui/Makefile_insert, src/ui/view/Makefile_insert,
	  src/ui/view/edit.cpp, src/ui/view/edit.h, src/ui/view/makefile.in,
	  src/application/editor-impl.cpp, src/application/editor-impl.h:

	  Renaming EditorImpl to UI::View::Edit

	  Fixing bug 1185873 "batch mode crasher" caused by VFS being
	  called with relative paths.  Adding a check to see whether the
	  input is a valid uri, and if not, just calling sp_document_new
	  directly.


2005-04-23  Ted Gould  <ted@gould.cx>

	* src/extension/input.cpp, src/extension/input.h,
	src/extension/output.cpp, src/extension/output.h,
	src/extension/system.cpp, src/extension/implementation/implementation.cpp,
	src/extension/implementation/implementation.h,
	src/extension/implementation/plugin-link.h,
	src/extension/implementation/plugin.cpp,
	src/extension/implementation/plugin.h,
	src/extension/implementation/script.cpp,
	src/extension/implementation/script.h, src/extension/internal/eps-out.cpp,
	src/extension/internal/eps-out.h:

	Changing the prototype for the input/output preferences to be closer to
	that of Effects.  This is a good thing because now autogui can be used for
	all, and it is much cleaner.  Unfortunately, this caused alot of files to
	be changed.  Also, this sets up the extensions dialog (we're only using
	one now) to be integrated into the GTKmm codebase easier.

2005-04-21  Jon A. Cruz  <jon@joncruz.org>
	* src/widgets/sp-color-wheel-selector.cpp,
	  src/widgets/sp-color-scales.h, src/widgets/sp-color-slider.cpp,
	  src/widgets/sp-color-scales.cpp:
	Changed CMYK selector to display values as 0-100. Fixes REF #1124499.

2005-04-21  Jon A. Cruz  <jon@joncruz.org>
	* src/xml/repr-io.cpp:
	Expand entities; matches 0.41 behavior. Fixes bug #1157478.

2005-04-20  Jon A. Cruz  <jon@joncruz.org>
	* src/sp-object-repr.cpp:
	Turned off the half-done <animate> element. Fixes bug #1119935.

2005-04-19  Carl Hetherington  <inkscape@carlh.net>

	* src/pen-context.cpp: snap first point to grid correctly, fixing
	#1152057.  Remove a pointless call to spdc_endpoint_snap().

	* src/main.cpp: support for command-line export of PS and EPS,
	with options.

2005-04-19  Piers Titus van der Torren  <piersvdt@users.sourceforge.net>
	* src/seltrans.cpp:
	Fixed skew so it displays and snaps to angle instead of percentage.

2005-04-18  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/extension/internal/pov-out.cpp (PovOutput::save):
	Was dividing component bytes by 256 instead of the usual 255 to get
	floating point component.  Changed to use sp_color_get_rgb_floatv
	instead.  (N.B. This change is wrong if pov files disallow 1.0.)

	Multiply opacity by product of all ancestors' opacity property computed
	value.

2005-04-18  Carl Hetherington  <inkscape@carlh.net>

	* src/sp-line.cpp, src/dialogs/unclump.cpp,
	src/extension/internal/ps.cpp,
	src/libnrtype/Layout-TNG-Output.cpp,
	src/Layout-TNG-Scanline-Makers.cpp, src/livarot/PathCutting.cpp:
	add missing include of nr-point-matrix-ops.h.

2005-04-17  Jon A. Cruz  <jon@joncruz.org>
	* src/toolbox.cpp:

	Corrected improper use of static. Fixes bug #1171919.

2005-04-16  Ted Gould  <ted@gould.cx>

	* src/extension/extension.cpp, src/extension/parameter.cpp:

	Adding in autogui for strings and booleans.  Also making everything
	a little more robust.

2005-04-17  cyreve  <cyreve@users.sourceforge.net>

	* src/: sp-text.cpp, sp-text.h, text-context.cpp, text-editing.cpp,
	  text-editing.h, libnrtype/Layout-TNG-Compute.cpp: hook up keys
	  for adding rotate= attribute to text elements

	* src/libnrtype/Layout-TNG-OutIter.cpp: visual cursor left/right in
	  counterdirectional text runs

2005-04-16  cyreve  <cyreve@users.sourceforge.net>

	* src/: display/nr-arena-glyphs.cpp, libnrtype/FontInstance.cpp,
	  libnrtype/RasterFont.cpp, libnrtype/font-instance.h,
	  libnrtype/font-style.h: make miter-limit work for text outlines
	  (bug 1094430)

2005-04-16  Ted Gould  <ted@gould.cx>

	* src/main.cpp:

	Added a command-line arguement --extension-directory to find what
	extension directory Inkscape is configured for.  This should be 
	helpful for external extensions that want to use the same path
	as Inkscape itself on their install.

	* src/extension/extension.cpp, src/extension/init.cpp:

	Putting in half of Aaron's fix, mostly the one to keep things from
	crashing, next we need to examine how to add multiple search paths
	for extension dependencies.

	Also, added a check so that autogui won't create a GUI if there are
	no preferences.

2005-04-13  Jon Phillips <jon@rejon.org>
	* src/toolbox.cpp: removed code that was beeping and prepped for new
	  drag-n-drop color swatches.

2005-04-13  cyreve  <cyreve@users.sourceforge.net>

	* src/path-chemistry.cpp: wire up converting object to path for
	  flowtext

2005-04-13  Jon A. Cruz  <jon@joncruz.org>
	* src/dialogs/swatches.cpp:

	Simple drag-n-drop out from color swatches.

2005-04-12  cyreve  <cyreve@users.sourceforge.net>

	* src/: selection-chemistry.cpp, text-context.cpp, text-context.h,
	  text-editing.cpp, text-editing.h: cut and copy selected text (bug
	  1175441)

2005-04-12  Ted Gould  <ted@gould.cx>

	* src/extension/extension.cpp, src/extension/extension.h,
	src/extension/parameter.cpp, src/extension/parameter.h,
	src/extension/implementation/script.cpp:

	This is support for having command line arguments from the parameters,
	mostly this is a quick hack to get Aaron working, I'll clean it up
	shortly, I promise.  But, it does seem to be working right now.  More
	polish shortly.

2005-04-10  Jon A. Cruz  <jon@joncruz.org>
	* src/interface.cpp:

	Adding drag-n-drop support for arbitrary images. Fixes bug 1177714.


2005-04-10  Ted Gould  <ted@gould.cx>

	* Lots of files:

	Moving around the plugins, and disabling the feature.  I've put all
	the functionality into the internal directory.  This should allow for
	the features to be used until plugins could work.  Also, adding in
	features to do autogui with the parameters of a given extension.

2005-04-09  Bryce <bryce@bryceharrington.org>

	* src/view.h, src/application/editor-impl.cpp,
	  src/application/editor-impl.h, src/svg-view.h:

	  C++-ification.  Created some C++ wrapper member functions for
	  SPView and SPSVGView, to enable Gtkmmification of SPDesktop

2005-04-09  MenTaLguY  <mental@rydia.net>

	* src/selection.cpp, src/selection.h, src/dialogs/align.cpp,
	  src/extension/implementation/script.cpp,
	  src/extension/plugin/bluredge.cpp, src/util/glib-list-iterators.h:

	  excise STL abuse, and fix up the glib list iterators

2005-04-09  MenTaLguY  <mental@rydia.net>

	* src/file.cpp, src/interface.cpp, src/shortcuts.cpp,
	  src/sp-object-repr.cpp, src/sp-skeleton.cpp, src/verbs.cpp,
	  src/dialogs/export.cpp, src/display/nr-arena-item.cpp,
	  src/libnrtype/FontFactory.cpp, src/libnrtype/TextWrapper.h,
	  src/livarot/ShapeMisc.cpp, src/livarot/float-line.cpp:

	  combined several different 64-bit cleanness patches

2005-04-08 Jon Phillips <jon@rejon.org>
	* src/ui/dialog/dialog-manager.cpp src/ui/dialog/dialog-manager.h: 
	  added copyright statements about dialog manager code I wrote.

2005-04-08  MenTaLguY  <mental@rydia.net>

	* src/draw-context.cpp, src/dyna-draw-context.cpp, src/path-chemistry.cpp,
	  src/selection-chemistry.cpp, src/selection.cpp, src/selection.h,
	  src/splivarot.cpp, src/extension/plugin/bluredge.cpp,
	  src/trace/trace.cpp:

	  renaming Inkscape::Selection methods that deal with XML::Nodes

2005-04-08  MenTaLguY  <mental@rydia.net>

	* src/document-undo.cpp: try again with handling incomplete transactions
	  more gracefully

2005-04-06  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/io/sys.h, src/io/sys.cpp (dir_open, dir_read_utf8name):
	  New functions: utf8 wrappers around g_dir_open, g_dir_read_name.

2005-04-02  Bryce Harrington <bryce@bryceharrington.org>

	* configure.ac share/ui/menus-bars.xml, src/Makefile.am,
	  src/Makefile_insert, src/file.cpp,
	  src/application/editor-impl.cpp,
	  src/application/editor-impl.h,
	  src/extension/init.cpp, src/extension/input.cpp,
	  src/extension/system.cpp,
	  src/extension/implementation/implementation.cpp,
	  src/extension/implementation/plugin.cpp,
	  src/extension/implementation/script.cpp,
	  src/extension/internal/svg.cpp
	: Implementing preliminary load-from-URI functionality.
	

2005-04-02  MenTaLguY  <mental@rydia.net>

	* src/document-undo.cpp, src/xml/event-fns.h, src/xml/event.cpp,
	  src/xml/event.h:

	  more debugging info for incomplete transactions

2005-04-02  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/sp-gradient.cpp: Fix crash with cycles in gradient hrefs.

2005-04-01  Jon A. Cruz  <jon@joncruz.org>
	* src/ui/widget/panel.h, src/ui/widget/panel.cpp, src/ui/previewholder.h,
	  src/ui/previewholder.cpp,src/dialogs/swatches.cpp,
	  src/dialogs/swatches.h:
	  Added UI for switching palettes

2005-04-01  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>
	* src/style.cpp (sp_style_merge_from_dying_parent): New function to
	  combine the styles of the <use> element and its ghost child when
	  unlinking.
	* src/sp-use.cpp: Use it.

2005-03-31  Jon A. Cruz  <jon@joncruz.org>
	* src/ui/widget/panel.cpp, src/ui/widget/panel.h, src/path-prefix.h,
	  src/dialogs/swatches.cpp, src/dialogs/swatches.h
	  share/palettes/Makefile.am, share/palettes/svg.gpl:
	  Adding palette loading.

2005-03-31 Jean-François Lemaire <jflemaire@skynet.be>
	* share/icons/David_icons.svg: new icon theme by David Christian Berg

	* share/icons/README.icons: explanations on how to use the theme

2005-03-30  Jean-François Lemaire <jflemaire@skynet.be>
	* share/icons/icons.svg: included the layer menu icons

	* src/verbs.cpp: assigned names for the layer menu icons

2005-03-24  Jon A. Cruz  <jon@joncruz.org>
	* src/ui/widget/panel.h, src/ui/widget/panel.cpp,
	  src/ui/previewholder.h, src/ui/previewfillable.h,
	  src/dialogs/iconpreview.cpp, src/dialogs/swatches.cpp:
	  Adding panel menu

2005-03-27  Jon Phillips <jon@rejon.org>
	* src/toolbox.cpp src/toolbox.h src/ui/dialog/dialog-manager.cpp
	  src/ui/dialog/dialog-manager.h: Added generic dialog adding,
	  deleting, and getting and fixed toolboxes to be static with no
	  warnings.

2005-03-26  Bryce <bryce@bryceharrington.org>

	* share/ui/keybindings.rc, share/ui/menus-bars.xml
	  src/application/editor-impl.cpp, src/application/editor-impl.h,
	  src/extension/internal/svg.cpp, src/ui/dialog/Makefile_insert,
	  src/ui/dialog/dialog-manager.cpp,
	  src/ui/dialog/dialog-manager.h, src/ui/dialog/messages.cpp,
	  src/ui/dialog/messages.h: Initial implementation of canvas in
	  gtkmm.  Incorporating Messages dialog.


2005-03-24  MenTaLguY  <mental@rydia.net>

	* src/sp-item.cpp: fix relative transforms to accommodate viewbox

2005-03-24  Jon A. Cruz  <jon@joncruz.org>

	* src/ui/Makefile_insert, src/dialogs/swatches.cpp,
	  src/dialogs/swatches.h, src/ui/previewable.h,
	  src/ui/previewfillable.h, src/ui/previewholder.cpp,
	  src/ui/previewholder.h:
	  Refactoring previewable functionality to be more generic

2005-03-24  cyreve  <cyreve@users.sourceforge.net>

	* src/: text-context.cpp, text-editing.cpp, text-editing.h:
	  functions for applying style to selected text, and wire them
	  up to ctrl-b/ctrl-i for bold/italic

2005-03-23  Jon Phillips <jon@rejon.org>
	* src/toolbox.h src/toolbox.cpp: Fixed warning messages.

2005-03-23  Jon A. Cruz  <jon@joncruz.org>

	* src/ui/previewable.h, src/ui/Makefile_insert,
	  src/dialogs/swatches.h, src/dialogs/swatches.cpp:
	  Preliminary work for 'Previewable' interface.

2005-03-23  cyreve  <cyreve@users.sourceforge.net>

	* src/: sp-text.cpp, libnrtype/Layout-TNG-Compute.cpp,
	  libnrtype/Layout-TNG-Output.cpp: make text on path work correctly
	  with accent glyphs and suchlike

	* src/: text-chemistry.cpp, libnrtype/Layout-TNG.h: apply text's
	  alignment to startOffset on new textpath elements, fixes bug
	  1168145

	* src/libnrtype/Layout-TNG-OutIter.cpp: selecting text to the end
	  sometimes displays wrong

2005-03-22  MenTaLguY  <mental@rydia.net>

	* src/arc-context.cpp, src/desktop-handles.cpp,
	  src/desktop-handles.h, src/desktop.cpp, src/desktop.h,
	  src/document.h, src/draw-context.cpp, src/draw-context.h,
	  src/file.cpp, src/forward.h, src/gradient-context.cpp,
	  src/gradient-drag.cpp, src/gradient-drag.h, src/gradient-toolbar.cpp,
	  src/inkscape-private.h, src/inkscape.cpp, src/node-context.cpp,
	  src/node-context.h, src/nodepath.cpp, src/object-ui.cpp,
	  src/path-chemistry.cpp, src/rect-context.cpp, src/selcue.cpp,
	  src/selcue.h, src/select-context.cpp, src/select-toolbar.cpp,
	  src/selection-chemistry.cpp, src/selection-chemistry.h,
	  src/selection-describer.cpp, src/selection-describer.h,
	  src/selection.cpp, src/selection.h, src/seltrans.cpp,
	  src/seltrans.h, src/sp-flowtext.cpp, src/spiral-context.cpp,
	  src/splivarot.cpp, src/star-context.cpp, src/text-chemistry.cpp,
	  src/text-context.cpp, src/toolbox.cpp, src/verbs.cpp,
	  src/dialogs/align.cpp, src/dialogs/clonetiler.cpp,
	  src/dialogs/display-settings.cpp, src/dialogs/fill-style.cpp,
	  src/dialogs/find.cpp, src/dialogs/iconpreview.cpp,
	  src/dialogs/item-properties.cpp, src/dialogs/object-properties.cpp,
	  src/dialogs/stroke-style.cpp, src/dialogs/text-edit.cpp,
	  src/dialogs/tiledialog.cpp, src/dialogs/transformation.cpp,
	  src/dialogs/xml-tree.cpp, src/extension/plugin/bluredge.cpp,
	  src/extension/plugin/grid.cpp, src/trace/trace.cpp,
	  src/ui/dialog/dialog.cpp, src/ui/dialog/dialog.h,
	  src/ui/dialog/transformation.cpp, src/ui/dialog/transformation.h,
	  src/widgets/sp-widget.cpp, src/widgets/sp-widget.h:

	  SPSelection -> Inkscape::Selection

2005-03-22  cyreve  <cyreve@users.sourceforge.net>

	* src/text-context.cpp: pressing esc doesn't hide text selection

	* src/: text-context.cpp, text-context.h, text-editing.cpp,
	  text-editing.h, libnrtype/Layout-TNG-OutIter.cpp,
	  libnrtype/Layout-TNG.h: make text selection inverse

2005-03-21  Jon Phillips <jon@rejon.org>

	* share/icons/icons.svg src/dropper-context.cpp
	  src/dropper-context.h src/toolbox.cpp src/toolbox.h
	  src/dialogs/display-settings.cpp: Added controls for eye dropper
	  so that I could get color values. Removed option from application
	  preferences.

2005-03-21  MenTaLguY  <mental@rydia.net>

	* src/util/Makefile_insert, src/util/glib-list.h,
	  src/util/glib-list-iterators.h:

	  retired old Glib list to Util::List adaptor and replaced it with
	  new iterator classes that directly wrap the Glib list types

2005-03-21  cyreve  <cyreve@users.sourceforge.net>

	* src/: text-editing.cpp, libnrtype/Layout-TNG-OutIter.cpp: text
	  selection doesn't show when it starts at the end of a line

	* src/: text-context.cpp, text-editing.cpp: crash on overtyping
	  selection, and displayed selection not removed on overtype

	* src/text-editing.cpp: kerning information placed wrongly in text
	  after child span element

	* src/libnrtype/Layout-TNG-OutIter.cpp: crash when pressing home key

	* src/: text-context.cpp, text-context.h: text selection using the
	  mouse

	* src/: make.dep, make.files, make.ofiles,
	  libnrtype/Layout-TNG-OutIter.cpp: further optimisation of text
	  selection, and an implementation for text on a path

	* src/: text-editing.cpp, libnrtype/Layout-TNG-OutIter.cpp,
	  libnrtype/Layout-TNG.h: optimisation of text selection and fixing
	  some bugs in it

2005-03-18  MenTaLguY  <mental@rydia.net>

	* src/arc-context.cpp, src/file.cpp, src/gradient-context.cpp,
	  src/node-context.cpp, src/object-ui.cpp, src/path-chemistry.cpp,
	  src/rect-context.cpp, src/select-context.cpp,
	  src/selection-chemistry.cpp, src/selection.cpp, src/selection.h,
	  src/sp-flowtext.cpp, src/spiral-context.cpp, src/splivarot.cpp,
	  src/star-context.cpp, src/text-chemistry.cpp, src/text-context.cpp,
	  src/dialogs/find.cpp, src/dialogs/in-dt-coordsys.cpp,
	  src/dialogs/xml-tree.cpp:

	  cleaned up the selection API slightly

2005-03-20  cyreve  <cyreve@users.sourceforge.net>

	* src/: text-context.cpp, text-context.h, text-editing.cpp,
	  text-editing.h, libnrtype/Layout-TNG-OutIter.cpp,
	  libnrtype/Layout-TNG.h: initial implementation of text selection
	  (keyboard only)

	* src/libnrtype/Layout-TNG-OutIter.cpp: making
	  createSelectionShape() work

	* src/: sp-text.cpp, sp-text.h: text-anchor sometimes won't work in
	  text on a path when x/y coordinates are set

	* src/libnrtype/Layout-TNG-Output.cpp: text on path: cut characters
	  before start of path and calculate bounding box correctly when
	  this happens

2005-03-14  Jon A. Cruz  <jon@joncruz.org>
	* src/dialogs/Makefile_insert, src/dialogs/swatches.cpp,
	  src/dialogs/swatches.h, src/verbs.h, src/verbs.cpp,
	  src/interface.cpp:
	  Initial cut of swatches panel.

2005-03-19  cyreve  <cyreve@users.sourceforge.net>

	* src/libnrtype/Layout-TNG-Compute.cpp: rendering of
	  multiple-character clusters in rtl text is wrong (bug 1166603)

	* src/: make.dep, make.files, make.ofiles, sp-text.cpp, sp-text.h,
	  text-editing.cpp: glue kerning info back together on deleting
	  line breaks

	* src/sp-tspan.cpp: textpath startOffset attribute doesn't save
	  correctly when it's a percentage (remnants of bug 1124722)

	* src/: text-context.cpp, text-context.h, text-editing.cpp,
	  text-editing.h, libnrtype/Layout-TNG.h: use Layout::iterator for
	  storing cursor position. Fixes bug 1093660 related to rtl cursor
	  movement

	* src/libnrtype/: Layout-TNG-OutIter.cpp, Layout-TNG.h: implement
	  backend cursor movement functions properly for multidirectional
	  text

	* src/libnrtype/Layout-TNG-Output.cpp: create more efficient
	  postscript output

	* src/libnrtype/: Layout-TNG-OutIter.cpp, Layout-TNG-Output.cpp,
	  Layout-TNG.h: obey text-align attribute when fitting text to a
	  path (fixes bug 1124722)

	* src/: attributes-test.cpp, attributes.cpp, attributes.h,
	  sp-flowtext.cpp, sp-text.cpp, sp-tspan.cpp, sp-tspan.h,
	  style-test.cpp, libnrtype/Layout-TNG-Output.cpp: wire up
	  startOffset attribute to textpath and fix bugs in it

	* src/sp-flowtext.cpp: unflow text command loses formatting

	* src/xml/repr-io.cpp: xml pretty-printer adding whitespace in
	  xml:space=preserve elements

	* src/: sp-flowtext.cpp, text-editing.cpp: line breaks not being
	  put before strings immediately following para elements, and
	  deleting line breaks copies style wrongly

2005-03-18  MenTaLguY  <mental@rydia.net>

	* src/file.cpp, src/sp-item-group.cpp, src/xml/Makefile_insert,
	  src/xml/node-fns-tree.cpp, src/xml/node-fns-tree.h,
	  src/xml/node-fns.cpp, src/xml/node-fns.h, src/xml/node-iterators.h,
	  src/xml/repr.cpp, src/xml/simple-node.cpp:

	  renamed node-fns-tree to node-fns, and moved sp_repr_prev etc
	  into Inkscape::XML namespace (as e.g. previous_node)

2005-03-18  cyreve  <cyreve@users.sourceforge.net>

	* src/libnrtype/Layout-TNG-Compute.cpp: cursor position on blank
	  first line sometimes goes wrong

	* src/: make.dep, make.files, make.ofiles, text-editing.cpp:
	  spurious line break added before text in text and font dialog
	  (bug 1166016)

	* src/: make.dep, make.files, make.ofiles, libnrtype/FlowBoxes.cpp,
	  libnrtype/FlowBoxes.h, libnrtype/FlowDefs.h,
	  libnrtype/FlowDest.cpp, libnrtype/FlowDest.h,
	  libnrtype/FlowEater.cpp, libnrtype/FlowEater.h,
	  libnrtype/FlowRes.cpp, libnrtype/FlowRes.h,
	  libnrtype/FlowResOut.cpp, libnrtype/FlowSols.cpp,
	  libnrtype/FlowSols.h, libnrtype/FlowSrc.cpp, libnrtype/FlowSrc.h,
	  libnrtype/FlowSrcText.cpp, libnrtype/FlowSrcText.h,
	  libnrtype/FlowStyle.cpp, libnrtype/FlowStyle.h,
	  libnrtype/FlowUtils.cpp, libnrtype/FlowUtils.h,
	  libnrtype/Makefile_insert: remove all old text layout code (7,577
	  lines)

	* src/: sp-flowregion.cpp, sp-flowregion.h, sp-flowtext.cpp,
	  sp-string.cpp, sp-tspan.cpp: purge flow_dest class from code

	* src/: text-editing.cpp, libnrtype/Layout-TNG-Compute.cpp,
	  libnrtype/Layout-TNG.cpp, libnrtype/Layout-TNG.h: define a value
	  for line-height:normal and use it consistently

	* src/: sp-text.cpp, sp-text.h, text-editing.cpp: adjust kerning
	  attributes on adding/removing line breaks

2005-03-17  MenTaLguY  <mental@rydia.net>

	* src/display/nr-arena-group.cpp, src/display/nr-arena-item.cpp:

	  whoops, we were calling the 'children' vfunc rather than
	  'last_child' when appending, hence the bug... fixed now.

2005-03-17  cyreve  <cyreve@users.sourceforge.net>

	* src/: sp-text.cpp, libnrtype/Layout-TNG-Compute.cpp,
	  libnrtype/Layout-TNG-OutIter.cpp, libnrtype/Layout-TNG.h: x,y
	  attributes on tspans set wrongly when alignment != left (bug
	  1165427)

	* src/: sp-text.cpp, sp-text.h: break before tspan role=line
	  elements, ie allow first tspan not to have role=line

	* src/: make.dep, make.files, make.ofiles, sp-flowtext.cpp,
	  sp-object.cpp: fix inheritance problems with xml:space attribute

	* src/libnrtype/Layout-TNG-OutIter.cpp: crash on pressing enter
	  immediately after creating text

	* src/: object-ui.cpp, sp-flowtext.cpp: set xml:space=preserve on
	  new flowdiv elements

	* src/libnrtype/Layout-TNG-Compute.cpp: second try at solving
	  numerical problems when line-height is set

	* src/: sp-flowtext.cpp, sp-flowtext.h, verbs.cpp: slightly
	  objectify SPFlowtext and rearrange its updating a tiny bit

	* src/: path-chemistry.cpp, sp-flowregion.cpp, sp-offset.cpp,
	  sp-text.cpp, sp-text.h, sp-use-reference.cpp, splivarot.cpp:
	  slightly objectify SPText & rearrange updating code, also fixes
	  bug causing all letters to appear on top of each other

	* src/libnrtype/Layout-TNG-Compute.cpp: characters will draw
	  multiple times when x or y attributes set

2005-03-16  cyreve  <cyreve@users.sourceforge.net>

	* src/text-editing.cpp: kerning: add/remove kerns with
	  insertion/deletion of characters, and only apply kerns to the
	  topmost xml object

	* src/: help.cpp, selection-chemistry.cpp, sp-text.cpp, sp-text.h,
	  text-context.cpp, text-editing.cpp, text-editing.h,
	  dialogs/text-edit.cpp: move functions applying to both text and
	  flowtext to text-editing & rename them. Also fixes crash on
	  letter/linespacing adjustment for flowtext

	* src/text-editing.cpp: fix crash on pressing delete at the end of
	  text

	* src/: text-editing.cpp, libnrtype/Layout-TNG-Compute.cpp,
	  libnrtype/Layout-TNG-OutIter.cpp, libnrtype/Layout-TNG.h:
	  position cursor correctly in empty text objects

	* src/: sp-item-group.cpp, sp-object.cpp: optimise adding children
	  to the end of a group - big improvement for tile clones

	* src/: sp-flowtext.cpp, sp-text.cpp, text-context.cpp,
	  text-editing.cpp, text-editing.h: text editing fixes: track line
	  breaks with preceding para tag, finish abstracting line
	  break/remove functions to work on flowtext

	* src/libnrtype/Layout-TNG-Compute.cpp: cursor positioning
	  off-by-one in some cases of wrapped text

2005-03-15  cyreve  <cyreve@users.sourceforge.net>

	* src/libnrtype/Layout-TNG-Compute.cpp: small tweak to make cursor
	  positioning work right in counterdirectional spans in fully
	  justified text

	* src/sp-text.cpp: tweak function for adjusting linespacing by
	  keyboard to be more precise

	* src/: attributes-test.cpp, attributes.cpp, make.dep, make.files,
	  make.ofiles, style-test.cpp, style.cpp,
	  libnrtype/Layout-TNG-Output.cpp: make the unit tests pass for the
	  new styles, and workaround build breakage when pango < 1.8
	  installed

	* src/: sp-flowtext.cpp, sp-flowtext.h,
	  libnrtype/Layout-TNG-Compute.cpp,
	  libnrtype/Layout-TNG-Scanline-Makers.cpp, libnrtype/Layout-TNG.h:
	  wiring up full justification to old attribute & fixing bugs in
	  it, which turned in to a major refactoring of layout code

2005-03-14  Jon Phillips <jon@rejon.org>
	* src/attributes-test.cpp, src/attributes.cpp, src/attributes.h,
	  src/desktop.cpp, src/sp-namedview.cpp, src/sp-namedview.h,
	  src/dialogs/desktop-properties.cpp:
	  Added showpageshadow preference to document preferences. Set to
	  on automatically and saves with document if off.

2005-03-14  MenTaLguY  <mental@rydia.net>

	* src/display/nr-arena-item.h, src/display/nr-arena-item.cpp,
	  src/display/nr-arena-group.cpp:

	  added virtual accessor for last child

2005-03-14  Jon A. Cruz  <jon@joncruz.org>
	* src/interface.cpp, src/verb.cpp, src/verbs.h,
	  src/ui/widget/panel.cpp, src/dialogs/Makefile_insert,
	  src/dialogs/extensions.cpp, src/dialogs/extensions.h,
	  src/extension/error-file.cpp:
	  Added rough cut of initial extensions panel and dialog.

2005-03-13  Bryce Harrington <bryce@bryceharrington.org>

	* src/path-prefix.h: Rearranging linking of libui and libutil

	* src/application/application.cpp, src/application/application.h
	  src/application/editor-impl.cpp,
	  src/ui/dialog/dialog-manager.cpp,  src/ui/dialog/dialog.cpp,
	  src/ui/dialog/dialog.h, src/ui/widget/labelled.cpp,
	  src/ui/dialog/transformation.h, src/ui/dialog/transformation.cpp,
	  src/ui/widget/unit-menu.h, src/util/units.cpp:
	  Integrating Transformation dialog.  Removing hardcoded paths.

	* share/icons/Makefile.in, share/icons/arrows-horiz.svg,
	  share/icons/arrows-vert.svg, share/icons/arrows_hor.xpm,
	  share/icons/arrows_ver.xpm, share/icons/rotate.svg,
	  share/icons/rotate.xpm, share/icons/scale_hor.xpm,
	  share/icons/scale_ver.xpm, share/icons/Makefile.am:
	  Adding icons needed by transformation dialog

	* share/ui/units.txt,  share/ui/units.xml:
	  Moving units into ui/ subdir.  Dunno if this is the best
	  location for them, but pjrm thought it'd be ok for now.

2005-03-13  cyreve  <cyreve@users.sourceforge.net>

	* src/sp-text.cpp: allow adjusting letter spacing when cursor is at
	  eol

	* src/: make.dep, make.files, make.ofiles,
	  libnrtype/Layout-TNG-Compute.cpp,
	  libnrtype/Layout-TNG-OutIter.cpp,
	  libnrtype/Layout-TNG-Output.cpp, libnrtype/Layout-TNG.h: fix
	  kerning when align != left, and fix linespacing < 100

	* src/: sp-flowtext.cpp, sp-text.cpp, sp-text.h, style.cpp,
	  style.h, libnrtype/Layout-TNG-Compute.cpp,
	  libnrtype/Layout-TNG-Input.cpp, libnrtype/Layout-TNG-OutIter.cpp,
	  libnrtype/Layout-TNG-Output.cpp,
	  libnrtype/Layout-TNG-Scanline-Maker.h, libnrtype/Layout-TNG.h:
	  implement line-height css property, & fix percentage handling in
	  style

2005-03-12  MenTaLguY  <mental@rydia.net>

	* src/node-context.cpp, src/node-context.h, src/nodepath.cpp,
	  src/nodepath.h, src/toolbox.cpp, src/dialogs/align.cpp:

	  Renamed Path namespace to Inkscape::NodePath, to avoid conflict
	  with livarot

2005-03-12  Kees Cook  <kees@outflux.net>

	* inkscape.nsi: added German translation from Adib Taraben.

2005-03-12  MenTaLguY  <mental@rydia.net>

	* src/sp-namedview.cpp, src/sp-metadata.cpp: it's valid for an SPObject
	  'write' method to be passed the object's own XML node; account for this.

2005-03-12  MenTaLguY  <mental@rydia.net>

	* src/xml/simple-node.cpp: assert that src != this in
	  SimpleNode::mergeFrom

2005-03-12  MenTaLguY  <mental@rydia.net>

	* src/gc-alloc.h: minor cosmetic adjustments

	* src/util/list-container.h: pedantically correct implementation of
	  ListContainer::max_size()

	* src/xml/simple-node.cpp: use Util::ListContainer iterators in a more
	  STL-ish fashion

2005-03-12  Jon A. Cruz  <jon@joncruz.org>
	* src/ui/widget/panel.h, src/ui/widget/panel.cpp,
	  src/ui/widget/Makefile_insert, src/dialogs/iconpreview.h,
	  src/dialogs/iconpreview.cpp:
	  Initial addition of Panel.

2005-03-12  cyreve  <cyreve@users.sourceforge.net>

	* src/sp-flowtext.cpp: text unflow command losing space characters:
	  add xml:space to generated elements

	* src/: attributes.cpp, attributes.h, make.dep, make.files,
	  make.ofiles, sp-flowtext.cpp, sp-text.cpp, style.cpp, style.h,
	  text-context.cpp, text-editing.cpp, dialogs/text-edit.cpp,
	  libnrtype/FlowRes.cpp, libnrtype/Layout-TNG-Compute.cpp,
	  libnrtype/Layout-TNG-Input.cpp: add several new text properties
	  to SPStyle and rearrange some of the existing ones, also remove
	  spurious warning on applying kerning

	* src/sp-flowtext.cpp: svg spec requires us to break after flowline
	  content, not before

2005-03-11  cyreve  <cyreve@users.sourceforge.net>

	* src/desktop-style.cpp, src/sp-text.cpp, src/sp-text.h,
	  src/sp-tspan.cpp, src/sp-tspan.h, src/text-chemistry.cpp,
src/text-editing.cpp,
	  src/text-editing.h: combine the common attribute handling for text,
	  tspan and textpath into one class

	* src/sp-flowtext.cpp, src/sp-string.cpp: reimplement xml:space attribute

	* src/sp-text.cpp, src/libnrtype/Layout-TNG-OutIter.cpp,
	  src/libnrtype/Layout-TNG.h: apply calculated x/y attributes to tspan
	  role=line elements

	* src/libnrtype/Layout-TNG-Output.cpp: postscript text output
	  incorrectly scaled (and other problems)

2005-03-10  cyreve  <cyreve@users.sourceforge.net>

	* src/sp-flowdiv.h, src/sp-flowtext.h,
	  src/sp-text.cpp, src/sp-text.h, src/sp-tspan.h, src/text-context.cpp,
	  src/text-editing.cpp, src/text-editing.h,
	  src/libnrtype/Layout-TNG-Compute.cpp,
	  src/libnrtype/Layout-TNG-OutIter.cpp: clean up xml tree properly on
	  deleting line break, & fix various compile issues

	* src/nodepath.cpp, src/sp-flowdiv.cpp,
	  src/sp-flowdiv.h, src/sp-flowtext.cpp, src/sp-flowtext.h,
src/sp-string.cpp,
	  src/sp-string.h, src/sp-text.cpp, src/sp-text.h, src/sp-tspan.cpp,
src/sp-tspan.h,
	  src/text-editing.cpp, src/verbs.cpp, src/libnrtype/FontInstance.cpp,
	  src/libnrtype/font-instance.h, src/livarot/Shape.h,
	  src/libnrtype/Layout-TNG-Compute.cpp, src/libnrtype/Layout-TNG-Input.cpp,
	  src/libnrtype/Layout-TNG-OutIter.cpp,
	  src/libnrtype/Layout-TNG-Output.cpp,
	  src/libnrtype/Layout-TNG-Scanline-Maker.h,
	  src/libnrtype/Layout-TNG-Scanline-Makers.cpp,
	  src/libnrtype/Layout-TNG.cpp, libnrtype/Layout-TNG.h: huge rewrite of
	  text layout (and some text editing) code

2005-03-07  Kees Cook  <kees@outflux.net>

	* src/libnr/have_mmx.S, src/libnr/nr_mmx_R8G8B8A8_P_EMPTY_A8_RGBAP.S,
	  src/libnr/nr_mmx_R8G8B8A8_P_R8G8B8A8_P_A8_RGBAP.S,
	  src/libnr/nr_mmx_R8G8B8A8_P_R8G8B8A8_P_R8G8B8A8_N_TRANSFORM.S,
	  src/libnr/nr_mmx_R8G8B8_R8G8B8_R8G8B8A8_P.S: execstack patch
	  from Mike Hearn.

2005-03-07  Jon A. Cruz  <jon@joncruz.org>
	* src/interface.cpp, src/verbs.h, src.verbs.cpp, src/widgets/icon.cpp,
	  src/dialogs/iconpreview.h, src/dialogs/iconpreview.cpp,
	  src/dialogs/Makefile_insert:
	  Initial cut of icon preview.

2005-03-05  Bryce Harrington <bryce@bryceharrington.org>

	* share/icons/*.svg, share/icons/Makefile.am:  Adding icons for
	  new gui interface

	* src/ui/icons.cpp:  Fixing some paths

	* src/main.cpp src/application/Makefile_insert,
	  src/application/app-prototype.h,
	  src/application/application.cpp src/application/editor.cpp,
	  src/ui/widget/toolbox.cpp,
	  src/application/editor-impl.cpp:
	  Broke out editor-impl class to its own file.  Continued getting
	  the new interface to the point where it'll load and run.

	* share/ui/keybindings.rc, share/ui/toolbox.xml, share/ui/menus-bars.xml:
	  Migrating some of the UI definition stuff into main codebase

2005-03-05  Jon A. Cruz  <jon@joncruz.org>
	* src/widgets/layer-selector.cpp, src/widgets/icon.h,
	  src/widgets/icon.cpp, src/dialogs/align.cpp, src/dialogs/find.cpp,
	  src/dialogs/object-properties.cpp, src/dialogs/stroke-style.cpp,
	  src/dialogs/text-edit.cpp, src/dialogs/transformation.cpp,
	  src/dialogs/xml-tree.cpp, src/interface.cpp:
	  Purging PixBufFactory and sp_icon_new_scaled.

2005-03-05  Jon A. Cruz  <jon@joncruz.org>
	* src/widgets/icon.cpp, src/widgets/icon.cpp: Switched icon loading
	  to be deferred and react to theme changes on-the-fly.

2005-03-05  Bryce Harrington <bryce@bryceharrington.org>

	* src/application/Makefile_insert,
	  src/application/app-prototype.cpp,
	  src/application/editor.h,
	  src/application/app-prototype.h,
	  src/application/application.cpp:
	  Adding Application::AppPrototype class
	* src/application/editor.cpp,
	  src/application/editor.h:
	  Changing member function getImpl() to getWindow()

2005-03-04  Jon A. Cruz  <jon@joncruz.org>
	* src/widgets/icon.cpp: Changed stock item loading to use stock
	  GtkImage widgets directly.

2005-03-03  MenTaLguY  <mental@rydia.net>

	* src/widgets/icon.cpp: more idiomatic iteration

2005-03-02  Jon A. Cruz  <jon@joncruz.org>
	* src/toolbox.cpp: Added preference to make the top toolbox 'small'.

2005-03-02  Jon A. Cruz  <jon@joncruz.org>
	* src/desktop-events.cpp, src/desktop.cpp, src/gradient-toolbar.cpp,
	  src/interface.cpp, src/select-toolbar.cpp, src/toolbox.cpp,
	  src/toolbox.h, src/dialogs/find.cpp,
	  src/dialogs/object-properties.cpp, src/dialogs/stroke-style.cpp,
	  src/dialogs/text-edit.cpp, src/dialogs/transformation.cpp,
	  src/dialogs/xml-tree.cpp, src/widgets/button.cpp,
	  src/widgets/button.h, src/widgets/icon.cpp, src/widgets/icon.h,
	  src/widgets/layer-selector.cpp, src/widgets/paint-selector.cpp,
	  src/widgets/widget-sizes.h:
	  Initial pass removing hardcoded icon sizes.

2005-03-01  MenTaLguY  <mental@rydia.net>

	* src/extensions/internal/ps.cpp: apply patch from Michael Forbes
	  (miforbes@mbhs.edu) to support gradient fills in Postscript

2005-03-01  MenTaLguY  <mental@rydia.net>

	* src/xml/node.h, src/xml/simple-node.cpp, src/xml/simple-node.h:

	  begin migration of notification interface to use NodeObserver
	  rather than NodeEventVector

2005-03-01  MenTaLguY  <mental@rydia.net>

	* src/xml/Makefile_insert, src/xml/node-listener.h, src/xml/repr.cpp,
	  src/xml/simple-node.cpp, src/xml/simple-node.h:

	  reworked listener list to use Util::ListContainer

	* src/xml/node-observer.h: minor name cleanups

2005-03-01  MenTaLguY  <mental@rydia.net>

	* src/Makefile.am, src/algorithms/find-if-before.h:

	  added new generic algorithm

2005-03-01  MenTaLguY  <mental@rydia.net>

	* src/Makefile.am, src/util/Makefile_insert,
	  src/util/list-container-test.cpp, src/util/list-container.h:

	  tests and fixes for Util::ListContainer

2005-03-01  MenTaLguY  <mental@rydia.net>

	* src/Makefile.am, src/libnr/Makefile_insert, src/xml/Makefile_insert:
	  use in-tree copy of cxxtest

	* src/util/Makefile_insert, src/util/list-container.h:
	  add Util::List-based STL container

2005-02-28 SwinginCelt  <swinginceltgmail.com>

	* Fixed an improper conversion of sp_repr_document_merge that was causing
	  extra data being written to the prefrences file every time inkscape
	  exited.

2005-02-26 SwinginCelt  <swinginceltgmail.com>

	* Replaced all sp_repr_set_content calls with direct call to
	  repr->setContent.
	* Replaced all sp_repr_merge calls with direct call to
	  repr->mergeFrom.
	* Removed inline sp_repr_document_merge because it wasn't used anywhere.
	* Removed inline sp_repr_set_content because it wasn't used anywhere.

2005-02-26  MenTaLguY  <mental@rydia.net>

	* cxxtest: imported cxxtest tree

2005-02-24  Jon A. Cruz  <jon@joncruz.org>
	* src/main.cpp, io/sys.h, io/sys.cpp:
	  Refactoring input filename conversion and fallback.
	  Fixes bug #1151536.

2005-02-22  Jon A. Cruz  <jon@joncruz.org>
	* src/main.cpp:
	  Refactoring sp_main_*. Adding cleanup phase on extracted filename list.

2005-02-22  Bryce Harrington <bryce@bryceharringotn.org>

	* src/main.cpp, src/application/application.cpp:  Adding --new-gui
	option.

2005-02-22  Ted Gould  <ted@gould.cx>

	* src/interface.cpp:

	Changing the effects menu to be driven by the preferences file so that the
	file can be the same whether or not the effects are shown.

2005-02-22  MenTaLguY  <mental@rydia.net>

	* src/desktop-style.cpp, src/selection-chemistry.cpp,
	  src/xml/attribute-record.h, src/xml/node.h, src/xml/repr-css.cpp,
	  src/xml/repr-io.cpp, src/xml/simple-node.cpp, src/xml/simple-node.h:

	  use Inkscape::Util::List for attribute lists, and sprinkle some
	  appropriate 'using's in to make things less verbose

2005-02-22  Jon A. Cruz  <jon@joncruz.org>
	* src/inkscape.cpp, src/main.cpp, src/extension/input.cpp, src/io/sys.cpp,
	  src/xml/repr-io.cpp:
	  Better catching of problematic filenames.
	  Made segv handler only use dialog box when app is using a gui.
	  Fixes bug #1145847.

2005-02-22  Ted Gould  <ted@gould.cx>

	* src/extension/effect.cpp, src/extension/prefdialog.cpp,
	src/extension/prefdialog.h,
	src/extension/implementation/implementation.cpp,
	src/extension/implementation/implementation.h,
	src/extension/implementation/plugin-link.h,
	src/extension/implementation/plugin.cpp,
	src/extension/implementation/plugin.h,
	src/extension/implementation/script.cpp,
	src/extension/implementation/script.h, src/extension/plugin/grid.cpp:

	Changing the API of the effects preferences so that it doesn't use
	sockets and plugs anymore.  Now there is a generic widget passed down so
	that should work on every platform.

	* src/extension/plugin/grid.cpp:

	Fixing the grid so that it uses the right axis.

	* share/extensions/Makefile.am, share/extensions/bluredge.inx,
	share/extensions/randompnt.inx, share/extensions/randompos.inx,
	src/extension/plugin/Makefile_insert, src/extension/plugin/bluredge.cpp,
	src/extension/plugin/randompnt.cpp, src/extension/plugin/randompos.cpp:

	Adding some cool new effects, well, they're not really done yet,
	but getting the basis code into CVS so I don't loose it :)

2005-02-21  MenTaLguY  <mental@rydia.net>

	* src/file.cpp, src/sp-item-group.cpp, src/xml/Makefile_insert,
	  src/xml/node-fns-tree.cpp, src/xml/node-fns-tree.h,
	  src/xml/repr-get-children.cpp, src/xml/repr-get-children.h,
	  src/xml/repr.cpp, src/xml/simple-node.cpp:

	  renamed header files

	* src/xml/Makefile_insert, src/xml/invalid-operation-exception.h:

	  added Inkscape::XML::InvalidOperationException

	* src/xml/simple-node.h:

	  avoid a second indirect function call from SimpleNode::appendChild

2005-02-20 SwinginCelt  <swinginceltgmail.com>

	* Replaced all sp_repr_attr calls with direct call to
	  repr->attribute.
	* Replaced all sp_repr_document_unref calls with direct call to
	  Inkscape::GC::release(...).
	* Removed iinline sp_repr_document_ref because it wasn't used anywhere.

2005-02-20  MenTaLguY  <mental@rydia.net>

	* src/inkscape.cpp: removed unused signals

2005-02-19  MenTaLguY  <mental@rydia.net>

	* src/arc-context.cpp, src/desktop.cpp, src/document-private.h,
	  src/document-undo.cpp, src/document.cpp, src/event-context.cpp,
	  src/gradient-chemistry.cpp, src/gradient-chemistry.h,
	  src/gradient-drag.cpp, src/gradient-drag.h, src/node-context.cpp,
	  src/rect-context.cpp, src/sp-object.cpp, src/spiral-context.cpp,
	  src/star-context.cpp, src/toolbox.cpp,
	  src/dialogs/desktop-properties.cpp, src/widgets/gradient-vector.cpp,
	  src/widgets/layer-selector.cpp, src/widgets/sp-widget.cpp,
	  src/widgets/sp-xmlview-attr-list.cpp, src/widgets/sp-xmlview-content.cpp,
	  src/widgets/sp-xmlview-tree.cpp, src/xml/Makefile_insert,
	  src/xml/attribute-record.h, src/xml/document.h, src/xml/event-fns.h,
	  src/xml/event.cpp, src/xml/event.h, src/xml/node-event-vector.h,
	  src/xml/node-iterators.h, src/xml/node-listener.h, src/xml/node.h,
	  src/xml/repr-action-test.cpp, src/xml/repr-css.cpp, src/xml/repr-io.cpp,
	  src/xml/repr-sorting.cpp, src/xml/repr-util.cpp, src/xml/repr.cpp,
	  src/xml/repr.h, src/xml/simple-document.h, src/xml/simple-node.cpp,
	  src/xml/simple-node.h, src/xml/simple-session.cpp,
	  src/xml/sp-css-attr.h, src/xml/sp-repr-action-fns.h,
	  src/xml/sp-repr-action.cpp, src/xml/sp-repr-action.h,
	  src/xml/sp-repr-attr.h, src/xml/sp-repr-doc.h,
	  src/xml/sp-repr-event-vector.h, src/xml/sp-repr-iterators.h,
	  src/xml/sp-repr-listener.h, src/xml/sp-repr.h:

	  renamed header files to match new class names

2005-02-19  MenTaLguY  <mental@rydia.net>

	* src/arc-context.cpp, src/arc-context.h, src/desktop-events.cpp,
	  src/desktop-style.cpp, src/desktop-style.h, src/desktop.cpp,
	  src/document-private.h, src/document-undo.cpp, src/document.cpp,
	  src/document.h, src/draw-context.cpp, src/dyna-draw-context.cpp,
	  src/dyna-draw-context.h, src/event-context.cpp, src/event-context.h,
	  src/file.cpp, src/gradient-chemistry.cpp, src/inkscape.cpp,
	  src/inkscape.h, src/inkview.cpp, src/interface.cpp, src/knotholder.cpp,
	  src/knotholder.h, src/layer-fns.cpp, src/main.cpp, src/node-context.cpp,
	  src/nodepath.cpp, src/nodepath.h, src/object-ui.cpp,
	  src/path-chemistry.cpp, src/prefs-utils.cpp, src/rect-context.cpp,
	  src/rect-context.h, src/selection-chemistry.cpp, src/selection.cpp,
	  src/selection.h, src/seltrans.cpp, src/sp-anchor.cpp,
	  src/sp-animation.cpp, src/sp-clippath.cpp, src/sp-conn-end-pair.cpp,
	  src/sp-conn-end-pair.h, src/sp-defs.cpp, src/sp-ellipse.cpp,
	  src/sp-flowdiv.cpp, src/sp-flowregion.cpp, src/sp-flowtext.cpp,
	  src/sp-gradient-fns.h, src/sp-gradient-test.cpp, src/sp-gradient.cpp,
	  src/sp-guide.cpp, src/sp-image.cpp, src/sp-item-group.cpp,
	  src/sp-item.cpp, src/sp-item.h, src/sp-line.cpp,
	  src/sp-linear-gradient-fns.h, src/sp-marker.cpp, src/sp-mask.cpp,
	  src/sp-metadata.cpp, src/sp-namedview.cpp, src/sp-namedview.h,
	  src/sp-object-group.cpp, src/sp-object-repr.cpp, src/sp-object-repr.h,
	  src/sp-object.cpp, src/sp-object.h, src/sp-offset.cpp, src/sp-offset.h,
	  src/sp-path.cpp, src/sp-pattern.cpp, src/sp-polygon.cpp,
	  src/sp-polyline.cpp, src/sp-radial-gradient-fns.h, src/sp-rect.cpp,
	  src/sp-root.cpp, src/sp-shape.cpp, src/sp-skeleton.cpp,
	  src/sp-spiral.cpp, src/sp-star.cpp, src/sp-string.cpp,
	  src/sp-symbol.cpp, src/sp-text.cpp, src/sp-tspan.cpp,
	  src/sp-use-reference.h, src/sp-use.cpp, src/spiral-context.cpp,
	  src/spiral-context.h, src/splivarot.cpp, src/star-context.cpp,
	  src/star-context.h, src/style.cpp, src/style.h, src/text-chemistry.cpp,
	  src/text-context.cpp, src/text-editing.cpp, src/toolbox.cpp,
	  src/verbs.cpp, src/application/application.cpp,
	  src/application/application.h, src/application/editor.h,
	  src/dialogs/clonetiler.cpp, src/dialogs/desktop-properties.cpp,
	  src/dialogs/export.cpp, src/dialogs/fill-style.cpp, src/dialogs/rdf.cpp,
	  src/dialogs/sp-attribute-widget.cpp, src/dialogs/sp-attribute-widget.h,
	  src/dialogs/stroke-style.cpp, src/dialogs/text-edit.cpp,
	  src/dialogs/tiledialog.cpp, src/dialogs/xml-tree.cpp,
	  src/ecma/EcmaBinding.cpp, src/ecma/EcmaBinding.h,
	  src/extension/dependency.cpp, src/extension/dependency.h,
	  src/extension/effect.cpp, src/extension/effect.h,
	  src/extension/extension.cpp, src/extension/extension.h,
	  src/extension/input.cpp, src/extension/input.h,
	  src/extension/output.cpp, src/extension/output.h,
	  src/extension/print.cpp, src/extension/print.h, src/extension/system.cpp,
	  src/extension/implementation/plugin.cpp,
	  src/extension/implementation/script.cpp,
	  src/extension/implementation/script.h,
	  src/extension/internal/gdkpixbuf-input.cpp,
	  src/extension/internal/pov-out.cpp, src/extension/internal/ps.cpp,
	  src/extension/internal/svg.cpp, src/extension/plugin/grid.cpp,
	  src/helper/stock-items.cpp, src/trace/trace.cpp,
	  src/widgets/dash-selector.cpp, src/widgets/dash-selector.h,
	  src/widgets/gradient-selector.cpp, src/widgets/gradient-vector.cpp,
	  src/widgets/layer-selector.cpp, src/widgets/layer-selector.h,
	  src/widgets/paint-selector.cpp, src/widgets/sp-widget.cpp,
	  src/widgets/sp-widget.h, src/widgets/sp-xmlview-attr-list.cpp,
	  src/widgets/sp-xmlview-attr-list.h, src/widgets/sp-xmlview-content.cpp,
	  src/widgets/sp-xmlview-content.h, src/widgets/sp-xmlview-tree.cpp,
	  src/widgets/sp-xmlview-tree.h, src/widgets/spw-utilities.h,
	  src/xml/comment-node.h, src/xml/element-node.h, src/xml/node-observer.h,
	  src/xml/repr-action-test.cpp, src/xml/repr-css.cpp,
	  src/xml/repr-get-children.cpp, src/xml/repr-get-children.h,
	  src/xml/repr-io.cpp, src/xml/repr-sorting.cpp, src/xml/repr-sorting.h,
	  src/xml/repr-util.cpp, src/xml/repr.cpp, src/xml/repr.h,
	  src/xml/session.h, src/xml/simple-document.h, src/xml/simple-node.cpp,
	  src/xml/simple-node.h, src/xml/simple-session.cpp,
	  src/xml/simple-session.h, src/xml/sp-css-attr.h,
	  src/xml/sp-repr-action-fns.h, src/xml/sp-repr-action.cpp,
	  src/xml/sp-repr-action.h, src/xml/sp-repr-attr.h,
	  src/xml/sp-repr-doc.h, src/xml/sp-repr-event-vector.h,
	  src/xml/sp-repr-iterators.h, src/xml/sp-repr-listener.h,
	  src/xml/sp-repr.h, src/xml/text-node.h, src/xml/transaction-logger.h:

	    SPRepr -> Inkscape::XML::Node
	    SPReprDoc -> Inkscape::XML::Document
	    SPReprAttr -> Inkscape::XML::AttributeRecord
	    SPReprAction -> Inkscape::XML::Event
	    SPReprEventVector -> Inkscape::XML::EventVector
	    SPReprListener -> Inkscape::XML::NodeListener

	    etc..

2005-02-19  Jon A. Cruz  <jon@joncruz.org>
	* src/extension/extension.h, src/extension/internal/svg.cpp,
	  src/extension/internal/svgz.cpp:
	  Fixing .svgz Inkscape save and adding .svgz Plain save.
	  Fixes bug #1144223

2005-02-18  Jon A. Cruz  <jon@joncruz.org>
	* src/Makefile.am, src/libnr/Makefile_insert,
	  src/libnr/nr-point-fns-test.h  src/libnr/nr-types-test.h:
	  Adding initial version of CxxTest test cases.

2005-02-17  Jon A. Cruz  <jon@joncruz.org>

	* src/io/gzipinputstream.h, src/io/gzipinputstream.cpp: Changed
	  decompression to be streammed and removed hardcoded limit.

2005-02-17  MenTaLguY  <mental@rydia.net>

	* src/inkscape.h, src/inkscape.cpp, src/desktop.cpp:

	  rewrote "last desktop standing" test to not suck

2005-02-15 SwinginCelt  <swinginceltgmail.com>

	* Replaced some sp_repr_attr calls with direct call to
	  repr->attribute.

2005-02-16 John Cliff <simarilius@yahoo.com>

	* src/dialogs/tiledialog.h, src/dialogs/tiledialog.cpp,
	  src/dialogs/makefile_insert, src/verbs.cpp, src/verbs.h:
	  Added a dialog that allows you to arrange the selection
	  in a grid pattern with user defined spacing.
	  its in objects->grid arrange...

2005-02-15 SwinginCelt  <swinginceltgmail.com>

	* Replaced inline function sp_repr_name with direct call to
	  repr->name.
	* Replaced inline function sp_repr_content with direct call to
	  repr->content.
	* Replaced inline function sp_repr_has_attr with direct call to
	  repr->matchAttributeName.

2005-02-15  MenTaLguY  <mental@rydia.net>

	* src/document.cpp, src/document.h, src/file.cpp, src/help.cpp,
	  src/inkscape.cpp, src/inkview.cpp, src/slideshow.cpp,
	  src/dialogs/filedialog.cpp, src/dialogs/stroke-style.cpp,
	  src/extension/internal/gdkpixbuf-input.cpp,
	  src/extension/internal/svg.cpp, src/extension/plugin/gimpgrad.cpp,
	  src/helper/stock-items.cpp, src/widgets/icon.cpp:

	  removed unused SPDocument::advertize

2005-02-14  MenTaLguY  <mental@rydia.net>

	* src/document.cpp: remove redundant assignment that appears to confuse
	  gcc anyhow

2005-02-14  SwinginCelt  <swingincelt@gmail.com>

	* Replaced inline function sp_repr_set_position_absolute with
	  direct call to repr>->setPosition.

2005-02-13  Bryce  <bryce@bryceharrington.org>

	* src/main.cpp, src/application/application.cpp, src/inkscape.h,
	  src/application/editor-impl.h, src/application/editor.cpp
	  src/application/editor.h, src/ui/dialog/dialog-manager.cpp,
	  src/ui/dialog/dialog-manager.h, src/application/app-prototype.h
	  src/application/application.h:  Integrating I::A::Application
	  into the execution path.  Now its run() routine is called from
	  main().

	* src/application/Makefile_insert, src/application/makefile.in,
	  src/application/editor-impl.h, src/application/editor.cpp,
	  src/application/editor.h:  Initial import of inkscape_gtkmm
	  code.  Also see doc/NewAppArchitecture/ presentation for the
	  rationale behind this.

	* src/ui/dialog/align-and-distribute.cpp,
src/ui/dialog/align-and-distribute.h,
	  src/ui/dialog/dialog-manager.cpp, src/ui/dialog/dialog-manager.h,
	  src/ui/dialog/dialog.cpp, src/ui/dialog/dialog.h,
	  src/ui/dialog/document-preferences.cpp,
src/ui/dialog/document-preferences.h,
	  src/ui/dialog/export.cpp, src/ui/dialog/export.h,
	  src/ui/dialog/extension-editor.cpp, src/ui/dialog/extension-editor.h,
	  src/ui/dialog/fill-and-stroke.cpp, src/ui/dialog/fill-and-stroke.h,
	  src/ui/dialog/find.cpp, src/ui/dialog/find.h,
	  src/ui/dialog/inkscape-preferences.cpp,
src/ui/dialog/inkscape-preferences.h,
	  src/ui/dialog/layer-editor.cpp, src/ui/dialog/layer-editor.h,
	  src/ui/dialog/messages.cpp, src/ui/dialog/messages.h,
	  src/ui/dialog/text-properties.cpp, src/ui/dialog/text-properties.h,
	  src/ui/dialog/tree-editor.cpp, src/ui/dialog/tree-editor.h,
	  src/ui/dialog/xml-editor.cpp, src/ui/dialog/xml-editor.h,
	  src/ui/widget/combo-text.cpp, src/ui/widget/combo-text.h,
	  src/ui/widget/handlebox.cpp, src/ui/widget/handlebox.h,
	  src/ui/widget/icon-widget.cpp, src/ui/widget/icon-widget.h,
	  src/ui/widget/labelled.cpp, src/ui/widget/labelled.h,
	  src/ui/widget/notebook-page.cpp, src/ui/widget/notebook-page.h,
	  src/ui/widget/scalar-unit.cpp, src/ui/widget/scalar-unit.h,
	  src/ui/widget/scalar.cpp, src/ui/widget/scalar.h,
	  src/ui/widget/toolbox.cpp, src/ui/widget/toolbox.h,
	  src/ui/widget/unit-menu.cpp, src/ui/widget/unit-menu.h:
	  Initial import of the gtkmm code.  These are mainly
	  unimplemented stubs, but have few dependencies so are easy to
	  integrate at this stage.

	* src/ui/widget/Makefile_insert, src/ui/widget/makefile.in,
	  src/ui/dialog/Makefile_insert, src/ui/dialog/makefile.in,
	  src/ui/Makefile_insert, src/ui/makefile.in:  Adding makefile
	  support for new code.

	* io/simple-sax.h, io/simple-sax.cpp:  Adding Jon's simple SAX
	  code

	* util/units.h, util/units.cpp:  New inkscape_gtkmm units code

2005-02-12  MenTaLguY  <mental@rydia.net>

	* src/document.cpp, src/document.h, src/sp-gradient-test.cpp:

	  SPDocument is now a "real C++ class", managed by the garbage collector

2005-02-12  MenTaLguY  <mental@rydia.net>

	* src/document-private.h, src/document.cpp, src/document.h, src/view.cpp,
	  src/view.h, src/dialogs/xml-tree.cpp:

	  switched SPDocument to sigc++ signals

2005-02-12  Kees Cook  <kees@outflux.net>

	* Makefile.am, configure.ac, Makefile.mingw.common, inkscape.nsi: undoing
	  my "configure" changes.  Was dumb and forgot about native compiles on
	  win32.
	* inkview.1.in, share/extensions/inkscape-shadow-white.sh,
	  share/extensions/inkscape-shadow.sh: corrections found by Wolfram
	  Quester during Debian packaging.
	* src/desktop-events.cpp, src/file.cpp, src/gradient-chemistry.cpp,
	  src/interface.cpp, src/layer-fns.cpp, src/nodepath.cpp,
	  src/object-ui.cpp, src/path-chemistry.cpp, src/prefs-utils.cpp,
	  src/selection-chemistry.cpp, src/seltrans.cpp, src/sp-flowtext.cpp,
	  src/sp-object.cpp, src/sp-pattern.cpp, src/sp-text.cpp, src/splivarot.cpp,
	  src/text-editing.cpp, src/dialogs/clonetiler.cpp, src/dialogs/rdf.cpp,
	  src/dialogs/stroke-style.cpp, src/dialogs/xml-tree.cpp,
	  src/extension/internal/gdkpixbuf-input.cpp, src/extension/plugin/grid.cpp,
	  src/widgets/gradient-selector.cpp, src/xml/repr-action-test.cpp,
	  src/xml/repr-css.cpp, src/xml/repr-io.cpp, src/xml/repr-util.cpp,
	  src/xml/repr.cpp, src/xml/repr.h: inline function removal patches from
	  Robert Crosbie.

2005-02-11  Kees Cook  <kees@outflux.net>

	* src/Makefile.mingw, src/make.*: win32 compile updates.
	* src/extensions/internal/gnome.cpp: added my missing "comment" code.
	* src/shortcuts.cpp, doc/keys.xml, doc/keys.html, share/screens/keys.svg:
	  added explicit ctrl-w. since gtk already binds it, we may as well show it.

2005-02-10  Jon A. Cruz  <jon@joncruz.org>

	* src/inkscape.cpp: Changed from SHGetSpecialFolderPath to
	  SHGetSpecialFolderLocation. Fixes bug #1085641

2005-02-10  MenTaLguY  <mental@rydia.net>

	* src/document.h, src/document.cpp: get rid of casting macro uses

2005-02-10  MenTaLguY  <mental@rydia.net>

	* src/desktop.cpp, src/document-undo.cpp, src/document.cpp, src/file.cpp,
	  src/gradient-chemistry.cpp, src/inkscape.cpp, src/interface.cpp,
	  src/sp-metadata.cpp, src/sp-namedview.cpp, src/sp-object-repr.cpp,
	  src/sp-object.cpp, src/svg-view.cpp, src/uri-references.cpp,
	  src/view.cpp, src/dialogs/stroke-style.cpp,
	  src/widgets/gradient-selector.cpp, src/widgets/gradient-vector.cpp:

	  get rid needless uses of SP_IS_DOCUMENT (if we can't trust the
	  compiler's type checking, what can we trust?)

2005-02-10  MenTaLguY  <mental@rydia.net>

	* src/desktop-style.h, src/desktop.h, src/document.h, src/event-context.h,
	  src/inkscape.h, src/knotholder.h, src/nodepath.h,
	  src/selection-chemistry.h, src/selection.h, src/sp-conn-end-pair.h,
	  src/sp-object-repr.h, src/sp-object.h, src/style.h,
	  src/dialogs/sp-attribute-widget.h, src/extension/implementation/script.h,
	  src/xml/repr-get-children.h, src/xml/repr.h, src/xml/sp-repr-action.h,
	  src/xml/sp-repr-attr.h, src/xml/xml-forward.h:

	  got rid of xml-forward.h

2005-02-10  Kees Cook  <kees@outflux.net>

	* configure.ac, Makefile.am, src/Makefile.am, Makefile.mingw.common.in,
	  inkscape.nsi.in: setting up "configure" to build the other files that
	  expect version numbers to get updated.  Including mingw files in dist
	  package.

2005-02-10  Jon A. Cruz  <jon@joncruz.org>
	* src/io/uristream.h, src/io/uristream.cpp,
	  src/extension/internal/svg.h, src/extension/internal/svg.cpp,
	  src/extension/internal/Makefile_insert,
	  src/extension/internal/extension.h,
	  src/extension/internal/init.cpp:
	  Adding internal .svgz load and save extension.
	  Probable fix for bugs #1074996, #1050361, #925033, #1052307

2005-02-08  Kees Cook  <kees@outflux.net>

	* src/extension/implementation/script.cpp: proper /tmp handling.
	  Closes bug #1074996.
	* src/inkscape.cpp, src/inkscape.h, src/dialogs/export.cpp: correction
	  for export dialog paths.  Closes bug #1114714.
	* inkscape.nsi, Makefile.mingw.common: version bumps
	* src/text-context.cpp: removed preedit code; it was broken and unneeded.

2005-02-08  Ted Gould  <ted@gould.cx>

	* Released 0.41

2005-02-01  Kees Cook  <kees@outflux.net>

	* src/xml/sp-css-attr.h, src/desktop-style.cpp, src/xml/repr-css.cpp,
	  src/xml/repr.h: Fixed SPCSSAttr to be a "real" class, at mental's
	  direction.  Fixes my "default prefs don't show attrs" bug.
	* src/helper/stock-items.cpp: removing redundant code.
	* src/libnr/nr-point.h, src/libnrtype/FlowUtils.h, src/livarot/Shape.h:
	  added explicit initializations to keep valgrind happy.
	* src/dir-util.cpp, src/sp-path.cpp, src/splivarot.cpp,
	  src/svg/svg-length.cpp, src/widgets/icon.cpp:
	  cleaning up memory leaks detected by valgrind.
	* src/extension/dependancy.cpp: made repr-attr tags untranslatable.
	* src/extension/system.cpp: correcting extension autodetection when
	  there are conflicting matching modules.
	* src/dialogs/filedialog.cpp, src/extension/extension.h,
	  src/extension/internal/svg.cpp: .svgz loading works again as
	  expected.  Non-functioning modules are not listed in file dialogs.
	* src/text-context.cpp, src/text-editing.cpp: preedit modes don't
	  work correctly for multi-byte characters.  See bug 1086769.

2005-01-31  Jon A. Cruz  <jon@joncruz.org>
	* src/file.cpp, src/inkscape.cpp, src/interface.cpp,
	  src/dialogs/export.cpp, src/extension/init.cpp:
	  sanitize messages before passing to display dialogs.

2005-01-31  Kees Cook  <kees@outflux.net>

	* src/libnrtype/FontFactory.cpp: added a crude font name detection
	  routine to work around a Pango crash bug.  This can be removed once
	  Pango is fixed.  See bug #1025565.  Actually, I figured out a fix.
	* print.cpp, print.h, sp-shape.cpp, extension/print.cpp,
	  extension/print.h, extension/implementation/implementation.cpp,
	  extension/implementation/implementation.h,
	  extension/implementation/plugin.cpp, extension/implementation/plugin.h,
	  extension/internal/gnome.h, extension/internal/ps.cpp,
	  extension/internal/ps.h, extension/internal/win32.h:
	  In an attempt to start debugging print rendering, I've added the
	  Print::comment function so that SPItem boundries can be easily
	  seen in rendered output.
	* src/preferences-skeleton.h, src/sp-shape.cpp,
	  src/dialogs/display-settings.cpp, src/extension/internal/ps.cpp:
	  Added printout comments for print debugging.  Fixed dash output
	  bug #1104050.
	* src/dialogs/rdf.cpp: fixed rdf:bag displays.  Closes bug #1113316.

2005-01-30  Jon A. Cruz  <jon@joncruz.org>
	* src/io/sys.h, src/io/sys.cpp: added utility routine to cleanup
	  strings with invalid UTF-8 for display.

2004-01-30  Kees Cook  <kees@outflux.net>

	* src/make.dep, src/make.exclude, src/make.files, src/make.ofiles,
	  src/io/uristream.cpp, src/io/sys.cpp: additional win32 changes
	  using Jon Cruz's new mkdir function.  Getting Win32 to compile the
	  "io" directory.  Closes bug #1107305.
	* src/file.cpp, src/inkscape-stock.cpp, src/inkscape.cpp,
	  src/interface.cpp, src/main.cpp, src/dialogs/export.cpp,
	  src/dialogs/stroke-style.cpp, src/extension/input.cpp,
	  src/extension/implementation/script.cpp, src/helper/stock-items.cpp,
	  src/io/sys.cpp, src/io/sys.h, src/widgets/icon.cpp: wrapped
	  g_file_test with new Inkscape::IO::file_test since g_file_test isn't
	  utf8-safe.
	* src/inkscape.cpp: removed call to g_free on non-alloced string.
	  fixed up crash-save location to be utf8-okay.
	* src/extension/extension.cpp: convert from utf8 before open.
	* src/sp-spiral.cpp, src/object-edit.cpp: found place where CLAMP on
	  spiral's t0 wasn't working.  Closes bug #1075640.

2004-01-28  MenTaLguY  <mental@rydia.net>

	* src/sp-object.h, src/sp-object.cpp:
	  efficiency fixes which should be helpful when loading large documents

2005-01-29  Jon A. Cruz  <jon@joncruz.org>

	* src/file.h, src/file.cpp, src/inkscape.cpp, src/sp-image.cpp,
	  src/extension/implementation/script.cpp,
	  src/extension/internal/pov-out.cpp, src/extension/internal/ps.cpp,
	  src/extension/plugin/gimpgrad.cpp, src/helper/png-write.cpp,
	  src/io/Makefile_insert, src/io/sys.h, src/io/sys.cpp,
	  src/trace/imagemap.cpp, src/xml/repr-io.cpp:

	  Refactored open routine to better location.

2004-01-28  Kees Cook  <kees@outflux.net>

	* configure.ac: added test for libgc 6.4 or better.
	* src/main.cpp: calling new SPRepr methods instead of inline wrappers.

2004-01-27  MenTaLguY  <mental@rydia.net>

	* src/xml/simple-node.h, src/xml/simple-node.cpp:

	  SimpleNode::lastChild() and SimpleNode::appendChild() are now
	  O(1) rather than O(n)

2004-01-26  MenTaLguY  <mental@rydia.net>

	* src/xml/repr-util.cpp, src/xml/repr.cpp, src/xml/repr.h,
	  src/xml/sp-repr-action.h, src/xml/sp-repr-event-vector.h:

	  inlined legacy wrappers

	* src/xml/simple-node.cpp: really fixed #1108231 now

2005-01-25  Jon A. Cruz  <jon@joncruz.org>

	* src/interface.cpp: Passed file import call to shared code.
	  Fixed bug #1108620.

2005-01-25  MenTaLguY  <mental@rydia.net>

	* src/xml/simple-node.cpp: fixed bug #1108231

2005-01-25  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/dialogs/desktop-properties.cpp: Changed set of paper sizes offered:

	  Removed `Folio' pagesize (which means a different paper size to
	  different people; will Folio be missed?  If so, can we improve
	  the name?).

	  Changed ISO page sizes (A0..A10, B0..B10) to match official ISO
	  specification in mm.

	  Note that these differ from ghostscript's idea of page sizes;
	  see comment in desktop-properties.cpp for speculation of
	  possible problems (fuzziness from antialiasing).

	  (Note also that our previous sizes differed even more from
	  gs_statd.ps...)

	  Coalesced Ledger and Tabloid to a single entry (11x17in);
	  previously they differed in size.

	  Changed Icon 16x16 from 16pt to 16px; similarly Icon 32x32 and
	  Banner 468x60.

2004-01-24  MenTaLguY  <mental@rydia.net>

	* src/xml/simple-node.cpp: potential fix for bug #1108231

2004-01-23  Ted Gould  <ted@gould.cx>

	* po/POTFILES.in, share/extensions/dia.inx,
	src/preferences-skeleton.h, src/extension/Makefile_insert,
	src/extension/dependency.cpp, src/extension/dependency.h,
	src/extension/error-file.cpp, src/extension/error-file.h,
	src/extension/extension.cpp, src/extension/extension.h,
	src/extension/init.cpp, src/extension/prefdialog.cpp:

	Adding in functionality to write out an error log based on the failing to
	load of extensions.  There is also a new error dialog that appears if one
	or more fail to alert the user and tell them where the error log is
	stored.  In the log there is more complex descriptions of what failed.

2004-01-23  MenTaLguY  <mental@rydia.net>

	* src/sp-object.cpp: fix for id binding bug

2004-01-23  MenTaLguY  <mental@rydia.net>

	* src/xml/repr-io.cpp: don't complain about not having a namespace
	  URI for the standard xml: prefix

	* src/desktop-style.cpp, src/desktop.cpp, src/document-undo.cpp,
	  src/file.cpp, src/gradient-chemistry.cpp, src/inkscape.cpp,
	  src/interface.cpp, src/nodepath.cpp, src/object-edit.cpp,
	  src/path-chemistry.cpp, src/prefs-utils.cpp, src/select-toolbar.cpp,
	  src/selection-chemistry.cpp, src/sp-defs.cpp, src/sp-flowdiv.cpp,
	  src/sp-flowtext.cpp, src/sp-gradient.cpp, src/sp-item.cpp,
	  src/sp-object-group.cpp, src/sp-object-repr.cpp, src/sp-object.cpp,
	  src/sp-offset.cpp, src/sp-pattern.cpp, src/sp-string.cpp,
	  src/sp-text.cpp, src/sp-tspan.cpp, src/sp-use.cpp, src/splivarot.cpp,
	  src/text-chemistry.cpp, src/text-context.cpp, src/text-editing.cpp,
	  src/dialogs/clonetiler.cpp, src/dialogs/display-settings.cpp,
	  src/dialogs/stroke-style.cpp, src/dialogs/xml-tree.cpp,
	  src/extension/extension.h, src/extension/implementation/script.cpp,
	  src/widgets/dash-selector.cpp, src/widgets/gradient-vector.cpp,
	  src/widgets/sp-xmlview-tree.cpp, src/xml/Makefile_insert,
	  src/xml/comment-node.h, src/xml/element-node.h,
	  src/xml/repr-action-test.cpp, src/xml/repr-css.cpp,
	  src/xml/repr-get-children.cpp, src/xml/repr-io.cpp,
	  src/xml/repr-private.h, src/xml/repr-util.cpp, src/xml/repr.cpp,
	  src/xml/repr.h, src/xml/simple-document.cpp, src/xml/simple-document.h,
	  src/xml/simple-node.cpp, src/xml/simple-node.h,
	  src/xml/sp-repr-action.cpp, src/xml/sp-repr-doc.h, src/xml/sp-repr.h,
	  src/xml/text-node.h:

	  got rid of xml/repr-private.h, removed
	  sp_repr_document_createTextNode(), made SPRepr and SPReprDoc abstract
	  interfaces, and moved the SPRepr implementations into separate files
	  in the Inkscape::XML namespace

	* src/util/shared-c-string-ptr.h: added equality operators to avoid
	  certain ambiguities

2004-01-22  MenTaLguY  <mental@rydia.net>

	* src/xml/Makefile_insert, src/xml/repr-private.h, src/xml/repr.cpp,
	  src/xml/session.h, src/xml/simple-session.cpp, src/xml/simple-session.h,
	  src/xml/sp-repr-action.cpp, src/xml/transaction-logger.h:

	  added Inkscape::XML::Session and Inkscape::XML::TransactionLogger
	  to provide a new interface for transactions, rather than doing it from
	  SPReprDoc

2004-01-22  MenTaLguY  <mental@rydia.net>

	* src/xml/Makefile_insert, src/xml/node-observer.h,
	  src/xml/repr-private.h, src/xml/repr.cpp:

	  moved repr loging behind generic observer interface

2005-01-22  Ted Gould  <ted@gould.cx>

	* src/display/canvas-grid.cpp, src/display/canvas-grid.h;

	Fixing 1103001.  Now major grid lines work alot more like you
	think that they should.

2005-01-21  MenTaLguY  <mental@rydia.net>

	* src/util/Makefile_insert, src/util/shared-c-string-ptr.cpp,
	  src/util/shared-c-string-ptr.h, src/util/shared-c-string.cpp,
	  src/util/shared-c-string.h, src/xml/repr-io.cpp,
	  src/xml/repr-private.h, src/xml/repr-util.cpp, src/xml/repr.cpp,
	  src/xml/sp-repr-action.h, src/xml/sp-repr-attr.h:

	  renamed Util::SharedCString to Util::SharedCStringPtr, which is
	  more descriptive of what it actually is

2005-01-21  MenTaLguY  <mental@rydia.net>

	* src/xml/repr-private.h, src/xml/repr-util.cpp, src/xml/repr.cpp:

	  simplify the cacheing of repr position indices, and make it something
	  that can work with an abstract interface

2005-01-20  Kees Cook  <kees@outflux.net>

	* src/file.cpp: added some debug output to help bulia debug bug #1102318.
	* configure.ac: more attempts at detecting the -lgc libs.

2005-01-19  Kees Cook  <kees@outflux.net>

	* configure.ac: trying to correct the -lgc detection.
	* inkscape.pod: added theme details.
	* src/widgets/widget-sizes.h: went from 20 to 24 for toolbar icon size
	  to match other GTK applications.
	* src/extension/db.cpp: corrected STL "not found" handling.  Didn't
	  fix bug #1102318.

2005-01-18  Kees Cook  <kees@outflux.net>

	* src/inkscape.h, src/inkscape.cpp, src/widgets/icons.cpp:
	  Added basic theme support!  Whee!
	* share/inkscape/icons.svg: restoring original up/down/flip icons since
	  icons are themable now.  We should stick to our original look.
	* share/screens/about.svg: added Brisgeek's 0.41 about screen.  Had
	  to tweak background: looks like doc background isn't imported.
	* share/icons/*.xpm, share/icons/*.png: removed them.  Not being used.

2005-01-17  MenTaLguY  <mental@rydia.net>

	* src/desktop-style.cpp, src/inkscape.cpp, src/interface.cpp,
	  src/path-chemistry.cpp, src/prefs-utils.cpp, src/selection-chemistry.cpp,
	  src/sp-flowtext.cpp, src/sp-gradient.cpp, src/sp-object.cpp,
	  src/sp-text.cpp, src/sp-tspan.cpp, src/splivarot.cpp,
	  src/dialogs/xml-tree.cpp, src/extension/internal/pov-out.cpp,
	  src/widgets/dash-selector.cpp, src/xml/repr-css.cpp,
	  src/xml/repr-get-children.cpp, src/xml/repr-io.cpp,
	  src/xml/repr-private.h, src/xml/repr-util.cpp, src/xml/repr.cpp,
	  src/xml/sp-repr-action.cpp:

	  Made all SPRepr fields private, and moved most functionality into
	  member functions.  Also shuffled SPReprDoc members, to avoid
	  need for SPReprDoc to be finalized.

2005-01-17  Kees Cook  <kees@outflux.net>

	* share/markers/markers.svg: applied patch #990884, which provides a
	  few mirrored arrows until marker transforms are finished.
	* share/icons/icons.svg: updates per Bulia's request.

2005-01-16  MenTaLguY  <mental@rydia.net>

	* src/sp-object.cpp: non-elements no longer get ids assigned

2005-01-15  MenTaLguY  <mental@rydia.net>

	* src/arc-context.cpp, src/document-private.h, src/document.cpp,
	  src/document.h, src/event-context.cpp, src/node-context.cpp,
	  src/rect-context.cpp, src/sp-object.cpp, src/spiral-context.cpp,
	  src/star-context.cpp, src/toolbox.cpp, src/uri-references.cpp,
	  src/dialogs/desktop-properties.cpp, src/widgets/gradient-vector.cpp,
	  src/widgets/layer-selector.cpp, src/widgets/sp-widget.cpp,
	  src/widgets/sp-xmlview-attr-list.cpp, src/widgets/sp-xmlview-content.cpp,
	  src/widgets/sp-xmlview-tree.cpp, src/xml/repr.cpp,
	  src/xml/sp-repr-event-vector.h:

	  Removed attribute setting callback, and decoupled ids and object/repr
	  bindings (object <-> repr associations are now remembered directly,
	  though ids are still tracked too).

	  This means it is now possible to set a null id on an object without
	  anything breaking (hopefully).  For now we will still assign ids
	  to everything by default...

2005-01-15  MenTaLguY  <mental@rydia.net>

	* src/arc-context.cpp, src/event-context.cpp, src/node-context.cpp,
	  src/rect-context.cpp, src/sp-object.cpp, src/spiral-context.cpp,
	  src/star-context.cpp, src/toolbox.cpp,
	  src/dialogs/desktop-properties.cpp, src/widgets/gradient-vector.cpp,
	  src/widgets/layer-selector.cpp, src/widgets/sp-widget.cpp,
	  src/widgets/sp-xmlview-attr-list.cpp, src/widgets/sp-xmlview-content.cpp,
	  src/widgets/sp-xmlview-tree.cpp, src/xml/repr.cpp,
	  src/xml/sp-repr-event-vector.h:

	  remove all veto callbacks but setting attributes

2005-01-15  Kees Cook  <kees@outflux.net>

	* src/inkscape.cpp: correcting windows path for preferences.  Closes
	bug #933461.

	* src/file.cpp, src/nodepath.cpp, src/selection-describer.cpp,
	src/seltrans.cpp, src/sp-item-group.cpp, src/sp-path.cpp,
	src/sp-spiral.cpp, src/sp-star.cpp, src/dialogs/find.cpp:
	Using ngettext for plural localized strings.  Please try to keep this
	up.  Closes bug #1076872.

	* share/icons/Makefile.am, share/icons/icons.svg, src/inkscape-stock.cpp,
	src/inkscape-stock.h, src/dialogs/stroke-style.cpp,
	src/dialogs/text-edit.cpp, src/dialogs/transformation.cpp,
	src/dialogs/xml-tree.cpp: Finished the last of the missing pixmap
	replacements from Andreas Nilsson.  Fixed some mistakes in the earlier
	changes (need to call sp_icon_new_scaled not sp_icon_new).

2005-01-14  MenTaLguY  <mental@rydia.net>

	* src/gc.cpp: leave the free space multiplier at the default, which
	  will hopefully (according to Hans) avoid some of the odd gc issues
	  we've had, if nothing else does

2005-01-14  Kees Cook  <kees@outflux.net>

	* share/icons/Makefile.am, share/icons/icons.svg, src/inkscape-stock.cpp,
	src/inkscape-stock.h, src/verbs.cpp, src/dialogs/stroke-style.cpp,
	src/dialogs/transformation.cpp, src/widgets/icon.cpp, src/widgets/icon.h,
	src/widgets/paint-selector.cpp:
	Fixed up code and replaced pixmaps with icons from myself and
	Andreas Nilsson.

2005-01-11  MenTaLguY  <mental@rydia.net>

	* src/xml/repr-io.cpp: promote non-namespaced SVG documents into SVG
	  namespace

2005-01-08  MenTaLguY  <mental@rydia.net>

	* src/Makefile_insert, src/gc-anchored.cpp, src/gc-anchored.h:
	  abstracted allocation of anchors

2005-01-06  Ted Gould  <ted@gould.cx>

	* src/interface.cpp, src/extension/effect.cpp,
	src/extension/implementation/implementation.cpp,
	src/extension/implementation/implementation.h,
	src/extension/implementation/plugin-link.h,
	src/extension/implementation/plugin.cpp,
	src/extension/implementation/plugin.h,
	src/extension/implementation/script.cpp,
	src/extension/implementation/script.h, src/extension/plugin/gimpgrad.cpp,
	src/extension/plugin/grid.cpp:

	Changing the effects preferences so that it uses sockets and plugs which
	will allow out of process GUIs to work too.  This is a first pass with
	nothing beautiful, but it does seem to work.

2005-01-03  MenTaLguY  <mental@rydia.net>

	* src/document.cpp, src/main.cpp, src/sp-root.cpp:
	  get rid of ugly xmlns hacks

	* src/inkscape.cpp, src/extension/internal/svg.cpp, src/xml/repr-io.cpp:
	  automatically include xmlns declarations for the required namespaces,
	  and make a best effort at using a default namespace when requested
	  and possible

2005-01-02  Kees Cook  <kees@outflux.net>

	* share/icons/icons.svg: updated view and location
	* src/document.cpp, src/dialogs/rdf.cpp: fixed another bug in metadata
	  due to svg: prefix change.
	* src/inkscape-stock.h, src/inkscape-stock.cpp, share/icons/Makefile.am:
	  removed unused xpm icons

2005-01-02  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/fontsize-expansion.h, src/fontsize-expansion.cpp:
	  New files.
	* src/Makefile_insert: Add the new files to libinkpre_a_SOURCES.
	* src/desktop-style.cpp (sp_desktop_apply_css_recursive):
	  When calling sp_css_attr_scale, change the expansion calculation
	  to use fontsize_expansion().
	* src/sp-text.cpp (sp_text_set_transform): Similarly use
	  fontsize_expansion() instead of generic m.expansion().

2005-01-01  Kees Cook  <kees@outflux.net>

	* src/extension/db.h, src/extension/db.cpp, src/extension/init.cpp:
	created "modulelist" to maintain initialization order for extension
	lists.

2004-12-31  MenTaLguY  <mental@rydia.net>

	* src/xml/repr-io.cpp, src/xml/repr.h: initial scaffoliding for more
	  cosmetic use of prefixes in output files (and eventually more proper
	  namespace handling for output as well)

2004-12-31  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/sp-text.cpp (sp_text_set_transform): Change scaling of font size.
	  The result should be closer to what CorelDraw, XaraX, Canvas 7 and
	  Expression3 do according to vellum, though I don't know the exact
	  rule that they use.

2004-12-25  Ted Gould  <ted@gould.cx>

	* share/extensions/grid.inx, src/extension/extension.cpp,
	src/extension/extension.h, src/extension/plugin/grid.cpp:

	Futher improvements to the grid plugin.  This involves mostly adding in
	parameters at this time, but, ofcourse, I never implemented floating
	point parameters -- so that had to be done first.  More modular code so
	that things can be adjusted externally better.

2004-12-25  Ted Gould  <ted@gould.cx>

	* share/extensions/Makefile.am, share/extensions/grid.inx,
	src/extension/implementation/plugin-link.h,
	src/extension/implementation/plugin.cpp,
	src/extension/plugin/Makefile_insert, src/extension/plugin/gimpgrad.cpp,
	src/extension/plugin/grid.cpp:

	Adding in a new effect plugin, grid.  It draws a grid on the canvas which
	is just an easy way to do some neat things.  It is mostly done, but still
	needs cleanup.  Some other files required modification to make this
	possible.

2004-12-25  MenTaLguY  <mental@rydia.net>

	* src/event-context.cpp: removed unused handler

2004-12-25  Ted Gould  <ted@gould.cx>

	* share/extensions/svg_dropshadow:

	Changing to use "svg:g" instead of "g" for the group.

	* src/verbs.cpp, src/extension/effect.cpp, src/extension/effect.h,
	src/extension/system.cpp, src/extension/system.h,
	src/extension/implementation/implementation.cpp,
	src/extension/implementation/implementation.h,
	src/extension/implementation/plugin.cpp,
	src/extension/implementation/plugin.h,
	src/extension/implementation/script.cpp,
	src/extension/implementation/script.h:

	Final stuff to get Effects working as well as the did before, which
	is okay, but not great.  This involved changing the API to get an SPView
	instead of an SPDocument because then I can get the selection information
	from the view that is being used.

2004-12-24  MenTaLguY  <mental@rydia.net>

	* src/sp-object-repr.cpp, src/sp-tspan.cpp, src/splivarot.cpp,
	  src/dialogs/rdf.cpp, src/dialogs/xml-tree.cpp,
	  src/widgets/sp-xmlview-tree.cpp, src/xml/repr-io.cpp,
	  src/xml/repr-private.h, src/xml/repr-util.cpp, src/xml/repr.cpp,
	  src/xml/repr.h:

	  cleaned out unused code and unhygenic macros, as well as fixing
	  constructors for text and comment nodes

2004-12-24  Ted Gould  <ted@gould.cx>

	* src/verbs.cpp, src/extension/effect.cpp, src/extension/effect.h:

	Okay, now the effects menu really works!  Well, the implementation seems
	to be broken, but the wrapper seems to be all working.

2004-12-24  Ted Gould  <ted@gould.cx>

	* src/interface.cpp, src/verbs.cpp, src/verbs.h, src/extension/effect.cpp,
	src/extension/effect.h:

	Getting the Effects menu basically working.  This included some fixes to
	the verbs where they were incrementing the database incorrectly.  The
	effects are the first component to take advantage of the dynamically
	created verbs, and exercised new code.  Now the basic menu is available,
	but there is no functionality there.

2004-12-24  Ted Gould  <ted@gould.cx>

	* src/interface.cpp, src/verbs.cpp, src/verbs.h:

	Basic code for the effects menu.

	* src/dialogs/filedialog.cpp, src/dialogs/filedialog.h,
	src/extension/db.cpp, src/extension/db.h:

	Changing the DB access functions to use std::list instead of GSList so
	that it is more standard, and we get rid of a specialized class that
	really isn't that useful.  Less memory usage, and fixes a leak.

	* src/extension/effect.cpp, src/extension/effect.h:

	Adding in a "Last Effect" to be used in the menus.

	* src/extension/extension-forward.h, src/extension/extension.cpp,
	src/extension/extension.h, src/extension/input.cpp,
	src/extension/output.cpp, src/extension/timer.cpp, src/extension/timer.h,
	src/extension/Makefile_insert:

	Adding in the timer functions so that modules will unload in a given
	amount of time.  For more information on this read the documentation
	in the files.  Kinda a lazy deallocation.

	* src/extension/implementation/implementation.cpp:

	Fix unload so that it is not recursive.

2004-12-23  MenTaLguY  <mental@rydia.net>

	* src/arc-context.cpp, src/document.cpp, src/draw-context.cpp,
	  src/dyna-draw-context.cpp, src/file.cpp, src/gradient-chemistry.cpp,
	  src/interface.cpp, src/layer-fns.cpp, src/main.cpp, src/object-ui.cpp,
	  src/path-chemistry.cpp, src/rect-context.cpp,
	  src/selection-chemistry.cpp, src/sp-anchor.cpp, src/sp-clippath.cpp,
	  src/sp-defs.cpp, src/sp-ellipse.cpp, src/sp-flowdiv.cpp,
	  src/sp-flowregion.cpp, src/sp-flowtext.cpp, src/sp-gradient-test.cpp,
	  src/sp-gradient.cpp, src/sp-image.cpp, src/sp-item-group.cpp,
	  src/sp-line.cpp, src/sp-marker.cpp, src/sp-mask.cpp,
	  src/sp-object-group.cpp, src/sp-object-repr.cpp, src/sp-offset.cpp,
	  src/sp-path.cpp, src/sp-pattern.cpp, src/sp-polygon.cpp,
	  src/sp-polyline.cpp, src/sp-rect.cpp, src/sp-root.cpp,
	  src/sp-spiral.cpp, src/sp-star.cpp, src/sp-symbol.cpp, src/sp-text.cpp,
	  src/sp-tspan.cpp, src/sp-use.cpp, src/spiral-context.cpp,
	  src/splivarot.cpp, src/star-context.cpp, src/text-chemistry.cpp,
	  src/text-context.cpp, src/dialogs/find.cpp, src/dialogs/rdf.cpp,
	  src/dialogs/xml-tree.cpp, src/ecma/EcmaBinding.cpp,
	  src/extension/internal/gdkpixbuf-input.cpp,
	  src/extension/internal/svg.cpp, src/livarot/ShapeDraw.cpp,
	  src/xml/repr-io.cpp, src/xml/repr-util.cpp, src/xml/repr.cpp:

	  use normalized qnames for SVG elements too

2004-12-23  Kees Cook  <kees@outflux.net>

	* configure.ac, src/Makefile_insert, src/extension/script/Makefile_insert:
	  adding Perl and Python compile tests.  Corrected library locations.
	* src/extension/script/InkscapeScript.h,
	  src/extension/script/InkscapePython.cpp,
	  src/extension/script/InkscapeScript.cpp: white space fix, and
	  added config.h, and some small debugging for myself.  Hope Bob doesn't
	  mind!  :)
	* src/dialogs/scriptdialog.cpp: added comments to default code.

2004-12-22  Kees Cook  <kees@outflux.net>

	* configure.ac, src/extension/script/Makefile_insert: automake cleanups
	  to deal with perl/python detection.

2004-12-20  David Turner <novalis@gnu.org>
	* src/widgets/gradient-vector.cpp:
	  Fixed bug with gradient stops at 0 and 100%.  Closes 1085920.

2004-12-18  Bob Jamison  <rjamison@titan.com>

	* src/extensions/script/*:
	  New files that enable embedding of scripting languages
	  in Inkscape.  Currently using Swig to embed Perl and Python.

	* autoconf.ac:
	  Allow opting for perl or python with --with-perl=yes|no
	  and --with-python=yes|no

2004-12-15  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* streq.h (streq), strneq.h (strneq), memeq.h (memeq):
	  New convenience functions for strcmp(a,b)==0 etc.

	* src/dir-util.cpp (sp_relative_path_from_path):
	  Fix when base is a string prefix of path but a directory prefix
	  (e.g. path=/foo/barney, base=/foo/bar).

2004-12-10  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/sp-conn-end.cpp (sp_conn_end_move_compensate):
	  Fix for undo/save: wasn't calling updateRepr().

2004-12-09  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/style.cpp (sp_style_merge_from_style_string):
	  More standards-conforming parsing of style strings into prop:value
	  pairs.

2004-12-08  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/style.h, src/style.cpp, src/libnrtype/font-style-to-pos.cpp:
	  Fix font-weight value: s/darker/bolder/.

	* src/style.cpp (sp_style_merge_from_parent):
	  Fix bug with specifying stroke-width with unit of em or ex.
	  (We were ignoring the number, treating it as 1em or 1ex.)

	* src/style.h, src/style.cpp (sp_style_read_dash,
	  sp_style_write_string, sp_style_write_difference):
	  Allow `inherit' as a value for dasharray.
	  (Also plug small memory leak in sp_style_read_dash.)

2004-12-07  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/style.cpp (sp_style_write_string):
	  Fix for when stroke-dasharray either explicitly set to `none', or
	  inherits non-none.

	* src/style.cpp (sp_style_write_ienum):
	  Fix: preserve explicit `inherit' request.
	* (sp_style_read, sp_style_merge_property):
	  Allow explicit `inherit' for `display' property.

	* src/style.cpp (sp_style_read):
	  Fix copy&paste bug affecting `visibility' and `display' properties.

2004-12-07  David Turner  <novalis@gnu.org>

	* src/libnrtype/RasterFont.cpp, src/display/nr-arena-shape.cpp:
	Fixed dash rendering bug (#1077213)

2004-12-06  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/style.h, src/style.cpp: Support all `display' values
	  required by SVG 1.1.  (No functional change, insofar as the new
	  values all have the same behaviour as our existing `block' value
	  in SVG.)
	* src/sp-item.cpp, src/style.cpp: Use `inline' (SP_CSS_DISPLAY_INLINE)
	  rather than `block' as our generic display value meaning `don't hide
	  this', as per spec.

	* src/style.cpp: Prefer to write lr-tb etc. rather than the
	  abbreviations lr etc.  (Also add comment saying why.)

2004-12-03  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/dialogs/xml-tree.cpp (on_attr_select_row_set_value_content):
	  Fix segfault: treat NULL as empty string for display purposes.

2004-11-30  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/svg/svg.h, src/svg/sp-svg.def, src/svg/svg-length.cpp:
	  (sp_svg_boolean_read, sp_svg_write_percentage):
	  Remove these unused functions.
	  (sp_svg_length_read_lff, sp_svg_number_write_d,
	  sp_svg_number_write_i): Mark static.

	* configure.ac:
	  When adding -lgc to LIBS, also add its dependencies -lpthread -ldl.

2004-11-28  Ted Gould  <ted@gould.cx>

	* 0.40

2004-11-25  MenTaLguY  <mental@rydia.net>

	* share/tutorials/tutorial-calligraphy.svg: spelling fix

	* src/widgets/layer-selector.cpp: fixing the layer selector update bug;
	  sigc++ apparently doesn't deal with reference arguments very well

2004-11-25  MenTaLguY  <mental@rydia.net>

	* src/layer-fns.cpp: fix layer creation within sublayers

	* src/dialogs/layer-properties.cpp: fix dialog leak

2004-11-25  MenTaLguY  <mental@rydia.net>

	* src/inkscape.cpp: eliminate duplicated code across #ifdefs

	* src/verbs.cpp, src/dialogs/layer-properties.cpp,
	  src/dialogs/layer-properties.h:

	  LayerPropertiesDialog is no longer a singleton, since it's kind of a
	  per-desktop (well, ideally per-document) thing.  Remaining to do:
	  fix update of layer selector widget, and eliminate leak of dialog
	  objects.

2004-11-24  Kees Cook  <kees@outflux.net>

	* inkscape.spec: added SMP flags, added static library link capability.

2004-11-24  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/draw-context.cpp (spdc_concat_colors_and_flush):
	  Do nothing if empty curve; in particular, don't try to close an
	  empty curve.

	* src/pen-context.cpp (spdc_endpoint_snap):
	  Fix use of uninitialized value when snapping.

2004-11-23  Bryce Harrington <bryce@bryceharrington.org>

	* src/dialogs/layer-properties.cpp:  Fixing bug causing two new
	  layers to get created when hitting enter

2004-11-23  Kees Cook  <kees@outflux.net>

	* share/tutorials: added Josh's changes, resized, repositioned for
	  800x600.
	* src/verbs.h, src/verbs.cpp, src/interface.cpp: added tracing
	  tutorial.

2004-11-23  MenTaLguY  <mental@rydia.net>

	* src/rect-context.cpp: disallow drawing on locked or invisible layers

	* src/widgets/layer-properties.h, src/widgets/layer-properties.cpp:
	  slight HIG-ification

	* src/desktop.cpp, src/desktop.h, src/widgets/layer-selector.cpp,
	  src/widgets/layer-selector.h, src/verbs.cpp, src/sp-desktop-widget.h

	  removed vestigal layer renaming thing

	* src/verbs.cpp, src/dialogs/layer-properties.cpp,
	  src/dialogs/layer-properties.h:

	  reuse dialog for creating layers as well as for renaming them

2004-11-22  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/display/bezier-utils.cpp (generate_bezier): For the sake of
	  our current pencil tool, don't use free optimization of the end
	  tangent vector.

2004-11-21  MenTaLguY <mental@rydia.net>

	* src/verbs.cpp: add accels for layer menu items

2004-11-21  Bryce Harrington <bryce@bryceharrington.org>

	* src/dialogs/layer-properties.cpp, src/verbs.cpp,
	  src/dialogs/layer-properties.h: Hooking up layer rename
	  functionality, and making it show correctly.

	* src/dialogs/debugdialog.cpp, src/dialogs/find.cpp,
	  src/dialogs/tracedialog.cpp:  Fixing dialog show behavior

2004-11-21  Kees Cook  <kees@outflux.net>

	* src/sp-object.cpp, src/sp-metadata.cpp: added some debugging, and
	  fixed a dumb error in my metadata _release handler.  Should mostly
	  close bug 1069772.
	* src/Makefile_insert, src/sp-skeleton.cpp, src/sp-skeleton.h:
	  created some example SPObject implementations for a basis for any
	  new SPObjects in the future.
	* src/dialogs/xml-tree.cpp: fixing logic bug in identability checker.
	  Added immutability test to actually close 1069772.
	* share/icons/icons.svg, src/verbs.cpp, src/interface.cpp: adding
	  icons for the "new" menu, vacuum, reverse, make bitmap, and trace.

2004-11-20  Jon A. Cruz  <jon@joncruz.org>

	* src/extension/db.h, src/extension/db.cpp, src/dialogs/filedialog.cpp:
	  Added extension matching pattern. Fixed bug 1064888.

	* src/dialogs/filedialog.cpp (isValidImageFile):
	  Fixed previewing bug 1067551.

2004-11-20  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/display/bezier-utils.cpp (sp_bezier_fit_cubic_full):
	  Add splitpoints parameter.  Callers updated.

	* src/display/bezier-utils.cpp
	  (sp_bezier_fit_cubic_r, sp_bezier_fit_cubic_full):
	  Change last parameter from lg_max_beziers to max_beziers.
	  Callers updated.

2004-11-19  Bryce <bryce@bryceharrington.org>

	* src/dialogs/layer-properties.cpp,
	  src/dialogs/layer-properties.h:  Adding some widgets.

2004-11-18  Bryce <bryce@bryceharrington.org>

	* src/dialogs/Makefile_insert, src/dialogs/makefile.msc,
	  src/dialogs/layer-properties.h, src/dialogs/layer-properties.h:
	  Adding a layer properties dialog for renaming layers

	* src/desktop.cpp src/interface.cpp, src/verbs.cpp,
	  src/verbs.h src/dialogs/layer-properties.cpp,
	  src/dialogs/layer-properties.h,
	  src/widgets/layer-selector.cpp:  Hooking in layer props dialog.

2004-11-16  MenTaLguY  <mental@rydia.net>

	* src/widgets/document-tree-model.cpp, src/widgets/document-tree-model.h,
	  src/widgets/layer-selector.cpp, src/widgets/Makefile_insert:

	  removed Widgets::DocumentTreeModel because unused

	* src/xml/repr-private.h, src/xml/repr-util.cpp, src/xml/repr.cpp,
	  src/xml/repr.h:

	  cache successive sibling counts (self+subsequent siblings) in SPRepr
	  to make sp_repr_n_children() and sp_repr_position() more efficient,
	  which will be needed later for e.g. GTK tree models.

	  sp_repr_nth_child() isn't any faster as a result of the changes,
	  but it probably won't need to be

	* src/xml/repr.cpp: fixed refcount leak in SPRepr::SPRepr(SPRepr const &)

2004-11-15  MenTaLguY  <mental@rydia.net>

	* src/gc.cpp: add initial stubs that print an informative error
	  if the GC functions are used before Inkscape::GC::init() is called

2004-11-14  MenTaLguY  <mental@rydia.net>

	* configure.ac, src/gc-core.h, src/gc-managed.h, src/gc-anchored.h,
	  src/gc-finalized.h, src/gc.cpp:

	  make disabling the collector a run-time rather than a compile-time
	  option; there are now three garbage collector options, selectable
	  by setting the _INKSCAPE_GC environment variable:

	   * enable - the normal collector (default)
	   * debug - the debugging collector
	   * disable - use standard malloc in place of the libgc allocator

2004-11-14  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/display/bezier-utils.cpp: Make end tangent/s be unconstrained for
	  sp_bezier_fit_cubic, sp_bezier_fit_cubic_r, and around corner nodes.

	* src/pencil-context.cpp (fit_and_split): Allow the bezier fitter to
	  choose the middle control points freely except to the extent required
	  for smooth nodes.

	* src/display/bezier-utils.cpp (generate_bezier):
	  If either end tangent is specified as zero then estimate the
	  corresponding control point without constraining its direction
	  from the endpoint.

	* src/pencil-context.h, src/pencil-context.cpp
	  (fit_and_split, sp_pencil_context_init): Explicitly remember required
	  tangent instead of using "first two points" hack.

	* src/display/bezier-utils.cpp (sp_bezier_fit_cubic_full):
	  Detect & prevent "ghost spikes", by allowing a corner node if
	  the specified tangent would result in a spike.

	* src/display/bezier-utils.cpp (generate_bezier): Better handling
	  of the case of infinite solutions for the lengths of the two
	  tangent vectors: try requiring that the lengths equal each other,
	  and solving for that length (just one variable).

2004-11-13  Kees Cook  <kees@outflux.net>

	* src/document.cpp: wrapped updateDisplay call in undo insensitivity.
	  Closes bug #1030436.

2004-11-12  MenTaLguY  <mental@rydia.net>

	* src/main.cpp: fpresetsticky -> fpsetsticky

	* src/verbs.cpp: cast width changes

	* src/libnrtype/FlowBoxes.h, src/libnrtype/FlowDefs.h,
	  src/libnrtype/FlowDest.h, src/libnrtype/FlowEater.h,
	  src/libnrtype/FlowRes.h, src/libnrtype/FlowSols.h,
	  src/libnrtype/FlowSrc.h, src/libnrtype/FlowSrcText.h,
	  src/libnrtype/FlowStyle.h, src/libnrtype/FlowUtils.h:
	  remove stdint.h which isn't being used here

	* src/widgets/icon.h, src/widgets/icon.cpp:
	  icon greys out when insensitive

	* src/gc-anchored.h, src/gc-finalized.h, src/gc-managed.h:
	  documentation

	* src/verbs.cpp: changed cast to reinterpret_cast to hopefully
	  avoid compiler warning

2004-11-11  Kees Cook  <kees@outflux.net>

	* src/seltrans.cpp, src/select-context.cpp: ref counting SPObjects
	  correctly so undo's don't blow up an active resize/move.  Closes
	  bug #1018756.

2004-11-11  MenTaLguY  <mental@rydia.net>

	* src/inkscape.cpp, src/main.cpp, src/widgets/icon.cpp:
	  removed sp_bitmap_icons

	* configure.ac, src/sp-image.cpp, src/object-ui.cpp:
	  removed stale autotrace support code

2004-11-10  MenTaLguY  <mental@rydia.net>

	* src/sp-item.cpp, src/sp-clippath.cpp, src/cp-mask.cpp:
	  minor refcounting tweaks

	* src/sp-image.cpp: fixed failure to release GdkPixbufLoader when
	  done with it (fixes bug #1063054)

2004-11-10  Kees Cook  <kees@outflux.net>

	* configure.ac, src/gc-core.h: corrected gc.h path detection.

2004-11-09  MenTaLguY  <mental@rydia.net>

	* src/dialogs/fileselector.cpp: fixed cut-and-paste refcount bug
	  between SVGPreview::setFileName and SVGPreview::setFromMem that
	  was leaking bitmap image preview SPDocuments

2004-11-09  Bryce Harrington <bryce@bryceharrington.org>

	* src/dialogs/item-properties.cpp

2004-11-09  MenTaLguY  <mental@rydia.net>

	* src/sp-item.cpp, src/style.cpp, src/style.h:
	  use 'display' rather than 'visibility' for hiding, and give display
	  a more "modern" representation in SPStyle like visibility's

2004-11-09  Kees Cook  <kees@outflux.net>

	* src/dialogs/xml-tree.cpp: added better context to the status bar.
	  added warning flash for id conflicts.
	* src/toolbox.cpp: killed some copy/paste code while bug hunting.

2004-11-08  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/sp-item.h, src/sp-item.cpp
	  (isExplicitlyHidden, setExplicitlyHidden): New methods.

	* src/dialogs/item-properties.cpp: Change from having a `Visible'
	  checkbox that explicitly sets the SVG visibility property to
	  having a `Hide' checkbox that controls whether or not the
	  element has visibility:hidden.  (Mitigates #1061934.)

	* src/sp-object.h, src/sp-object.cpp (visible, setVisible):
	  Remove these methods.

2004-11-07  MenTaLguY  <mental@rydia.net>

	* src/gc-finalized.h: fix for Debian bug #279991 (cast to ptrdiff_t
	                      rather than int), and basic documentation

2004-11-06  MenTaLguY  <mental@rydia.net>

	* src/sp-item.cpp: fix desktop-specific version of SPItem::isHidden()
	                   to deal correctly with parent visibility

2004-11-05  MenTaLguY  <mental@rydia.net>

	* src/widgets/layer-selector.cpp: more work on making the lock/hide
	  buttons actually do something

	* src/sp-item.cpp, src/sp-item.h: implement lock/hide related methods

	* src/verbs.cpp: "Remove All Kerns" -> "Remove Manual Kerning"

2004-11-04  Kees Cook  <kees@outflux.net>

	* src/dialogs/rdf.h, src/dialogs/rdf.cpp: added rdf:Bag for the
	  dc:subject keyword list.  Closed bug #1021025.
	* src/dialogs/xml-tree.cpp, src/widgets/sp-xmlview-attr-list.cpp,
	  src/widgets/sp-xmlview-attr-list.h: added status bar to XML
	  editor.  added row-change callback for XML tree view.  This
	  all supports a possible future solution to bug #869683.
	* src/dialogs/desktop-properties.cpp: memory leak in RDF code.

2004-11-04  MenTaLguY  <mental@rydia.net>

	* src/widgets/layer-selector.cpp: togglable images and formatting
	  changes (make current layer bold)

	* src/uri.h, src/uri.cpp: added assignment operator

2004-11-03  MenTaLguY  <mental@rydia.net>

	* src/widgets/Makefile_insert, src/widgets/shrink-wrap-button.cpp,
	  src/widgets/shrink-wrap-button.h:

	  added Inkscape::Widgets::shrink_wrap_button, to make any gtk button
	  an SPButton-like shrink-wrapped button

	* src/widgets/layer-selector.h, src/widgets/layer-selector.cpp:

	  abandon SPButton for layer selector buttons

2004-11-03  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* po/check-markup: New script: detects <b>markup<b> <b>problems<7b>
	  in the <b>translated strings.  (~10 such problems found.)
	* Makefile.am (all, check, distcheck): Run po/check-markup (with
	  varying permissiveness of errors).

2004-11-02  MenTaLguY  <mental@rydia.net>

	* doc/keys.xml: added documentation of layer keys

2004-11-01  Kees Cook  <kees@outflux.net>

	* src/dialogs/align.cpp, src/dialogs/debugdialog.cpp: localized
	some missed strings.

2004-11-01  MenTaLguY  <mental@rydia.net>

	* share/icons/icons.svg: gave bulia's eye icons ids

	* src/widgets/layer-selector.h, src/widgets/layers-selector.cpp:
	  fixed up visibility/lock toggles... now to make them actually do
	  something

2004-10-31  MenTaLguY  <mental@rydia.net>

	* src/util/glib-list.h: adaptor for glib lists

	* src/widgets/layer-selector.h, src/widgets/layer-selector.cpp:
	  save the repr next to the SPObject

2004-10-30  MenTaLguY  <mental@rydia.net>

	* src/util/list.h: more list cleanups and documentation

	* src/verbs.cpp: call sp_document_done() for layer verbs too

2004-10-30  Bryce Harrington <bryce@bryceharrington.org>

	* src/dialogs/item-properties.cpp, src/sp-object.h:  Cleaning up
	stubs, disabling some more of the desc code to prevent crash.
	The change to SPObject::label() broke the label editing code;
	fixing it.

2004-10-30  Kees Cook  <kees@outflux.net>

	* src/sp-metadata.cpp, src/sp-metadata.h, src/Makefile_insert,
	src/document.cpp, src/sp-object-repr.cpp, src/sp-object.cpp:
	I've created my very first SPObject!  SPMetadata is alive!  No
	more nasty hack to have it disappear from SVG Plain.  Mental
	won't have to take away my CVS access any more!  :)
	* inkscape2.nsi: update from Adib Taraben

2004-10-30  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/libnr/nr-matrix.cpp (nr_matrix_invert):
	  Fix for last commit to this file, which broke src==dest case.
	* src/libnr/nr-matrix-test.cpp: Add test cases for nr_matrix_invert.

2004-10-30  MenTaLguY  <mental@rydia.net>

	* src/widgets/layer-selector.cpp, src/widgets/layer-selector.h:
	  update when layers added/removed/reordered.

	* src/verbs.h, src/verbs.cpp: added "rename layer" verb.

2004-10-29  Kees Cook  <kees@outflux.net>

	* src/Makefile_insert, src/trace/Makefile_insert,
	src/util/Makefile_insert: distcheck cleanups.

2004-10-29  MenTaLguY  <mental@rydia.net>

	* src/widgets/layer-selector.cpp: default labels in italic

	* src/sp-object.h, src/sp-object.cpp: inkscape:label fixes

	* src/layer-fns.cpp: make ordering of layers complete; not just among
	                     siblings

	* src/util/list.h: documentation update

2004-10-29  Bryce Harrington <bryce@bryceharrington.org>

	* layer-fns.cpp:  documenting
	* layer-selector.cpp:  documenting & fixing funky widget resizing
	* object-ui.cpp, dialogs/item-properties.cpp, sp-object.h,
	  sp-object.cpp, widgets/layer-selector.cpp: add ability to set
	  inkscape:label from "Item Properties", remove id setting from
	  "Item Properties", switch to using
	  SPObject::label()/SPObject?::defaultLabel() in UI where object
	  ID is currently used.  Documenting.  Switching from "label" to
	  "inkscape:label" where appropriate.  Adding
	  visible()/setVisible() functions and activating checkbox.
	* dialogs/item-properties.cpp:  Adding title and desc boxes.
	  Adjusting layout of dialog a bit.  Changing to use of tables
	  instead of horiz/vert boxes for layout.  Setting to inactive
	  until some underlying bits get finished.

2004-10-29  Kees Cook  <kees@outflux.net>

	* src/dialogs/export.cpp: moved function-based static state variable
	  into the dialog state variables.  Closes bug #993447.
	* src/display/curve.cpp: fixed compile warning.
	* src/sp-namedview.cpp: wasn't ref counting correctly.  Closes #955020.

2004-10-29  Jon A. Cruz  <jon@joncruz.org>

	* src/sp-image.cpp, src/extension/internal/gdkpixbuf-input.cpp:
	  Refactoring filenames and file opening
	  Scales imported images if DPI is known and not 72 DPI. Fixes
	  #1029755

2004-10-29  MenTaLguY  <mental@rydia.net>

	* src/widgets/layer-selector.cpp, src/verbs.cpp:
	  unselect objects when layer is manually switched

2004-10-28  Kees Cook  <kees@outflux.net>

	* src/document-undo.cpp, src/document.cpp, src/sp-namedview.cpp,
	  src/sp-text.cpp, src/dialogs/desktop-properties.cpp,
	  src/dialogs/export.cpp, src/extension/input.cpp,
	  src/extension/output.cpp, src/extension/system.cpp:
	  Fixing calls to sp_document_set_undo_sensitive to correct allow for
	  nesting, as suggested by mental.  Found while tracking down bug
	  #1030436.

2004-10-28  MenTaLguY  <mental@rydia.net>

	* src/util/list.h: cleanups of list class.  I think, aside from
	  documentation and maybe fixes for g++ 3.4 (if required), this
	  is the last set of changes I will need to make.

	* src/sp-item.cpp, src/splivarot.cpp, src/util/reverse-list.h,
	  src/util/filter-list.h, src/util/map-list.h:
	  adjust for changes in the list class' interface

	* src/desktop.cpp, src/sp-desktop-widget.h:
	  removed old layer selector and added SPDesktop::itemIsHidden()

	* src/widgets/layer-selector.cpp, src/widgets/layer-selector.h:
	  more work; it's now at least as functional as the old selector it
	  replaces

2004-10-27  Kees Cook  <kees@outflux.net>

	* src/libnr/nr-point.h: use NR::X and NR::Y instead of "0" and "1".
	* src/dialogs/export.cpp: stack/register weirdness requires a function
	  call to get true == comparison of NR::Rect's.  Closes bug #1048614.
	* src/dialogs/align.cpp: saving erased iterator.  Closes bug #1054270.
	* share/extensions/ill2svg.pl: added strict, warnings, and detection
	  of Image::Magick module.  Closes bug #990659.
	* src/dialogs/find.h, src/dialogs/find.cpp: removed unfinished new
	  find dialog instantiation.  Closes bug #1048802.

2004-10-27  Carl Hetherington  <inkscape@carlh.net>

	* src/extension/output.cpp: better fix for 1004134 after advice
	from Ted.

2004-10-26  Carl Hetherington  <inkscape@carlh.net>

	* src/extension/output.cpp: don't reset modified flag until after
	save has happened, in case it fails.  Fixes 1004134.

	* src/livarot/ShapeSweep.cpp: fix a typo in my cleanups.  Fixes
	1048151.

2004-10-25  Bryce Harringotn <bryce@bryceharrington.org>

	* file.cpp, file.h, dialogs/export.cpp: Adding error return logic
	  for png export code so that failure to write can be tracked.
	  Adding an error dialog for when this occurs.  Fixes bug 1038932.

	* extension/system.cpp:  Changing sp_ui_error_dialog to g_warning
	  so won't crash when running from commandline.  Fixes bug
	  1000350.

	* inkscape.cpp, inkscape.h, main.cpp, dialogs/filedialog.cpp:
	  Adding Inkscape::Application::use_gui flag as temporary hack to
	  prevent gui dialogs from being used when running from
	  commandline.  Fixes bug 1045067.

2004-10-26  Carl Hetherington  <inkscape@carlh.net>

	* src/livarot/PathCutting.cpp: fix a couple of bugs that I
	introduced that cause crashes on cut path.

2004-10-25  Kees Cook  <kees@outflux.net>

	* src/sp-object.cpp: nasty hack to not export metadata on "Plain SVG".
	  I promise I'll fix this with a proper SPObject soon.

2004-10-25  Jon A. Cruz  <jon@joncruz.org>
	* src/file.cpp, src/file.h, src/inkscape.cpp, src/sp-image.cpp,
	src/uri.cpp, src/uri.h, src/dialogs/filedialog.cpp,
	src/extension/input.cpp, src/extension/implementation/script.cpp,
	src/extension/internal/pov-out.cpp, src/extension/internal/ps.cpp,
	src/extension/internal/win32.h, src/extension/plugin/gimpgrad.cpp,
	src/helper/png-write.cpp, src/trace/imagemap.cpp, src/xml/repr-io.cpp:

	Refactoring filenames and file opening

2004-10-24  MenTaLguY  <mental@rydia.net>

	* src/Makefile.am: added/removed files

	* src/util/copy-list.h: nobody's using it right now, get rid of it

	* src/traits/copy.h, src/traits/list-copy.h:
	  traits for determining the type to make a copy of a value

	* src/sp-item.cpp, src/util/filter-list.h src/util/map-list.h,
	  src/util/reverse-list.h, src/widgets/layer-selector.cpp
	  src/xml/sp-repr-action.cpp:

	  let the list functions infer their own result type (where possible)

	* src/util/forward-pointer-iterator.h: its value type is a reference

2004-10-23  MenTaLguY  <mental@rydia.net>

	* src/desktop.cpp: removed vertical usize limits on statusbar

	* src/widgets/layer-selector.cpp, src/widgets/layer-selector.h:
	  more layer selector work; simplfied model and customized CellRenderer
	  settings a bit

	* src/attributes.cpp, src/attributes.h, src/sp-object.cpp, src/sp-object.h:
	  add inkscape:label attribute

	* src/file.cpp, src/sp-anchor.h, src/sp-animation.h, src/sp-chars.h,
	  src/sp-clippath.h, src/sp-conn-end.cpp, src/sp-defs.h, src/sp-ellipse.h,
	  src/sp-gradient.h, src/sp-guide.h, src/sp-image.h, src/sp-line.h,
	  src/sp-linear-gradient.h, src/sp-marker.h, src/sp-mask.h,
	  src/sp-namedview.h, src/sp-object-group.h, src/sp-offset.h, src/sp-path.h,
	  src/sp-pattern.h, src/sp-polygon.h, src/sp-polyline.h,
	  src/sp-radial-gradient.h, src/sp-rect.cpp, src/sp-rect.h, src/sp-root.h,
	  src/sp-spiral.h, src/sp-star.h, src/sp-stop.h, src/sp-string.h,
	  src/sp-symbol.h, src/sp-text.h, src/sp-tspan.h, src/sp-use.h,
	  src/sp-offset.cpp, src/sp-shape.h:

	  make inheritance actual

2004-10-23  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/libnr/*: Move some things from nr-matrix-ops.h to new files.

	* src/libnr/nr-point-fns.h, src/libnr/nr-point-fns.cpp:
	  New function is_zero.  Move is_unit_vector here
	  (was private to sp-spiral.cpp).

	* src/display/bezier-utils-test.cpp: Disable a test, replacing with a
	  todo printf and adding a comment explaining.

2004-10-22  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/pencil-context.cpp: Ensure that data points array p is uniqued
	  and contains no NaNs.

	* src/libnr/nr-point-fns.cpp (LInfty): Fix bug with NaN coordinates:
	  return NaN (rather than unspecified behaviour).
	* src/libnr/nr-point-fns-test.cpp: Add test cases for L1,L2,LInfty
	  handling of NaN.

	* src/pencil-context.cpp: Fix bug: undesirable interactions between
	  snapping and snap-to-anchor.

2004-10-21  MenTaLguY  <mental@rydia.net>

	* src/desktop.cpp: SPDesktop::currentRoot() should pull from
	  the current layer hierarchy just like SPDesktop::currentLayer();
	  doubly so, since currently when switching documents the layer hierarchy
	  is updated before the document is switched

	* src/util/Makefile_insert, src/util/copy-list.h: add list copy thingy

	* src/util/list.h: add rest()

	* src/util/reverse-list.h: bug fixes to reverse_list_in_place()

	* src/widgets/layer-selector.cpp, src/widgets/layer-selector.h:
	  more work on layer selector

2004-10-21  Carl Hetherington  <inkscape@carlh.net>

	* src/livarot/Path.cpp, src/livarot/Path.h,
	src/livarot/PathConversion.cpp, src/livarot/PathCutting.cpp,
	src/livarot/PathOutline.cpp, src/livarot/PathSimplify.cpp,
	src/livarot/ShapeMisc.cpp: excise separate path description data
	structure.

	* src/livarot/Path.h, src/livarot/Path.cpp,
	src/livarot/PathConversion.cpp, src/livarot/PathCutting.cpp,
	src/livarot/PathOutline.cpp, src/livarot/PathSimplify.cpp,
	src/livarot/ShapeMisc.cpp, src/livarot/livarot-forward.h: move
	path description structs into their own files, and rename a few
	member variables.

	* src/livarot/Path.h, src/livarot/PathConversion.cpp,
	src/livarot/PathOutline.cpp: remove some unused functions.

2004-10-20  Carl Hetherington  <inkscape@carlh.net>

	* src/livarot/Path.cpp: fix for 1050379, and probably lots of
	others.

	* src/livarot/Path.h, src/livarot/PathOutline.cpp: bug fix for a
	previous commit.

	* src/livarot/Path.cpp: fix a memory leak.

2004-10-19  Carl Hetherington  <inkscape@carlh.net>

	* src/livarot/Path.h, src/livarot/PathSimplify.cpp: more
	simplification cleanups.

	* src/livarot/PathStroke.cpp: coding style cleanups.

	* src/livarot/Path.h, src/livarot/PathSimplify.cpp,
	src/livarot/PathStroke.cpp: more cleanups; don't modify Path::pts
	and Path::nbPt.

	* src/livarot/Path.cpp, src/livarot/Path.h,
	src/livarot/PathConversion.cpp, src/livarot/PathCutting.cpp,
	src/livarot/PathSimplify.cpp, src/livarot/PathStroke.cpp: use a
	std::vector for Path::pts.

2004-10-18  Carl Hetherington  <inkscape@carlh.net>

	* src/livarot/Path.h, src/livarot/PathSimplify.cpp: coding style
	and const cleanups.

	* src/livarot/PathSimplify.cpp: some very minor cleanups, and
	temporary comments for myself.

	* src/livarot/PathConversion.cpp: coding style cleanups.

	* src/livarot/PathConversion.cpp: fix for bug 1048827.

	* src/livarot/Path.h, src/livarot/PathSimplify.cpp: clean up
	simplification code.

2004-10-17  MenTaLguY  <mental@rydia.net>

	* share/templates/Makefile.am, share/templates/layers.svg:
	  added a layer template

	* src/widgets/layer-selector.h, src/widgets/layer-selector.cpp:
	  more layer selector work

	* src/util/filter-list.h, src/util/Makefile_insert:
	  added filter_list()

2004-10-15  Carl Hetherington  <inkscape@carlh.net>

	* src/livarot/PathSimplify.cpp: remove #ifdef
	pseudo_douglas_pecker code that wasn't being used.

2004-10-15  MenTaLguY  <mental@rydia.net>

	* src/view.h: removed obsolete status message functions

	* src/attributes.h: remove unused #define

	* src/sp-object.cpp: fix for bug #1048268 (inkscape:collect being written
	  in "plain SVG" files)

	* src/sp-item.h, src/sp-item.cpp: added isLocked() and isHidden()
	  predicates

	* src/sp-item.cpp, src/sp-style.cpp: basic support for visibility CSS
	  property

2004-10-14  Ted Gould  <ted@gould.cx>

	* share/extension/*.inkmod -> *.inx
	src/extension/init.cpp

	Changing the filename extension that is used to identify Inkscape
	extensions to the one specified in the design document.

2004-10-14  MenTaLguY  <mental@rydia.net>

	* src/util/list.h: more 3.4 fixes

2004-10-13  MenTaLguY  <mental@rydia.net>

	* src/util/list.h, src/util/forward-pointer-iterator.h:

	  fixes to (hopefully) build with g++ 3.4 (and generally be less evil
	  anyway)

2004-10-14  Carl Hetherington <inkscape@carlh.net>

	* src/livarot/int-line.cpp: coding style cleanups.

	* src/livarot/float-line.cpp, src/livarot/float-line.h:
	refactoring, removal of dead code.

	* src/display/guideline.cpp, src/display/guideline.h: coding style
	cleanups.

	* src/livarot/Path.cpp, src/livarot/Path.h,
	src/livarot/PathConversion.cpp, src/livarot/PathCutting.cpp,
	src/livarot/PathSimplify.cpp, src/livarot/PathStroke.cpp: merge
	Path::path_lineto and Path::path_lineto_b.

2004-10-14  Carl Hetherington <inkscape@carlh.net>

	* src/Path.cpp, src/Path.h, src/PathConversion.cpp,
	src/PathCutting.cpp, src/PathOutline.cpp, src/PathSimplify.cpp,
	src/ShapeMisc.cpp: use a vector of pointers for Path::descr_cmd.

	* src/livarot/Ligne.cpp, src/livarot/Ligne.h,
	src/livarot/int-line.cpp, src/livarot/int-line.h,
	src/livarot/float-line.cpp, src/livarot/float-line.h,
	src/livarot/livarot-forward.h, src/livarot/ShapeRaster.cpp,
	src/sp-flowregion.cpp, src/display/canvas-bpath.cpp,
	src/display/nr-arena-glyphs.cpp, src/display/nr-arena-shape.cpp,
	src/display/sp-ctrlline.cpp, src/libnrtype/FlowDest.cpp,
	src/libnrtype/RasterFont.cpp: split Ligne into float-line and
	int-line.

	* src/libnrtype/FlowDest.cpp, src/libnrtype/RasterFont.cpp,
	src/libnrtype/raster-position.h, src/livarot/float-line.cpp,
	src/livarot/float-line.h, src/livarot/int-line.cpp: use
	std::vector for arrays in FloatLigne.

	* src/livarot/float-line.cpp, src/livarot/float-line.h: remove
	lots of dead code.  Make some methods private.

2004-10-12  MenTaLguY  <mental@rydia.net>

	* src/Makefile.am: added files

	* src/layer-fns.cpp, src/sp-item.cpp: use iterators, simplifying code

	* src/sp-object.cpp, src/splivarot.cpp: adapt to new version of
	  Inkscape::Algorithms::longest_common_suffix

	* src/sp-object.h, src/sp-repr-iterators.h: add new iterator classes

	* src/algorithms/find-last-if.h: add counterpart of std::find_if

	* src/algorithms/longest-common-suffix.h: rewrite to use iterators

	* src/algorithms/longest-prefix.h, src/algorithms/longest-suffix.h,
	  src/algorithms/shortest-prefix.h, src/algorithms/shortest-suffix.h:

	  removed; these algorithms are no longer necessary when using
	  iterators

	* src/traits/list.h: no longer needed

	* src/traits/reference.h: add "Pointer" member type

	* src/util/Makefile_insert: shuffled files

	* src/util/list.h: reworked Inkscape::Util::List to be a "handle" type
	  that can also be used as an STL iterator

	* src/util/forward-pointer-iterator.h: treat a pointer as an iterator,
	  given a base pointer type and a type which defines the iteration
	  strategy

	* src/util/map.h: obsolete

	* src/util/map-list.h: iterator-based implementation

	* src/traits/tree-iterator.h: no longer necessary (superceded by
	  specific applications of Inkscape::Util::ForwardPointerIterator)

	* src/sp-object-tree-iterator.h, src/util/parent-axis.h,
	  src/util/sibling-axis.h: obsolete

	* src/util/map.h, src/util/reverse.h: obsolete

	* src/util/map-list.h, src/util/reverse-list.h:
	  iterator-based implementations

	* src/xml/Makefile_insert: added file

	* src/xml/repr.h: removed old tree iterator stuff

	* src/xml/sp-repr-action.cpp, src/xml/sp-repr-action.h: use new
	  pointer iterator facility

	* src/xml/sp-repr-iterators.h: pointer iterators for SPRepr

2004-10-12  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/display/bezier-utils.h, src/display/bezier-utils.cpp
	  (sp_bezier_fit_cubic_r, sp_bezier_fit_cubic_full): Change the meaning
	  of the last parameter: was max_depth, now lg_max_beziers, with the
	  relationship lg_max_beziers = max_depth + 1.  Callers updated.

	* src/xml/repr.cpp (sp_repr_change_order):
	  Add g_return_if_fail for some conditions that would break structural
	  integrity, and add a TODO comment indicating incompleteness.
	  Use sp_repr_prev function.

	* src/xml/repr-get-children.h, src/xml/repr-get-children.cpp
	  (sp_repr_prev_sibling): Rename to sp_repr_prev for consistency
	  with sp_repr_next.  Don't consider it an error for child to be
	  NULL or parentless.  Callers updated.

	* src/draw-context.cpp (spdc_concat_colors_and_flush,
	  spdc_flush_white): Misc readability cleanups.

	* src/display/curve.cpp (sp_curve_reverse): Fix a bug where the
	  reversed curve wrongly included a trailing moveto command.  (Bug
	  introduced in my 2004-09-05 change: one of the callers I didn't
	  know how to cause to run.)

2004-10-12  Ted Gould  <ted@gould.cx>

	* share/extensions/ai_input.inkmod, share/extensions/ai_output.inkmod,
	share/extensions/dia.inkmod, share/extensions/dropshadow.inkmod,
	share/extensions/eps_input.inkmod, share/extensions/epsi_output.inkmod,
	share/extensions/gimpgrad.inkmod, share/extensions/ps_input.inkmod,
	share/extensions/roundhole.inkmod, share/extensions/sk_input.inkmod,
	share/extensions/svgz_input.inkmod, share/extensions/svgz_output.inkmod,
	share/extensions/txt2svg.inkmod, share/extensions/wmf_input.inkmod,
	src/extension/dependency.cpp, src/extension/dependency.h,
	src/extension/extension.cpp, src/extension/init.cpp:

	Moving all of the dependency stuff from the scripts, up to the root
	extension level.  This means that everyone can have dependencies, and
	dependency checking (a good thing).  This makes use of the new
	'Dependency' class that is also in the extension directory.

2004-10-11  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/pencil-context.cpp (sp_pencil_context_root_handler): Split into
	  many functions, fixing some illegal union aliasing along the way (as
	  was done for sp_pen_context_root_handler).

	* src/modifier-fns.h: New file of inline functions based on macros.h
	  MOD__CTRL etc. macros.
	* src/Makefile_insert: Add the new file.

	* src/pen-context.h: Change size of p array from SP_DRAW_MAX_POINTS to
	  5 now that we aren't sharing with SPPencilContext.

	* src/draw-context.cpp, src/draw-context.h, src/pen-context.cpp,
	  src/pen-context.h, src/pencil-context.cpp, src/pencil-context.h:
	  Move npoints,p from SPDrawContext to both SPPenContext and
	  SPPencilContext.

	* src/draw-context.cpp, src/draw-context.h: Split off new files
	  pen-context.h, pen-context.cpp, pencil-context.h, pencil-context.cpp,
	  draw-anchor.h, draw-anchor.cpp.
	* src/Makefile_insert: Add the new files.

2004-10-10  Ted Gould  <ted@gould.cx>

	* src/event-context.cpp, src/file.cpp, src/file.h, src/print.cpp,
	src/print.h, src/selection-chemistry.h, src/sp-image.cpp, src/sp-item.cpp,
	src/sp-marker.cpp, src/sp-root.cpp, src/sp-shape.cpp, src/sp-symbol.cpp,
	src/tools-switch.cpp, src/dialogs/export.cpp, src/dialogs/filedialog.cpp,
	src/extension/Makefile_insert, src/extension/db.cpp,
	src/extension/dependency.cpp, src/extension/dependency.h,
	src/extension/effect.cpp, src/extension/effect.h,
	src/extension/extension-forward.h, src/extension/extension.cpp,
	src/extension/extension.h, src/extension/input.cpp, src/extension/input.h,
	src/extension/output.cpp, src/extension/output.h, src/extension/print.cpp,
	src/extension/print.h, src/extension/system.cpp,
	src/extension/internal/eps-out.cpp, src/extension/internal/ps.cpp,
	src/extension/internal/svg.cpp, src/libnrtype/FlowResOut.cpp:

	Splitting out the different types of extensions into their own files so
	that the overall dependencies can be reduced.  Caused a ripple through
	lots of other files.  Hopefully the dependency situation is better now.

2004-10-10  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/draw-context.cpp:
	  Change xp,yp file globals to NR::Point pen_draw_origin_w.

	* src/draw-context.cpp (sp_pen_context_root_handler):
	  Split into many routines.  Fix some illegal union member aliasing.
	  (pen_handle_key_press): Minor code cleanups in backspace handling.
	  (pen_handle_motion_notify): Make tolerance var local instead of
	  file-global.  (This transformation is applicable to many
	  dragtolerance users.)

	* src/draw-context.cpp (spdc_endpoint_snap_handle):
	  Change argument type from SPDrawContext to SPPenContext, and
	  specialize definition accordingly.  Caller updated.

	* src/draw-context.h: Change red_curve_is_valid from char to bool.
	* src/draw-context.cpp: Change red_curve_is_valid assignments from
	  0x00/0x01 to false/true (using find & replace).

2004-10-07  Carl Hetherington  <inkscape@carlh.net>

	* src/nr-object.cpp, src/nr-object.h: coding style and const
	fixes.

	* src/nr-rect.cpp: added a doxygen comment.  Some coding style
	fixes.

	* src/sp-paint-server.cpp: coding style fixes.

	* src/nr-arena-item.cpp, src/nr-arena-item.h: move a comment to
	the .cpp file and make it doxygen-style.

	* src/livarot/Path.cpp: coding style cleanups.  Add an assert to
	Path::Transform().

	* src/livarot/Path.cpp, src/livarot/Path.h: fix some archaic
	notation.

	* src/livarot/Ligne.cpp: coding style cleanups.

	* src/livarot/PathOutline.cpp, src/livarot/Path.h: fix a rather
	nasty hack in the outlining code.

	* src/livarot/Path.cpp, src/livarot/Path.h,
	src/livarot/PathConversion.cpp, src/livarot/PathCutting.cpp,
	src/livarot/PathOutline.cpp, src/livarot/PathSimplify.cpp,
	src/livarot/ShapeMisc.cpp, src/splivarot.cpp, src/sp-offset.cpp:
	use std::vector for Path::descr_cmd.

	* src/livarot/Path.cpp, src/livarot/Path.h,
	src/livarot/PathConversion.cpp, src/livarot/PathCutting.cpp,
	src/livarot/PathOutline.cpp, src/livarot/PathSimplify.cpp,
	src/livarot/ShapeMisc.cpp: getType() and setType() in Path::path_descr.

2004-10-07  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/sp-object-repr.cpp (sp_repr_type_lookup): Distinguish between XML
	  element name and sodipodi:type attribute value: use a separate table
	  for each.
	* src/sp-object-repr.h, src/sp-object-repr.cpp (sp_object_type_lookup):
	  Don't export this function.  (Also rename it to name_to_gtype and
	  change its definition for separate tables.)

2004-10-03  Kees Cook  <kees@outflux.net>

	* src/dialogs/rdf.cpp, src/dialogs/repr-util.cpp, src/dialogs/repr.h:
	  Since "dc:title" can appear at multiple XML levels, a way to
	  control max depth in searching was added.  (Closes bug #1009290)

2004-09-30  MenTaLguY  <mental@rydia.net>

	* src/widgets/document-tree-model.cpp:
	  more bug fixes

	* src/widgets/layer-selector.cpp, src/widgets/layer-selector.h:
	  get the layer selector sort of in more order

2004-09-28  Ted Gould  <ted@gould.cx>

	* src/verbs.cpp, src/verbs.h, src/view.cpp:

	Making it so that actions get deleted as views get destroyed.

2004-09-27  Ted Gould  <ted@gould.cx>

	* src/desktop.h, src/forward.h, src/interface.cpp, src/interface.h,
	src/select-toolbar.cpp, src/shortcuts.cpp, src/shortcuts.h,
	src/toolbox.cpp, src/toolbox.h, src/verbs.cpp, src/verbs.h,
	src/dialogs/align.cpp, src/dialogs/align.h,
	src/dialogs/desktop-properties.cpp, src/dialogs/display-settings.cpp,
	src/dialogs/export.cpp, src/dialogs/find.cpp,
	src/dialogs/item-properties.cpp, src/dialogs/object-properties.cpp,
	src/dialogs/text-edit.cpp, src/dialogs/transformation.cpp,
	src/dialogs/xml-tree.cpp, src/helper/action.cpp, src/helper/action.h:

	Wow, alot of files changed.  The ones that changed the most are
	verb.cpp and verb.h, which are almost entirely different.  What happened
	here is the verbs were made object oriented.  So, as the verbs
	are built into everything, lots of files changed.  Now the code
	for the verbs is much cleaner, and I think a little bit faster.
	Also, it will be easier to extend the verbs for use in effects.

2004-09-26  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/libnr/nr-matrix.h, src/libnr/nr-matrix.cpp:
	  Get rid of operator NR::translate(), which was allowing
	  *implicit* (and typically lossy) conversion to NR::translate,
	  and which made a bug hard to find.

	* src/sp-gradient-test.cpp: New unit test file.  I believe this is the
	  first test that tests an SPObject.
	* src/Makefile_insert, src/Makefile.am: Invoke the new test.

2004-09-24  MenTaLguY <mental@rydia.net>

	* src/selection-chemistry.cpp:

	  "select all" and "clear" now operate on the current layer rather than on
	  the document root

	* src/verbs.cpp, src/shortcuts.cpp, layer-fns.cpp, src/sp-item.cpp:

	  keyboard shortcuts and fixes for layer verbs

2004-09-23  MenTaLguY <mental@rydia.net>

	* src/message-stack.h, src/message-stack.cpp:

	  return id of flashed messages so they are cancellable

	* src/message-context.h, src/message-context.cpp:

	  message context flashes now supercede one another, as regular
	  messages do (they do not supercede regular messages though)

	* src/interface.cpp, src/layer-fns.cpp, src/layer-fns.h, src/verbs.cpp:

	  initial stab at layers menu; not everything works the way it should
	  quite yet

	* src/message-context.h, src/message-context.cpp:

	  added flash methods to Inkscape::MessageContext

	* src/gc-core.h, src/display/nr-arena-glyphs.cpp,
src/display/nr-arena-group.cpp,
	  src/display/nr-arena-item.cpp, src/display/nr-arena-item.h,
	  src/display/nr-arena-shape.cpp, src/libnr/nr-object.cpp,
src/libnr/nr-object.h,

	  eliminate more sources of leaks; managed objects shouldn't use refcounts
	  among themselves

	* src/xml/repr.cpp: don't nuke log pointer

2004-09-21  MenTaLguY <mental@rydia.net>

	* src/gc-finalized.h: fix for stupid bug preventing finalizable objects
	  from being collected

	* src/Makefile_insert, src/gc.cpp, src/gc-core.h:
	  move Inkscape::GC::init out-of-line, and funnel GC warnings through
	  glib

2004-09-21  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/sp-marker.h, src/sp-marker.cpp (sp_marker_show_instance):
	  Change to using NR::Matrix instead of NRMatrix.  Update caller.

	* src/sp-gradient.cpp (sp_gradient_get_g2d_matrix,
	  sp_gradient_get_gs2d_matrix, sp_gradient_set_gs2d_matrix):
	  New NR::Matrix/NR::Rect versions of existing functions.

	* src/libnr/nr-matrix-translate-ops.h (operator/): New function.

	* src/libnr/nr-matrix-scale-ops.cpp: New file.
	* src/libnr/nr-matrix-scale-ops.h (operator/(Matrix,scale)):
	  New function.

2004-09-20  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/sp-gradient.h: Change gradientTransform from NRMatrix to
	  NR::Matrix.  Users updated.

	* src/Makefile.am (EXTRA_DIST), Makefile_insert
	  dialogs/Makefile_insert extension/implementation/Makefile_insert
	  extension/internal/Makefile_insert helper/Makefile_insert
	  livarot/Makefile_insert (blah_SOURCES):
	  Add some .h files for `make dist'.

2004-09-19  MenTaLguY <mental@rydia.net>

	* src/gc-core.h: don't defer finalizers

	* src/gc-core.h: bump up free space divisor -- collections should
	  happen ~32x more frequently

2004-09-19  Carl Hetherington <inkscape@carlh.net>

	* src/display/canvas-bpath.cpp, src/display/nr-arena-shape.cpp,
	src/display/sp-ctrlline.cpp, src/libnrtype/RasterFont.cpp,
	src/livarot/Shape.h, src/livarot/ShapeRaster.cpp: remove some
	unused parameters from calls to raster code.

	* src/livarot/ShapeRaster.cpp: coding style cleanups.

	* src/livarot/Shape.h, src/livarot/ShapeRaster.cpp: factored out
	_updateIntersection().

	* src/livarot/AVL.cpp, src/livarot/AVL.h: remove DblLinked.  Cleanups.

2004-09-18  MenTaLguY <mental@rydia.net>

	* src/dialogs/filedialog.cpp: unref the preview document we created

2004-09-18  Carl Hetherington <inkscape@carlh.net>

	* src/livarot/AVL.cpp, src/livarot/AVL.h,
	src/livarot/DblLinked.cpp, src/livarot/DblLinked.h,
	src/livarot/LivarotDefs.h, src/livarot/ShapeRaster.cpp,
	src/livarot/ShapeSweep.cpp, src/livarot/sweep-tree.cpp,
	src/livarot/sweep-tree.h, src/sweep-event.h: replace leftFoo and
	rightFoo with foo[2] in a few places.  Associated cleanups.

	* src/livarot/Shape.h: use Side rather than a bool for
	TesteIntersection.  Add some methods.  Remove some unused variables.

	* src/livarot/ShapeSweep.cpp: simplify TesteIntersection with use
	of Side.

	* src/livarot/sweep-event.h: const fix.

	* src/livarot/sweep-event.cpp: simplifications with use of Side.

	* src/sp-offset.cpp, src/splivarot.cpp, src/livarot/Shape.cpp,
	src/livarot/ShapeMisc.cpp, src/ShapeSweep.cpp: lastA/firstA in
	Shape::dg_point ->

	  further work on stroking; break out bezier approximation into
	  public functions

2004-09-10  MenTaLguY <mental@rydia.net>

	* src/render/polygon.h, src/render/shape-builder.h,
	  src/render/shape-builder.cpp, src/render/stroke.h,
	  src/render/dash.h:

	  beginnings of a simple alternate renderer

2004-09-09  Carl Hetherington <inkscape@carlh.net>

	* src/sp-flowtext.cpp, src/sp-offset.cpp, src/splivarot.cpp,
	src/display/nr-arena-shape.cpp, src/libnrtype/FlowDest.cpp,
	src/livarot/PathConversion.cpp, src/livarot/Shape.h: make
	Shape::nbPt and Shape::nbAr private and provide accessor methods.

	* src/display/nr-arena-shape.cpp, src/livarot/Shape.h: make
	Shape::flags private.

	* src/splivarot.cpp, src/livarot/PathStroke.cpp,
	src/livarot/Shape.cpp, src/livarot/Shape.h, src/livarot/ShapeMisc.cpp,
	src/livarot/ShapeRaster.cpp, src/livarot/ShapeSweep.cpp:
	Clean up handling of flags in Shape class

	* src/livarot/AlphaLigne.cpp, src/livarot/Path.cpp,
	src/livarot/PathSimplify.cpp, src/livarot/Shape.cpp,
	src/livarot/ShapeSweepUtils.cpp: it's ok to free NULL.

	* src/livarot/Shape.h, src/sp-offset.cpp, src/splivarot.cpp,
	src/display/nr-arena-shape.cpp: Make Shape::pts private and offer
	a read-only accessor.

	* src/livarot/Shape.cpp, src/livarot/Shape.h,
	src/livarot/ShapeDraw.cpp, src/livarot/ShapeMisc.cpp,
	src/livarot/ShapeRaster.cpp, src/livarot/ShapeSweep.cpp, src/
	livarot/ShapeSweepUtils.cpp, src/livarot/ShapeUtils.h: Rename
	Shape::pts to Shape::_pts, and use getPoint() wherever possible.

	* src/sp-offset.cpp, src/splivarot.cpp, src/livarot/Shape.cpp,
	src/livarot/Shape.h, src/livarot/ShapeMisc.cpp,
	src/livarot/ShapeRaster.cpp, src/livarot/ShapeSweep.cpp: Add
	dg_point::totalDegree() and make use of it.


2004-09-08  MenTaLguY  <mental@rydia.net>

	* src/libnr/nr-object.h, src/libnr/nr-object.cpp: fix NRObject
	  initialization

	* configure.in, src/gc-core.h, src/gc-managed.h, src/gc-anchored,
	  src/gc-finalized.h:

	  add a --disable-gc ./configure option to omit garbage collection
	  from the build (the normal allocator will be used, although
	  memory will obviously leak since it does not get explicitly freed)

	* src/xml/repr.cpp: SPRepr's copy constructor needs to properly
	  initialize its fields

	* src/xml/repr-util.cpp, src/xml/repr-private.h,
	  src/xml/repr.h, src/xml/repr.cpp:

	  new child-count-related routines, and added mutation signals
	  to SPReprDoc

	* src/desktop.cpp: call the "Active Group" widget by its TRUE NAME!

	* src/widgets/Makefile_insert, src/widgets/document-tree-model.cpp,
	  src/widgets/document-tree-model.h, src/widgets/layer-selector.cpp,
	  src/widgets/layer-selector.h:

	  very cursory start on new layers UI

2004-09-08  Carl Hetherington <inkscape@carlh.net>

	* src/helper/stock-items.cpp: fix a bad free().  Improve coding
	style compliance.

	* src/libnrtype/FlowRes.cpp: slightly unpleasant fix for a buffer
	overrun.

2004-09-07  MenTaLguY <mental@rydia.net>

	* src/livarot/Shape.cpp, src/livarot/Shape.h, src/livarot/ShapeMisc.cpp,
	  src/livarot/ShapeSweep.cpp:

	  use std::vector for points array (seems to crash less?)

	* src/livarot/AlphaLigne.cpp, src/livarot/BitLigne.cpp,
	  src/livarot/Ligne.cpp, src/livarot/Path.cpp,
	  src/livarot/PathCutting.cpp, src/livarot/PathSimplify.cpp,
	  src/livarot/Shape.cpp, src/livarot/ShapeMisc.cpp,
	  src/livarot/ShapeSweep.cpp, src/livarot/ShapeSweepUtils.cpp:

	  switch to glib's allocator routines, which have the expected
	  semantics

	* src/livarot/evil-malloc.h: removed

2004-09-07  Ted Gould  <ted@gould.cx>

	* src/color-rgba.h:

	Some comments and some little code clean up things.  Added a couple
	of constructors to make life a little simpler.

2004-09-06  Ted Gould  <ted@gould.cx>
	* src/extension/plugin/gimgrad.cpp, src/extension/implementation/plugin*
	  share/extension/gimpgrad.inkmod, src/extension/system.cpp,
	  src/extension/extension.h:

	Mega commit.  This commit does two things, it adds in the ability to
	do plugins in Inkscape.  This means that there are loadable modules
	that can be used for just about anything.  It also provides a sample
	implementation of a plugin to load GIMP gradients.  This means that
	GIMP gradients can be imported into Inkscape, giving a larger set of
	gradients that can be used in Inkscape.

	Currently, nothing here is really complete, but it is functional.  The
	plugins really only work for input plugins, and the GIMP gradient example
	isn't very robust.  They will come shortly.

2004-09-05  Peter Moulder  <pmoulder@mail.csse.monash.edu.au>

	* src/display/curve.h, src/display/curve.cpp:
	  Change x,y members to NR::Point.
	  Rename posset (spiced&spiked hot milk) to posSet as per CodingStyle.

	* src/display/curve.cpp (sp_curve_reverse): Previously this
	  routine returned only the last subpath, and made it an open
	  path.  Now it preserves all aspects of the curve other than
	  reversing it.  I believe this change makes no difference to the
	  draw-context and dyna-draw-context callers (though I haven't
	  managed to test all of these callers), whereas for the `reverse
	  path' command, users presumably expect the new behaviour.

	* src/display/curve.cpp (sp_curve_closepath_current):
	  Fix bad assertion.

	* src/libnr/nr-matrix-fns.h, src/libnr/nr-matrix-fns.cpp
	  (get_translation): New function.

	* src/sp-polygon.cpp (polygon_get_value): Use static linkage.
	  (sp_polygon_set): Remove debugging output.  Add `todo' comment.

2004-09-03  MenTaLguY <mental@rydia.net>

	* src/attributes.cpp, src/attributes.h, src/sp-namedview.cpp,
